
 ChangeLog for LAME
-==================-

 - All dates/times are in GMT.
 - This file contains the complete changelog, even commit logs of
   non official branches. An entry of the form "filename (branchname):"
   may not apply to the source you get with this package.
 - Generated from cvs log entries
   (cvs2cl --gmt -S --branches --no-wrap --header ChangeLog.header)

-- 

2004-01-10 12:13  aleidinger

	* libmp3lame/version.h:

	Preperation for 3.95 RELEASE.

	Please notify me and Gabriel in case you change something from this
	point in time upto the 3.96 version bump.

2004-01-10 12:10  aleidinger

	* doc/html/history.html:

	faster on PPC

2004-01-10 12:03  aleidinger

	* libmp3lame/util.h:

	do not use FastLog implicitely

2004-01-10 12:02  aleidinger

	* configMS.h:

	explicit use of FastLog

2004-01-10 11:42  aleidinger

	* configure:

	regen

2004-01-10 11:35  aleidinger

	* configure.in:

	- use the IEEE 754 hack and FastLog on x86 and PPC only
	- make the use of FastLog explicit

	PPC performance:
		1GHz G4
		"Standard"   : 396 s (100%)
		FastLog      : 371 s ( 93%)
		FastLog, 754 : 365 s ( 92%)
		754          : 388 s ( 98%)

		2GHz G5 (dual), cbr, vbr
		"Standard"   : 166 s (100%), 328 s (100%)
		FastLog      : 169 s (102%), 338 s (102%)
		FastLog, 754 : 148 s ( 90%), 288 s ( 88%)
		754          : 145 s ( 87%), 279 s ( 85%)

	On a G5 we shouldn't use FastLog (I assume highly optimized for G5 log*()
	routines in the standard math library), but configure doesn't know ATM how
	do check for a G5.

2004-01-10 10:38  takehiro

	* frontend/get_audio.c:

	backport from my experimental branch to fix the crash when invalid input.

2004-01-10 10:27  takehiro

	* mpglib/: common.c, interface.c, layer1.c, layer3.c:

	backport from my experimenhtal branch, to fix the crash when invalid input.

2004-01-10 09:55  takehiro

	* doc/html/history.html:

	effetc->affect reported at sf.net (BugID #867502)

2004-01-08 19:55  olcios

	* libmp3lame/gain_analysis.c:

	comment update (clarification)

2004-01-08 19:14  olcios

	* USAGE:

	Removed --replaygain from USAGE, because it had been defaulted and the option removed from LAME. Updated information on --replaygain-accurate.

2004-01-08 15:58  bouvigne

	* configMS.h, doc/html/history.html, doc/html/index.html:

	predicted release date: January 11th

2004-01-07 17:58  aleidinger

	* frontend/Makefile.in:

	regen

2004-01-07 17:57  aleidinger

	* frontend/Makefile.am:

	Add mp3x_vc6.dsp.

	Requested by:	Gabriel

2004-01-07 17:35  bouvigne

	* README.WINGTK, lame_vc6.dsw, frontend/lame_vc6.dsp,
	frontend/mp3x_vc6.dsp, libmp3lame/libmp3lame_vc6.dsp,
	mpglib/mpglib_vc6.dsp:

	added back mp3x to the VC6 projects

2004-01-07 15:57  aleidinger

	* configure:

	regen

2004-01-07 15:51  aleidinger

	* configure.in:

	- bump version to 3.95
	- disable layer1 decoding by default
	- reword the layer options and some option descriptions
	- enable the use of the fast log function on every CPU (for x86 this
	  is implicit by the ieee hack)

2004-01-07 15:26  aleidinger

	* config.h.in:

	add the fast log option

2004-01-07 13:26  bouvigne

	* mpglib/mpglib_vc6.dsp:

	disable layer I

2004-01-06 14:38  bouvigne

	* libmp3lame/version.h:

	bump alpha

2004-01-06 13:53  bouvigne

	* libmp3lame/VbrTag.c:

	do not include the vbr header into the vbr seek table as it breaks a player

2004-01-05 18:58  takehiro

	* libmp3lame/: lame.c, quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	fix ABR bitrate
	changed VBR quality <-> compression ratio mapping.
	changed gfc->masking_lower setting

2004-01-05 17:51  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix a warning.
	reduce prefetch length.

2004-01-05 16:25  bouvigne

	* doc/html/history.html:

	history

2004-01-05 16:19  bouvigne

	* ACM/ACMStream.cpp:

	fixed a buffer requirement error

2004-01-05 09:45  bouvigne

	* libmp3lame/: l3side.h, quantize.c, takehiro.c:

	faster count_bits

2004-01-05 07:35  takehiro

	* mpglib/common.c (takehiro-2002_05_07-experimental):

	one more fix for seg.fault

2004-01-05 07:30  takehiro

	* mpglib/common.c (takehiro-2002_05_07-experimental):

	fix seg.fault (not good way, indeed)

2004-01-05 07:16  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix typo and disable LAYER1 decoding by default.

2004-01-05 07:15  takehiro

	* libmp3lame/i386/Makefile.in, configure
	(takehiro-2002_05_07-experimental):

	regen

2004-01-05 07:14  takehiro

	* libmp3lame/i386/Makefile.am (takehiro-2002_05_07-experimental):

	fix build problem

2004-01-05 06:47  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	more strict syncword check when no LAYER1/2 support.

2004-01-04 19:45  takehiro

	* libmp3lame/: lame.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	finished fixing mono encoding (initialization problem of inter-channel masking value)
	remove useless code in stereo->mono mix down.
	fix ATH adjustment code initialization.

2004-01-04 17:35  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix mono-mode bitrate selection.

2004-01-04 15:39  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix the condition to use freeformat or not.

2004-01-04 11:04  bouvigne

	* libmp3lame/lame.c:

	corrected -k

2004-01-03 17:08  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	trivial clean up and fix comments.

2004-01-03 16:47  bouvigne

	* doc/html/history.html:

	history

2004-01-03 16:22  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix possible highpass filter display problem.

2004-01-03 16:17  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	changed short block switching threshold for 8/16 kbps.

2004-01-03 04:11  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix "FATAL" typo.
	some code clean up.

2004-01-03 04:10  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix for mono encoding.

2004-01-02 19:53  bouvigne

	* libmp3lame/lame.c:

	changed quality mapping

2004-01-02 19:51  bouvigne

	* libmp3lame/takehiro.c:

	faster count_bits

2004-01-02 19:49  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c,
	vbrquantize.c:

	Faster quantizations
	Only 5% speedup when using Takehiro's ieee754 hack, but about 60%
	speedup otherwise. (Should please Mac users)

2004-01-02 09:02  takehiro

	* mpglib/common.c (takehiro-2002_05_07-experimental):

	check emphasis bits in mpeg header.

2004-01-01 17:52  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	fix warning on mingw (and probabry VC)

2004-01-01 17:51  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	changed function name, lame_decode_fromfile -> decode_fromfile because it is not LAME standard API.

2004-01-01 17:23  takehiro

	* mpglib/layer1.c (takehiro-2002_05_07-experimental):

	fix stereo value handling.

2004-01-01 15:22  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix location where emphasis is recorded.

2004-01-01 15:21  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	prepare for better MP3 header detection.

2003-12-31 19:07  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix assertion condition.
	fix i-stereo bit usage counting.

2003-12-31 04:27  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c, quantize.c
	(takehiro-2002_05_07-experimental):

	trivial clean up

2003-12-30 19:10  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up.(code to check the MAX_BITS is moved)

2003-12-30 18:52  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	ok, new years present.
	here goes alpha10!

2003-12-30 18:47  takehiro

	* ACM/ddk/.cvsignore (takehiro-2002_05_07-experimental):

	added to ignore Makefile

2003-12-30 18:46  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it makes invalid mp3 file when 320kbps.

2003-12-30 18:45  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	added one more check.
	trivial coding clean up.

2003-12-30 17:12  takehiro

	* Makefile.in, aclocal.m4, configure, ACM/Makefile.in,
	ACM/ADbg/Makefile.in, ACM/ddk/Makefile.in, ACM/tinyxml/Makefile.in,
	Dll/Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	regen with automake1.7.9, autoconf 2.59 on cygwin.

2003-12-30 13:03  takehiro

	* testcase.mp3, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial clean up.

2003-12-30 12:28  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix masking_lower hadling

2003-12-30 12:26  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	do not store FFT value when not using analyzer

2003-12-30 10:23  takehiro

	* configure, ACM/Makefile.in, ACM/ddk/Makefile.in
	(takehiro-2002_05_07-experimental):

	regen

2003-12-30 10:19  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization

2003-12-29 18:45  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	hadling masking_lower is moved to quantize.c from psymodel.c
	fix bug in threshold calculation of short block last sfb.
	better intensity stereo band selection.(do not use IS at lower frequency)
	fix comments

2003-12-29 18:09  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	omit MDCT calculation beyond cutoff.
	The gain(for MDCT) is arround 15% when 18kHz cutoff.

2003-12-29 08:05  takehiro

	* libmp3lame/: set_get.c, tables.c
	(takehiro-2002_05_07-experimental):

	reservoir size fix for 320kbps over.

2003-12-29 08:05  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	added one error check.

2003-12-28 15:41  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix reservoir max size configuration.

2003-12-28 13:57  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix free format detection. 320kbps is not always free format.

2003-12-28 12:48  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix MPEG2 scalefactor output.

2003-12-28 12:47  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	better error detection for debug mode.

2003-12-28 12:11  takehiro

	* frontend/parse.c, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	fix -k option.

2003-12-28 11:49  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix warning

2003-12-28 11:48  takehiro

	* libmp3lame/: psymodel.c, psymodel.h, quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	many cosmetic change and clean up.

2003-12-27 17:45  takehiro

	* libmp3lame/: psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	use more fine resolution infomation for block switching.

2003-12-27 14:55  takehiro

	* testcase.mp3, libmp3lame/psymodel.c
	(takehiro-2002_05_07-experimental):

	update testcase
	clean up psymodel.c

2003-12-27 14:24  takehiro

	* frontend/gtkanal.c, libmp3lame/encoder.c,
	libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/quantize.c, libmp3lame/set_get.c,
	libmp3lame/tables.c, libmp3lame/util.h, libmp3lame/version.h
	(takehiro-2002_05_07-experimental):

	now psymodel version 0.91-3
	- new ATH adjustment.
	  * ATH adjustment per channel, not per granule.
	- display ATH adjustment value in mp3x.
	- new long/short block switching code.
	  * now it is aware of post masking.
	  * switch to short block when post echo may happen.
	- better long->short masking (threshold/energy) conversion.

2003-12-23 10:29  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	added one comment.

2003-12-23 10:22  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial clean up.

2003-12-23 10:13  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tuning/fixing norm[] values of the spreading function.

2003-12-22 16:36  bouvigne

	* doc/html/history.html:

	history

2003-12-22 09:44  bouvigne

	* libmp3lame/quantize_pvt.c:

	reduced warnings

2003-12-21 18:41  bouvigne

	* frontend/: get_audio.c, main.c, parse.c:

	reduced warnings

2003-12-21 18:14  bouvigne

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h, quantize.c,
	quantize_pvt.c, quantize_pvt.h, util.h:

	FLOAT8 -> FLOAT

2003-12-21 16:09  takehiro

	* libmp3lame/: psymodel.c, psymodel.h, tables.c
	(takehiro-2002_05_07-experimental):

	safer threshold calculation arround attack detected position.

2003-12-21 15:12  takehiro

	* configure.in, ACM/Makefile.am (takehiro-2002_05_07-experimental):

	added ACM/ddk directory

2003-12-21 15:06  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	update comment as is done in main line.

2003-12-21 15:03  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix short block ATH scaling and masking threshold.

2003-12-21 13:30  takehiro

	* libmp3lame/: psymodel.c, lame.c, tables.c
	(takehiro-2002_05_07-experimental):

	- temporal masking aware short/long block switching.
	- tuning reduce side value.
	- fixed long->short block threshold conversion factor.
	- fixed array declaration bug in short block threshold calculation.

2003-12-21 12:46  bouvigne

	* libmp3lame/: encoder.c, lame.c, presets.c, psymodel.c,
	psymodel.h, quantize.c, quantize.h, quantize_pvt.c, quantize_pvt.h,
	util.h:

	FLOAT8 -> FLOAT

2003-12-21 12:30  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove bval_width[] related code.

2003-12-21 12:25  takehiro

	* mpglib/layer3.c (takehiro-2002_05_07-experimental):

	fix 8kbps decode bug (backport from main line)

2003-12-21 10:16  bouvigne

	* libmp3lame/: VbrTag.c, lame.c, psymodel.c, util.c, util.h:

	FLOAT8 -> FLOAT

2003-12-20 14:48  bouvigne

	* libmp3lame/psymodel.c:

	fixed calc_interchannel_masking when encoding to mono

2003-12-20 14:33  bouvigne

	* libmp3lame/lame.c:

	fixed lowpass value for high bitrate vbr profiles

2003-12-20 14:31  bouvigne

	* libmp3lame/version.h:

	Using 3.95 as version number.
	We will decide latter what to choose about version numbers

2003-12-19 13:55  bouvigne

	* libmp3lame/version.h:

	Moved back to 3.94b in order to not have some 3.95b spreading on the web.
	We now have to decide if we should go in the 3.94release direction or in the 3.95b direction

2003-12-18 18:47  bouvigne

	* libmp3lame/version.h:

	welcome in 3.95

2003-12-18 17:13  aleidinger

	* ChangeLog:

	ChangeLog for 3.94b.

2003-12-18 15:46  bouvigne

	* libmp3lame/version.h:

	3.94b

2003-12-18 12:54  aleidinger

	* frontend/get_audio.c:

	Takehiro noticed a bug in the pipe fix, it results in a click sound at
	the end of the encoding of BlackBirds.wav.

	This fix is a merge from the experimental branch and doesn't seem to be
	harmful while encoding over a pipe, but I'm not sure if I was able to
	reproduce the situation where the original fix was needed.

	I've tested:
	  mkfifo pipetest
	  lame -preset 96 pipetest pipetest.mp3
	  other shell: cat wav >pipetest

2003-12-17 18:45  bouvigne

	* frontend/parse.c:

	help

2003-12-17 11:52  bouvigne

	* libmp3lame/psymodel.c:

	updated comment regarding spreading function

2003-12-15 17:07  bouvigne

	* mpglib/layer3.c:

	fixed 8kHz decoding

2003-12-15 11:48  takehiro

	* ACM/ddk/: Makefile.am, Makefile.in
	(takehiro-2002_05_07-experimental):

	sync with main line

2003-12-14 17:56  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	added some new items.
	- highpass filter for psycho-analysis.
	- temporal-masking-aware block switching.

2003-12-14 17:52  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	clean up s3_func() (no results difference)
	remove normalization and bark width consideration.
	# hehe, it's now obvious to see which frequency makes strong masking :p

2003-12-12 18:22  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	coding style update.
	check the INFO sub-chunk in LIST chunk.

2003-12-12 18:21  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix it treat the chunk after data chunk as part of data chunk.

2003-12-12 17:24  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	trivial style update (including comment style, etc).

2003-12-12 16:52  takehiro

	* libmp3lame/: psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	remove nb_1 from gfc.

2003-12-12 16:15  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix last change (oops, I checked-in the wrong version...)

2003-12-12 16:12  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix bit reservoir handling when looooooooow bit rate.

2003-12-12 14:31  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-12-12 14:31  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	added error check code.

2003-12-12 13:29  takehiro

	* frontend/main.c, frontend/main.h, frontend/parse.c,
	include/lame.h, libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/psymodel.c, libmp3lame/set_get.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	clean up variables in gfc and gfp.

2003-12-09 17:22  olcios

	* frontend/parse.c:

	Fixed typo.

2003-12-09 17:19  olcios

	* frontend/parse.c:

	Fixed an error message.

2003-12-09 16:08  aleidinger

	* ACM/Makefile.in:

	regen

2003-12-09 16:01  aleidinger

	* configure:

	regen

2003-12-09 15:51  aleidinger

	* ACM/ddk/Makefile.in:

	Add the autoconf Makefile.

2003-12-09 15:49  aleidinger

	* configure.in:

	Add the ACM/ddk subdirectory.

2003-12-09 15:49  aleidinger

	* ACM/Makefile.am:

	Add the ddk subdirectory.

2003-12-09 15:48  aleidinger

	* ACM/ddk/Makefile.am:

	Add an automake Makefile.

2003-12-09 15:06  bouvigne

	* libmp3lame/version.h:

	Bump alpha

2003-12-09 15:05  bouvigne

	* frontend/parse.c:

	do not display --r3mix in help

2003-12-09 15:03  bouvigne

	* doc/html/history.html:

	3.94 release date?

2003-12-09 14:59  bouvigne

	* doc/html/: basic.html, examples.html, history.html, index.html,
	modes.html, presets.html, switchs.html:

	3.94 documentation

2003-12-08 16:52  bouvigne

	* libmp3lame/VbrTag.c:

	Use integer format for ReplayGain peak value

2003-12-06 20:54  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization.

2003-12-06 20:10  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	make best_huffman_divide() as static.
	make it do not call best_huffman_divide() twice when vbr.

2003-12-06 19:00  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	fix warning of quantize_sfb_3DN() prototype declaration.
	fix pseudo half step bug on 3DNow!/SSE machines.

2003-12-06 17:17  takehiro

	* frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	remove experimental switches from context structure.

2003-12-06 13:37  takehiro

	* libmp3lame/: psymodel.c, quantize.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	trivial clean up

2003-12-06 11:10  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	reduce subblock gain value.

2003-12-06 07:01  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	VBR code update.
	- fixed sf value range limit(not fatal, but possible quality degrade in higher VBR quality mode).
	- adjust the initiail value of scalefactor search for speed up(arround 1 or 2%).CVS: ----------------------------------------------------------------------

2003-12-05 12:49  aleidinger

	* libmp3lame/i386/Makefile.in:

	add missing "

2003-12-04 12:26  aleidinger

	* libmp3lame/i386/Makefile.in:

	nasm -> NASM fix

2003-12-03 16:35  takehiro

	* testcase.mp3, libmp3lame/quantize.c
	(takehiro-2002_05_07-experimental):

	changed short block noise estimation (max noise -> sum noise).

2003-12-03 15:32  takehiro

	* frontend/rtp.c (takehiro-2002_05_07-experimental):

	sync with main line.

2003-12-03 03:09  olcios

	* include/lame.h:

	comments / doc

2003-12-03 02:18  olcios

	* frontend/get_audio.c, libmp3lame/lame.c,
	libmp3lame/mpglib_interface.c:

	Brought back the possibility to run lame_decode_init() more than once

2003-12-03 01:44  olcios

	* frontend/get_audio.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame.c, libmp3lame/mpglib_interface.c,
	libmp3lame/set_get.c:

	Made it impossible to simultaneously use mp3 input and decoding on the fly.

2003-12-01 17:45  takehiro

	* configure, Dll/Makefile.in, frontend/Makefile.in,
	libmp3lame/Makefile.in, libmp3lame/i386/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in
	(takehiro-2002_05_07-experimental):

	regen

2003-12-01 17:44  takehiro

	* libmp3lame/i386/Makefile.am (takehiro-2002_05_07-experimental):

	backport Alex's dirty hack, which is less dirty than mine :)

2003-12-01 17:43  takehiro

	* ltmain.sh (takehiro-2002_05_07-experimental):

	replaced the one from libtool 1.5

2003-12-01 15:45  takehiro

	* frontend/depcomp, libmp3lame/depcomp, misc/depcomp,
	mpglib/depcomp (takehiro-2002_05_07-experimental):

	removed unused file (build system uses ../depcomp)

2003-11-29 12:14  aleidinger

	* ChangeLog:

	update

2003-11-29 12:10  aleidinger

	* test/cvscheck.sh:

	add the automated test script which mt used to run every day

2003-11-29 12:09  aleidinger

	* configure:

	regen with autoconf 2.57

2003-11-29 12:06  aleidinger

	* ACM/Makefile.in, ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in,
	Dll/Makefile.in, Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in:

	regen with automake 1.7

2003-11-29 12:05  aleidinger

	* configure.in:

	- Check for some features a little bit earlier.
	- Fix a AC_DEFINE so the newer tools don't moan.

2003-11-29 12:03  aleidinger

	* libmp3lame/i386/Makefile.am:

	HACK HACK HACK, UGLY UGLY HACK!

	make this work with libtool 1.5

	If anybody knows how do this in a more sane way, please teach me how to
	do it.

2003-11-29 12:01  aleidinger

	* ltmain.sh:

	update with libtool 1.5 version

2003-11-29 12:00  aleidinger

	* aclocal.m4:

	update with newer autotools

2003-11-29 11:59  aleidinger

	* config.h.in:

	add some missing undefs

2003-11-29 11:16  aleidinger

	* frontend/rtp.c:

	fix some errors which are new with gcc 3.x

2003-11-29 09:49  aleidinger

	* frontend/depcomp, libmp3lame/depcomp, mpglib/depcomp:

	use the ones provided by automake 1.7

2003-11-29 09:45  aleidinger

	* missing, mkinstalldirs, depcomp, install-sh:

	use the ones provided by automake 1.7

2003-11-29 09:44  aleidinger

	* config.guess, config.sub:

	use the ones provided with libtool 1.5

2003-11-28 18:23  takehiro

	* frontend/brhist.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/encoder.h, libmp3lame/lame.c, libmp3lame/tables.c,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	clean up bitrate histgram code.

2003-11-28 17:53  takehiro

	* libmp3lame/: bitstream.c, lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	remove unused definition (resample_t)
	rename Bit_stream_struct -> bit_stream_t

2003-11-28 17:30  takehiro

	* libmp3lame/: VbrTag.c, lame.c, lame_global_flags.h, set_get.c,
	tables.c, util.h (takehiro-2002_05_07-experimental):

	move and rename "gfp->exp_nspsytune" => "gfc->nsPsy.tune"

2003-11-28 17:20  takehiro

	* libmp3lame/: psymodel.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	remove "ath_over" from III_psy_ratio

2003-11-28 17:17  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	make lame_decode1_headersB_clipchoice() as static

2003-11-28 16:48  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	remove unused code

2003-11-28 16:46  takehiro

	* libmp3lame/: util.c, util.h, i386/cpu_feat.nas
	(takehiro-2002_05_07-experimental):

	simplify the CPU feature detection code.

2003-11-28 16:42  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	divide TODO item about encoding quality problem into 2 piece.

2003-11-28 16:38  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix comments.

2003-11-28 16:24  takehiro

	* libmp3lame/: encoder.c, lame.c
	(takehiro-2002_05_07-experimental):

	trivial

2003-11-28 16:24  takehiro

	* libmp3lame/: quantize.c, quantize.h
	(takehiro-2002_05_07-experimental):

	fix warning
	simplify the code.

2003-11-28 16:11  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	sync main branch (lowpass adjustment when mono)
	and trivial clean up.

2003-11-28 16:04  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove unused definition

2003-11-28 16:03  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	do not use reservoir when -q 9

2003-11-28 15:58  takehiro

	* USAGE (takehiro-2002_05_07-experimental):

	remove documents about removed options

2003-11-28 15:53  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/quantize.c,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	clean up VBR finish code and remove "-F" option.
	LAME always use VBR_hard_min now.

	The option is quite "FAQ"ed and hacky/dirty work arround to conceal
	the psymodel flaw.

2003-11-28 15:34  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	changed ResvFrameBegin() arguments.

2003-11-28 15:29  takehiro

	* libmp3lame/: VbrTag.c, encoder.c, quantize.c, quantize.h
	(takehiro-2002_05_07-experimental):

	clean up pinfo setting code (for analyzer)

2003-11-28 15:16  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial simplification.

2003-11-28 15:16  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	make gcd() as static.

2003-11-28 15:02  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	resampling code bug is fixed.

2003-11-28 15:01  takehiro

	* libmp3lame/: lame.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	make fill_buffer_resample as static function.
	fix the bug in resampling (like from 44099 to 44100) and remove work arround code.

2003-11-28 14:27  bouvigne

	* libmp3lame/set_get.c:

	Disabled replaygain decode because it crashes when using mp3 input

2003-11-28 12:22  takehiro

	* libmp3lame/: psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	simplify the loudness approx code.

2003-11-27 12:27  takehiro

	* ACM/ddk/msacmdrv.h (takehiro-2002_05_07-experimental):

	sync with mainline

2003-11-27 12:20  takehiro

	* libmp3lame/: VbrTag.c, bitstream.c, bitstream.h, tables.c,
	takehiro.c (takehiro-2002_05_07-experimental):

	simplify the function interfaces.
	remove unused definitions.
	trivial style update.

2003-11-27 08:24  bouvigne

	* ACM/: readme.txt, ddk/msacmdrv.h:

	Allow compilation of ACM codec without Microsoft platform DDK

2003-11-26 13:06  bouvigne

	* lame_vc6.dsw:

	Updated ACM dependencies

2003-11-25 17:32  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial

2003-11-25 17:22  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	loop hoisting: loop for writing sideinfo and loop for writing part2/part2_3 is now integrated.

2003-11-25 17:14  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial

2003-11-25 17:13  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix byte/bit confusion.

2003-11-25 16:53  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	do not write magic strings in the post drain part.

2003-11-25 16:48  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix,
	config.h.in, configure, configure.in
	(takehiro-2002_05_07-experimental):

	update build-system related files for new asm code.
	(I hope they runs correctly)

2003-11-25 16:43  takehiro

	* frontend/gtkanal.c, libmp3lame/encoder.c, libmp3lame/encoder.h,
	libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix mp3x block-type display

2003-11-25 15:55  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	psymodel.h is not system header file.

2003-11-25 15:52  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	remove priority setting code.
	we already have a --priority switch on Windows environment, so we do not
	need it.

2003-11-25 15:43  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	one more...

2003-11-25 15:20  takehiro

	* libmp3lame/: bitstream.c, bitstream.h, quantize.c, tables.c,
	util.h (takehiro-2002_05_07-experimental):

	more simplification arround bit stream write out code.

2003-11-24 18:26  takehiro

	* libmp3lame/: bitstream.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	clean up bitstream write out code.
	- header(side info) output code is now very simplified.
	- variable length bitstream output code is now simple and fast.

2003-11-24 17:05  bouvigne

	* libmp3lame/lame.c:

	Do not compute ReplayGain when not using vbr header

2003-11-24 16:13  takehiro

	* libmp3lame/: bitstream.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	simplify the bitstream output code.

2003-11-24 14:42  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	added SSE version of quantize_ISO()

2003-11-24 13:52  bouvigne

	* libmp3lame/lame.c:

	Reduced bandwith when encoding in mono

2003-11-24 13:39  bouvigne

	* libmp3lame/lame.c:

	Fixed low bitrates lowpass and sampling rate values
	(I probably broke it recently)

2003-11-23 20:13  takehiro

	* frontend/gtkanal.c, libmp3lame/encoder.c,
	libmp3lame/lame-analysis.h (takehiro-2002_05_07-experimental):

	update mp3x display (arround block switching parameter).

2003-11-23 20:05  takehiro

	* frontend/parse.c, libmp3lame/VbrTag.c, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/set_get.c, libmp3lame/set_get.h, libmp3lame/tables.c,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	remvoe unused features and variables
	- ms_sparsing()
	- tune()

2003-11-23 19:47  takehiro

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/set_get.c, libmp3lame/set_get.h,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	now it always uses same short block switching threshold for L/R/M channel and S channel.

2003-11-23 19:41  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-23 19:31  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	short block threshold tuning.
	(of course, need more...)

2003-11-23 11:22  takehiro

	* libmp3lame/: encoder.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	clean up mode extension update code.

2003-11-23 10:45  takehiro

	* libmp3lame/: bitstream.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	simplify bitstream writing code.

2003-11-23 10:27  takehiro

	* libmp3lame/: bitstream.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	trivial clean up.

2003-11-23 10:04  takehiro

	* libmp3lame/encoder.h (takehiro-2002_05_07-experimental):

	fix comments and comment out the unused definitions.

2003-11-23 10:03  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-23 10:03  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	fix and simplify the usage message.

2003-11-23 09:47  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	clean up block type update code

2003-11-23 09:46  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-23 09:14  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fix for MPEG2.5 (for the case band width = 2)

2003-11-23 09:09  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	clean up writing table-id code.

2003-11-23 09:08  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-23 08:36  takehiro

	* libmp3lame/i386/fft3dn.nas (takehiro-2002_05_07-experimental):

	remove unused code.

2003-11-22 19:41  takehiro

	* libmp3lame/: bitstream.c, util.h
	(takehiro-2002_05_07-experimental):

	optimize bitstream output code.

2003-11-22 19:14  takehiro

	* libmp3lame/i386/: fft.nas, ffttbl.nas
	(takehiro-2002_05_07-experimental):

	remove unused files

2003-11-22 19:14  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in
	(takehiro-2002_05_07-experimental):

	remove unused extra-dist files

2003-11-22 18:58  takehiro

	* libmp3lame/: bitstream.c, util.h
	(takehiro-2002_05_07-experimental):

	optimize writeheader()

2003-11-22 18:39  takehiro

	* ACM/TODO (takehiro-2002_05_07-experimental):

	update

2003-11-22 18:39  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of count1 region quantization

2003-11-22 18:12  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix message.

2003-11-22 18:11  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-22 18:09  takehiro

	* libmp3lame/version.c (takehiro-2002_05_07-experimental):

	added version string to SSE and E3DNow.

2003-11-22 17:43  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix ABR mode sometimes uses 640kbps (!)

2003-11-22 17:40  takehiro

	* libmp3lame/: lame.c, tables.c, i386/fft3dn.nas
	(takehiro-2002_05_07-experimental):

	E3DNow! version of fht()

2003-11-22 17:39  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial cleanup

2003-11-22 13:30  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	clean up and merge CBR/ABR code.

2003-11-22 13:19  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of quantize_ISO()

2003-11-22 13:03  takehiro

	* Dll/Example_vc6.dsw (takehiro-2002_05_07-experimental):

	sync main branch
	- Corrected the dll example project

2003-11-22 09:03  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated

2003-11-22 08:45  takehiro

	* libmp3lame/: quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	fix warning and build problem

2003-11-22 07:57  takehiro

	* Dll/MP3export.pas (takehiro-2002_05_07-experimental):

	sync main branch.
	- fix calling convention

2003-11-22 07:56  takehiro

	* Dll/BladeMP3EncDLL.def (takehiro-2002_05_07-experimental):

	added some interface.

2003-11-22 07:55  takehiro

	* Dll/BladeMP3EncDLL.c (takehiro-2002_05_07-experimental):

	sync main branch
	- display issue fix.

2003-11-22 07:51  takehiro

	* Dll/Makefile.am (takehiro-2002_05_07-experimental):

	sync main branch.
	- added files for vc6 and mingw.

2003-11-21 17:07  bouvigne

	* Dll/BladeMP3EncDLL.c:

	Display issues

2003-11-21 17:03  takehiro

	* libmp3lame/: quantize.c, takehiro.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of quantization.
	and some asm code optimization/clean up.

2003-11-21 16:50  bouvigne

	* Dll/BladeMP3EncDLL.c:

	Minor corrections

2003-11-20 16:04  bouvigne

	* Dll/MP3export.pas:

	Fixed calling convention

2003-11-20 13:30  bouvigne

	* Dll/Example_vc6.dsw:

	Corrected the dll example project

2003-11-20 11:16  bouvigne

	* frontend/get_audio.c, frontend/main.c, frontend/parse.c,
	include/lame.h, libmp3lame/set_get.c:

	Changed some Vorbis messages

2003-11-20 11:08  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	Removed mode_automs

2003-11-20 10:57  bouvigne

	* libmp3lame/: fft.c, lame.c, util.c, util.h:

	Removed CPU_features.i387

2003-11-20 10:46  bouvigne

	* libmp3lame/presets.c:

	Aliased r3mix to vbr-mtrh V3

2003-11-19 13:00  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	anihilated streaming/radio/portable named presets, leaving only the -Vx

2003-11-18 16:18  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix warning

2003-11-18 16:11  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	new reservoir handling code for ABR.

2003-11-18 15:37  takehiro

	* testcase.mp3, libmp3lame/bitstream.c
	(takehiro-2002_05_07-experimental):

	simplify the sign hadling code.

2003-11-18 15:29  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	simplify the error check code.

2003-11-18 15:21  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	optimize self check code.

2003-11-18 14:03  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	For better/faster encoding, narrowen the frequency region when lower -q.

2003-11-18 13:59  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated

2003-11-18 13:57  takehiro

	* libmp3lame/: bitstream.c, quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	fix bit overflow when i-stereo
	tuning CBR bit allocation (on_pe() function)
	clean up finish_iteratio_one().

2003-11-18 13:20  bouvigne

	* libmp3lame/presets.c:

	low vbr-mtrh presets

2003-11-18 12:52  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen

2003-11-18 12:51  takehiro

	* libmp3lame/: lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	fix CBR_2nd_bitalloc() (it may makes invalid mp3 frame).
	remapping -q setting. old -q2 is now -q1
	enable CBR_2nd_bitalloc() when -q 0,1 and 2

2003-11-18 12:22  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-18 12:18  takehiro

	* libmp3lame/: psymodel.c, quantize.c
	(takehiro-2002_05_07-experimental):

	new CBR bit allocation/reservoir handling code.
	still need tuning (there remains some killer samples),
	but usually brings better result.

2003-11-17 02:31  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix substep noise shaping.

2003-11-16 18:07  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix possible bit counting bug when CBR and higher -q option.

2003-11-16 18:05  takehiro

	* libmp3lame/: lame.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	do not display the CPU have i387.

2003-11-16 17:57  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix typo

2003-11-16 17:02  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix mp3x display.

2003-11-16 16:11  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix ID3v2 tag length when --keeptag.

2003-11-16 12:43  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c
	(takehiro-2002_05_07-experimental):

	now --keeptag keeps ID3v2 tag when transcoding.

2003-11-16 11:04  takehiro

	* libmp3lame/: lame.c, machine.h, psymodel.c, set_get.c, tables.c,
	util.c, util.h, version.c (takehiro-2002_05_07-experimental):

	update comment style (// -> /* */)

2003-11-16 11:04  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial optimization.

2003-11-16 10:47  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix one more l3_enc initialization

2003-11-16 10:31  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fix segmentation fault especially when higher VBR quality like -V0.

2003-11-16 10:12  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix trivial(but fatal) bug in short block threshold calculation loop...

2003-11-16 10:08  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix count1 bit-counting (we must zered all zero region because we use 4-stride in count1 region).

2003-11-16 09:55  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix i-stereo+VBR fails to encode (internal buffer inconsistency).

2003-11-15 18:15  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	optimize Huffmancode() by dividing it into tableindex > 15 or not.

2003-11-15 18:14  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen

2003-11-15 17:07  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	fix warning

2003-11-15 17:05  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.h, takehiro.c,
	util.h (takehiro-2002_05_07-experimental):

	always use quantize_best() except init_globalgain().
	and some code clean up.

2003-11-15 11:21  takehiro

	* configure:

	regen

2003-11-15 11:14  takehiro

	* configure.in:

	fix migw build(as is done in the experimental branch)

2003-11-15 10:50  takehiro

	* frontend/get_audio.c:

	fix ambiguous message (Bug ID #830035)

2003-11-14 16:13  bouvigne

	* libmp3lame/lame.c:

	use presets by default when using vbr-mtrh

2003-11-14 13:24  bouvigne

	* libmp3lame/presets.c:

	vbr-mtrh high vbr presets

2003-11-12 17:12  takehiro

	* libmp3lame/: lame.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	check and display if the CPU supports Extended 3DNow!
	(no E3DNow! code available yet.)

2003-11-12 15:47  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fix build problem for newer NASM ...

2003-11-12 06:43  takehiro

	* libmp3lame/i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	fix build problem (on some old nasm)

2003-11-12 06:43  takehiro

	* libmp3lame/i386/cpu_feat.nas (takehiro-2002_05_07-experimental):

	fix build problem

2003-11-11 04:27  takehiro

	* libmp3lame/i386/cpu_feat.nas (takehiro-2002_05_07-experimental):

	added Extended 3DNow! check code.

2003-11-11 04:26  takehiro

	* libmp3lame/: lame.c, quantize.c, util.c, util.h,
	i386/cpu_feat.nas (takehiro-2002_05_07-experimental):

	sync main branch (SIMD->SSE change)

2003-11-10 15:41  bouvigne

	* libmp3lame/: fft.c, lame.c, util.c, util.h, i386/cpu_feat.nas:

	SIMD->SSE

2003-11-10 15:31  bouvigne

	* libmp3lame/: lame.c, presets.c:

	Add missing values for vbr_rh -Vx scale

2003-11-10 15:27  takehiro

	* libmp3lame/i386/fft3dn.nas:

	fix cygwin build (with nasm)

2003-11-10 15:27  takehiro

	* libmp3lame/i386/fft3dn.nas (takehiro-2002_05_07-experimental):

	fix cygwin build with nasm

2003-11-10 14:58  bouvigne

	* libmp3lame/: lame.c, presets.c:

	fix lowpass values for low vbr presets

2003-11-10 12:06  bouvigne

	* libmp3lame/: lame.c, presets.c, set_get.c:

	Use presets by default when using vbr_rh

2003-11-09 17:40  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix warning

2003-11-09 17:38  takehiro

	* libmp3lame/: quantize.c, tables.c, tables.h, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of calc_sfb_noise() (for CBR/VBR/ABR)
	and simplify the look up table structure.

2003-11-09 15:28  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of calc_sfb_noise_fast() (for VBR)

2003-11-09 14:35  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not call CBR_2nd_bitalloc() when -q >= 6.
	sometimes it results in an invalid mp3 file.

2003-11-09 14:34  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	revert some part of 1.110.2.190->1.110.2.191.

2003-11-09 09:43  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	3DNow! version of calc_noise()

2003-11-09 09:11  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-11-09 07:54  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove fftsse, fftfpu related code.

2003-11-09 06:24  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	always use -q 5 when VBR because VBR mode needs -q 5
	(higher -q setting makes no output change and lower -q setting sometimes makes it to encode invalid mp3 file)

2003-11-08 17:51  takehiro

	* libmp3lame/: takehiro.c, i386/choose_table.nas
	(takehiro-2002_05_07-experimental):

	revert part of last change, because it may seg-faults when -q 6,7,8,9

2003-11-08 17:45  takehiro

	* libmp3lame/: quantize.c, takehiro.c, i386/choose_table.nas
	(takehiro-2002_05_07-experimental):

	changed quantization code. Now it quantizes >8191+15 values into 8191+15.

2003-11-08 17:44  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix precision problem.

2003-11-08 16:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	VBR code cleanup and fix minor bug
	- when there's not enough bits, it may decrease bitrate too much.

2003-11-08 07:00  takehiro

	* libmp3lame/i386/: fftfpu.nas, fftsse.nas
	(takehiro-2002_05_07-experimental):

	I cannot make it work and run faster than compiler output. so I removed.

2003-11-07 16:52  takehiro

	* libmp3lame/: encoder.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	trivial code clean up

2003-11-07 16:46  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	optimization
	- precalc adjusted ATH and use them when mask_add()

2003-11-07 14:54  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	optimize asm code by dirty hack

2003-11-07 14:53  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization(loop hoist)

2003-11-07 14:37  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix VBR mode...

2003-11-06 17:37  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix trivial bug when non-nasm case

2003-11-06 17:18  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix substep shaping.

2003-11-06 17:13  takehiro

	* libmp3lame/: psymodel.c, quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	- prevent "double ATH handling" problem.
	- new xr^(3/4) code for 3DNow! (From the latest gogo)
	- added multiplication function to sumofsqr_3DN()

2003-11-05 17:13  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimize calc_noise() at "0 or 1" region

2003-11-05 14:03  bouvigne

	* libmp3lame/: presets.c, psymodel.c:

	Use Vx scale for presets

2003-11-03 23:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix subblock_gain is not used(it ignores the switch).
	added ugly optimization arround calc_sfb_noise() and calc_sfb_noise_fast().

2003-11-03 22:54  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	clean up substep shaping code bit.

2003-11-03 18:41  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use 3DNow! more.

2003-11-03 18:16  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial bug fix...

2003-11-03 18:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it always uses substep noise shaping (it ignore the option) when VBR.

2003-11-03 18:09  takehiro

	* libmp3lame/: quantize.c, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	added pow075_3DN (3DNow! version of calculating xr^(3/4))
	added "sum x^2" code for 3DNow! and use it.

2003-11-03 17:44  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	considering the Fourier analysis limitation, it should estimate loudness
	of lower frequency region when ATH adjustment.

2003-11-03 15:00  bouvigne

	* libmp3lame/: lame.c, presets.c:

	allow vbr presets to not be enforced (preparative work before defaulting)

2003-11-03 14:04  takehiro

	* testcase.mp3, libmp3lame/quantize.c
	(takehiro-2002_05_07-experimental):

	fix infinite loop when short blocks. (oops, trivial bug...)

2003-11-02 12:10  takehiro

	* libmp3lame/: machine.h, quantize.c, quantize_pvt.h, takehiro.c,
	util.h, i386/quantSSE.nas (takehiro-2002_05_07-experimental):

	Precalculate the fabs(xr).
	moved xr34[] and absxr[](=fabs(xr)) into gfc.
	better alignment work for the compiler not support "align".

2003-11-01 20:06  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	more comments update and clean up

2003-11-01 19:50  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimize substep noise shaping (trancate_smallspectrums())
	and count_bits() related code.

2003-11-01 19:30  takehiro

	* libmp3lame/: quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	clean up(fix comments and misleading variable names).

2003-11-01 19:14  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	more clean up.

2003-11-01 18:47  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	clean up the comments

2003-11-01 18:33  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	more coding style and comment clean up.
	do not quantize all the band in CBR_2nd_bitalloc(). this increase the speed and  fix bug when -q6,7,8

2003-11-01 18:16  takehiro

	* libmp3lame/: bitstream.c, quantize.c, tables.c, tables.h,
	takehiro.c (takehiro-2002_05_07-experimental):

	general code clean up
	reduce division in calc_noise()

2003-11-01 14:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix bug in sfb21 handling code(it mistook dB scale and real scale).

2003-11-01 12:44  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	coding clean up

2003-10-30 15:29  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	optimize quantization of "must be quantized to 0 or 1" region.

2003-10-30 15:28  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added new setting, "-q 6"

2003-10-30 14:57  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix small quantization bug in VBR.

2003-10-30 14:17  takehiro

	* libmp3lame/: encoder.c, quantize.c
	(takehiro-2002_05_07-experimental):

	fix low bitrate and intensity stereo.

2003-10-30 13:09  bouvigne

	* libmp3lame/lame.c:

	Moved replaygain analysis after resampling. It was causing problems when
	used with non standard sampling frequencies.

2003-10-27 15:57  takehiro

	* configure.in, configure (takehiro-2002_05_07-experimental):

	added to use TAKEHIRO_IEEE754_HACK on AMD64 machines.

2003-10-26 17:58  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen

2003-10-26 16:50  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	update -q mapping and comment.
	now -q0/-q1 is same as -q2 (-h)

2003-10-26 16:26  takehiro

	* libmp3lame/: lame.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	more alignment work.

2003-10-26 16:26  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimize calc_noise(). as in main branch, it re-uses the previous
	calc_noise result where its scalefactor value is not changed

2003-10-26 15:22  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added "SIMD (asm used)" message

2003-10-26 15:22  takehiro

	* libmp3lame/: quantize.c, machine.h
	(takehiro-2002_05_07-experimental):

	more alignment work.

2003-10-26 14:54  takehiro

	* libmp3lame/: machine.h, util.h
	(takehiro-2002_05_07-experimental):

	alignment work

2003-10-26 14:48  takehiro

	* libmp3lame/: quantize.c, takehiro.c, util.h, i386/Makefile.am,
	i386/Makefile.in, i386/nasm.h, i386/quantSSE.nas
	(takehiro-2002_05_07-experimental):

	SSE version of calculate xr^(3/4), from gogo-no-coda.

2003-10-26 14:46  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial optimization.

2003-10-26 12:44  takehiro

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/tables.c, libmp3lame/takehiro.c
	(takehiro-2002_05_07-experimental):

	update substep noise shaping.
	- pseudo half step is now default when -q 0 to 4.
	- in VBR mode, use substep noise shaping if 320kbps is not enough.
	- changed behaivior of --substep option (see the usage message)

2003-10-26 11:52  takehiro

	* libmp3lame/: encoder.c, quantize.c
	(takehiro-2002_05_07-experimental):

	more generalized optimization by using gfc->xrMaxNum.
	- we can also use it now with VBR.

2003-10-26 11:27  takehiro

	* frontend/mp3x.c, include/lame.h
	(takehiro-2002_05_07-experimental):

	fix build problem...

2003-10-26 07:43  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use adjust_global_gain() function when pseudohalf step noise shaping.
	fix it sometimes exceed the global_gain limit.

2003-10-26 07:38  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix build problem when with DECODE_ON_THE_FLY

2003-10-26 07:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix when subblock_gain or scalefactor_scale is used.

2003-10-25 20:53  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	re-quantizing only on the sfb where "distortion" is found. (faster !)

	revert "double"->"FLOAT" conversion.
	- it makes some problems on the machine of which FLOAT is REALLY FLOAT
	  (only 32it precision)

2003-10-25 19:54  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimize/debug gi->xrNumMax usage.

2003-10-25 19:45  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added loop break code by looking the noise in sfb21 because there's no sfb value and we can do nothing with it.

2003-10-25 19:30  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	off by one of max bitrate in VBR.

2003-10-25 19:28  takehiro

	* libmp3lame/: bitstream.c, bitstream.h, encoder.c, lame.c,
	set_get.c (takehiro-2002_05_07-experimental):

	clean up

2003-10-25 19:28  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix VBR/ABR with --nores encode.

	and clean up reservoir code.

2003-10-25 19:27  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	fix VbrInit code.

2003-10-25 18:12  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix
	(takehiro-2002_05_07-experimental):

	fix dependency (remove reservoir.c)

2003-10-25 18:10  takehiro

	* libmp3lame/: encoder.c, lame.c, lame_global_flags.h,
	mpglib_interface.c, psymodel.c, quantize.c, quantize.h, set_get.c,
	util.h (takehiro-2002_05_07-experimental):

	analysis hook code clean up.

2003-10-25 18:10  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	added decoder thread unsafe problem.

2003-10-25 18:02  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	fix build problem

2003-10-25 15:52  takehiro

	* configure, configure.in, libmp3lame/machine.h
	(takehiro-2002_05_07-experimental):

	remove --enable-all-float option from configure, and make --enable-double-float instead.

2003-10-25 07:31  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	faster calc_noise() by using max number of xr.

2003-10-25 07:15  takehiro

	* libmp3lame/: encoder.c, quantize.c, tables.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	precise number of max xr for long blocks. (faster CBR/ABR)
	code clean up.

2003-10-25 06:31  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	added mp3x bug.

2003-10-23 12:09  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	presets

2003-10-22 16:22  takehiro

	* libmp3lame/: encoder.c, quantize.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	count bits/quantization optimization.
	- do not quantize/search all zero region where obviously all zero region.
	  (use previous quantization result to determine the region)

2003-10-22 13:55  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	remove unused definition

2003-10-22 10:21  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	changed "double" -> "FLOAT"

2003-10-22 10:17  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix sometimes preflag does not decrease the bitrate.

2003-10-22 10:16  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-10-22 08:26  takehiro

	* libmp3lame/takehiro.c:

	fix assertion failure reported by Gabriel.

2003-10-22 07:33  takehiro

	* libmp3lame/bitstream.c:

	better debug message

2003-10-22 07:11  takehiro

	* libmp3lame/: libmp3lame.dsp, libmp3lame_vc6.dsp
	(takehiro-2002_05_07-experimental):

	update for reservoir code clean up.

2003-10-21 16:31  takehiro

	* libmp3lame/: bitstream.c, bitstream.h, id3tag.c
	(takehiro-2002_05_07-experimental):

	one more clean up

2003-10-21 16:31  takehiro

	* DEFINES, TODO (takehiro-2002_05_07-experimental):

	NEW_DRAIN is now defaulted and it solves wmp6.4 problem

2003-10-21 16:22  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	remove duplicated error check
	make NEW_DRAIN as default
	code clean up.

2003-10-21 09:05  bouvigne

	* libmp3lame/: set_get.c, set_get.h, vbrquantize.c:

	cleanup

2003-10-20 16:10  olcios

	* doc/html/history.html:

	Added the word "Radio" to the description of the ReplayGain contribution, as it is actually the "Radio" ReplayGain that is computed.

2003-10-20 15:02  takehiro

	* libmp3lame/: VbrTag.c, VbrTag.h, encoder.c
	(takehiro-2002_05_07-experimental):

	clean up VBRTAG related code.
	- now the tag is same when --freeformat 128 and when -b 128
	- do not make seek table when CBR

2003-10-20 13:19  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, VbrTag.c, bitstream.c,
	quantize.c, quantize_pvt.h, reservoir.c, reservoir.h, tables.c,
	util.h (takehiro-2002_05_07-experimental):

	large clean up arround reservoir related code

2003-10-20 12:30  bouvigne

	* doc/html/history.html:

	history

2003-10-20 11:08  bouvigne

	* libmp3lame/version.h:

	bump alpha

2003-10-20 07:20  bouvigne

	* libmp3lame/quantize_pvt.c:

	fixed build problem

2003-10-19 23:26  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix comments.

2003-10-19 17:19  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated

2003-10-19 17:12  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplify the short block noise calculation.

2003-10-19 16:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix VBR when i-stereo and completely mono.

2003-10-19 14:14  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	update

2003-10-19 14:05  takehiro

	* libmp3lame/: machine.h, mpglib_interface.c, newmdct.c,
	quantize.c, tables.c, util.c (takehiro-2002_05_07-experimental):

	remove FLOAT8 at all.

2003-10-19 14:04  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	"floating" scalefactor optimization when preflag is enabled.

2003-10-19 13:42  takehiro

	* libmp3lame/: bitstream.c, quantize.c, tables.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	fix MPEG2 Layer3 scalefactor store code.
	- fix i-stereo mode.
	- fix preflag usage.

2003-10-19 13:13  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	remove unused member

2003-10-19 12:50  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	Fix subband filtering initialization code.
	I hope this solves "very the 1st frame" problem.

2003-10-19 12:20  takehiro

	* libmp3lame/: bitstream.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	use preflag when MPEG2
	added istereo bitstream output code when MPEG2
	(only output code. not support at the bit-allocation).

2003-10-19 11:41  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	oops, I checked in the wrong version ...

2003-10-19 11:39  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	update

2003-10-19 11:37  takehiro

	* libmp3lame/: encoder.c, lame.c, newmdct.c, psymodel.c, psymodel.h
	(takehiro-2002_05_07-experimental):

	fix very the 1st frame encoding.
	at least MPEG2 Layer3 works, but still there's problem...

2003-10-19 06:24  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix warning when not HAVE_GTK

2003-10-19 04:45  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated and renumbered.

2003-10-19 04:42  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix max sfb value when preflag+IS

2003-10-19 04:41  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	update comment

2003-10-18 18:05  takehiro

	* libmp3lame/: encoder.c, quantize.c, tables.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	small clean ups and remove outdated comments.

2003-10-18 17:19  takehiro

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.h, libmp3lame/set_get.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	use always max_noise as the noise estimation and remove the "quantcomp" selection

2003-10-18 16:54  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	clean up and simplify bin_search_StepSize().

2003-10-18 16:46  takehiro

	* libmp3lame/: bitstream.c, quantize.c, reservoir.c, reservoir.h
	(takehiro-2002_05_07-experimental):

	fix for NEW_DRAIN
	fix for target bitrate display in mp3x
	and code clean up.

2003-10-18 16:17  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	small clean up

2003-10-18 16:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	widen the scalefactor search range when VBR.
	and use previous frame information to find the scalefactor.

2003-10-18 13:44  takehiro

	* libmp3lame/: VbrTag.c, VbrTag.h, bitstream.c, lame.c, psymodel.c,
	quantize.c, util.c, util.h (takehiro-2002_05_07-experimental):

	fix warnings

2003-10-18 13:43  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	short block threshold tuning.

2003-10-18 12:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix it sometimes drains too much bits into the ancillary.

2003-10-18 10:42  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	added quality problem.

2003-10-17 14:39  bouvigne

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h:

	One more speedup in calc_noise, but the function is now a little messy

2003-10-17 13:50  bouvigne

	* configMS.h:

	updated version number

2003-10-17 11:49  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	Speedup calc_noise (about 5-10%) by re-using noise values per sfb between
	successive calls

2003-10-16 15:36  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tuning short block masking threshold calculation.

2003-10-16 15:12  takehiro

	* libmp3lame/: bitstream.c, encoder.h, newmdct.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	simplify the block type update code.

2003-10-16 15:10  takehiro

	* libmp3lame/: lame.c, quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	trivial coding clean up.

2003-10-16 13:26  bouvigne

	* libmp3lame/: VbrTag.c, presets.c:

	Put preset used in tag even when just using -b or --abr

2003-10-16 12:55  bouvigne

	* libmp3lame/VbrTag.c:

	fixed a Lame header bug:
	-b xxx --preset yyy was putting xxx as minimum bitrate value in the
	tag instead of the value defined in the preset yyy

2003-10-16 01:32  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix warning when not DEBUG mode

2003-10-16 01:30  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	one more cleanup

2003-10-14 17:56  takehiro

	* libmp3lame/: encoder.c, lame-analysis.h, psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	one more general code clean up.

2003-10-14 17:37  takehiro

	* testcase.mp3, libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c,
	libmp3lame/reservoir.h, libmp3lame/tables.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	general clean up.

2003-10-14 16:57  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	write down "i-stereo used or not" to LAME tag.

2003-10-14 16:56  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	remove automs code

2003-10-14 16:54  takehiro

	* testcase.mp3, frontend/parse.c, include/lame.h,
	libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove lame_(set|get)_automs
	remove "-m a" option

	simplify when no psymodel case (but it has bug in reservoir handling.)

2003-10-14 16:46  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	compress "floating" scalefactors

2003-10-14 12:56  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	treat "LR-i" as same as "LR" when display LR/MS history bar.

2003-10-14 12:23  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix MS_MD_LR_LR will never be selected ...

2003-10-14 12:21  takehiro

	* libmp3lame/: lame.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	update mode/block type selection (mode_ext) code.
	- now it uses "START-STOP" block type transition.
	- istereo selection code is now simplified.
	- and small general code clean ups.

2003-10-13 17:56  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	clean up istereo related code.

2003-10-13 17:52  takehiro

	* Makefile.am, Makefile.in (takehiro-2002_05_07-experimental):

	fix testcase failure when not HAVE_GTK

2003-10-13 17:27  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix mp3x sometime assertion failure.

2003-10-13 17:21  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix it forgot to reset the istereo usage sfb when LR_I -> LR_MS

2003-10-13 15:57  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	widen the sf search range on short block.
	some code clean up.

2003-10-13 15:56  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	tuning tonality estimation of "middle" frequency area.

2003-10-13 15:25  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	clean up VBR code.

2003-10-13 13:50  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	update with alpha 9

2003-10-13 13:48  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	nuke ".raw" from output filename.
	fix possible buffer overrun.

2003-10-13 13:26  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use substep noise shaping even when short block.
	do not substep noise shaping on digital silent channel.

2003-10-13 13:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	init code optimization (do not calculate xr^(3/4) beyond cutoff).

2003-10-13 13:19  takehiro

	* libmp3lame/: lame.c, tables.c (takehiro-2002_05_07-experimental):

	use same ath adjustment code for VBR/CBR/ABR

2003-10-13 11:05  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix LR-i stereo selection on short blocks. (I forgot to commit this in alpha9)

2003-10-13 11:02  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix comment.

2003-10-13 10:20  takehiro

	* testcase.mp3, libmp3lame/version.h
	(takehiro-2002_05_07-experimental):

	here goes alpha9

2003-10-13 10:19  takehiro

	* libmp3lame/: encoder.c, lame.c, quantize.c, quantize_pvt.h,
	takehiro.c (takehiro-2002_05_07-experimental):

	clean up preflag/istereo code.

2003-10-13 10:17  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	one more fix about i-stereo aging bug.

2003-10-13 09:53  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	fix --allshort and --shortthreshold

2003-10-11 20:17  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	changed variable name, cod_info_w -> gi_w

2003-10-11 20:11  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	use best_scalefac when istereo.

2003-10-11 19:45  takehiro

	* libmp3lame/: lame.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	clean up ATH adjustment code.

2003-10-11 19:45  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do not use athAdjust()

2003-10-11 19:36  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	prepare for "START-STOP" sequence.

2003-10-11 15:11  takehiro

	* libmp3lame/: encoder.c, psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	fix i-stereo aging bug.

2003-10-11 14:11  takehiro

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h, quantize.c,
	quantize.h, util.h (takehiro-2002_05_07-experimental):

	trivial optimization (more and more)

2003-10-11 13:42  takehiro

	* libmp3lame/: psymodel.c, tables.c
	(takehiro-2002_05_07-experimental):

	trivial optimization

2003-10-11 13:39  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-10-11 13:19  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	use subblock_gain and scalefac_scale when i-stereo and CBR/ABR.

2003-10-11 13:13  takehiro

	* libmp3lame/: quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	i-stereo with VBR.

2003-10-11 11:21  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	work arround for mono-input problem when istereo.

2003-10-11 11:09  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix cutoff when i-stereo enabled but not using istereo frame.

2003-10-11 11:05  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	make check_istereo() to be aware of the cutoff.

2003-10-11 10:34  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix off by one bug in loop_break()

2003-10-11 10:29  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix off by one bug in PE calculation (and some code clean up).

2003-10-06 05:09  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	istereo selection code optimization

2003-10-06 04:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix scalefactor breakage when istereo case

2003-10-05 18:08  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	reduce istereo usage ratio.

2003-10-05 18:04  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	small clean up

2003-10-05 17:59  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	sync with main branch
	- Gaby's freeformat vbrtag fix(rev 1.67->1.68).

2003-10-05 17:48  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix LR-i mode selection.

2003-10-05 17:05  takehiro

	* testcase.mp3, frontend/gtkanal.c, libmp3lame/encoder.c,
	libmp3lame/quantize.c, libmp3lame/quantize.h
	(takehiro-2002_05_07-experimental):

	general mp3x cleanup.

2003-10-05 16:36  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	remove magic numbers

2003-10-05 14:17  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	pe -> bit-allocation update.(revert old one)

2003-10-05 13:59  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix when almost mono input.

2003-10-05 13:29  takehiro

	* libmp3lame/: quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	one more --athonly hack.

2003-10-05 13:21  takehiro

	* libmp3lame/: quantize.c, tables.c
	(takehiro-2002_05_07-experimental):

	simplify calc_xmin when "ATH only".

2003-10-05 12:15  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix sfb buffer overrun when i-stereo.

2003-10-05 11:54  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	update the algorithm to select the sfb where it uses i-stereo.

2003-10-05 10:37  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix short block cutoff sfb calculation.

2003-10-04 18:27  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	small optimization
	- noise calculation in "all zero" region.
	- sfb21 shaping aware loop_break()

2003-10-04 18:26  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	small clean up

2003-10-04 16:57  takehiro

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	VBR quality over 9 (not tuned yet at all).

2003-10-04 16:52  takehiro

	* libmp3lame/: tables.c, util.h, encoder.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	make it default to do noise shaping in sfb21.
	cutoff-aware PE(perceptual entropy) calculation.

2003-10-02 09:25  takehiro

	* frontend/parse.c:

	fix build problem.(I made a mistake when back porting ...)

2003-10-01 16:13  takehiro

	* mpglib/layer3.c (takehiro-2002_05_07-experimental):

	fix build problem

2003-09-29 17:47  takehiro

	* libmp3lame/: psymodel.c, tables.c
	(takehiro-2002_05_07-experimental):

	tonality estimation tuning ... still need more.

2003-09-29 14:00  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2003-09-29 00:35  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix typo

2003-09-28 16:44  takehiro

	* configMS.h (takehiro-2002_05_07-experimental):

	fix version

2003-09-28 16:42  takehiro

	* USAGE (takehiro-2002_05_07-experimental):

	small update.

2003-09-28 16:32  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	re-enable scfsi usage.

2003-09-28 16:30  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	use scalefactor() macro more.

2003-09-28 16:19  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tonality estimation fix #1
	- safer tonality estimation at lower frequency.
	- tuned sine wave (arround 20Hz) with the option "-v --substep 1"

	- we still need tuning sine wave arround 1kHz.

2003-09-27 18:39  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	"smoothing" the istereo/narrow-stereo/reduce-side values for default setting.
	and code clean up.

2003-09-27 18:11  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	many small clean up.

	and mp3x update.
	- display number of scalefactor bands with a distortion.
	- display total noise.

2003-09-27 17:15  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix display of istereo-ratio and reduce-side factor

2003-09-27 17:14  takehiro

	* libmp3lame/lame-analysis.h (takehiro-2002_05_07-experimental):

	remove unused definition

2003-09-27 17:14  takehiro

	* INSTALL (takehiro-2002_05_07-experimental):

	updated for LAME4
	- remove outdated compile time options including configure option.

2003-09-27 15:50  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix narrow stereo default setting bug.

2003-09-27 13:13  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	It assumes the noise is monotonic function of the scalefactor, but it is not true.
	To fix it, I added CBR_2nd_bitalloc() function.

2003-09-27 13:05  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix "%" display.

2003-09-27 09:58  takehiro

	* frontend/parse.c, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	added --reduce-side option

	added to display side-channel pe reduction factor and narrowen stereo factor,
	when --verbose.

2003-09-27 08:24  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize.c, set_get.c,
	set_get.h, util.h (takehiro-2002_05_07-experimental):

	reduce_ratio option to control MS/LR ratio.
	need more tuning.

2003-09-27 06:16  takehiro

	* frontend/parse.c:

	added priority control on WIN32, backport from experimental branch.

2003-09-26 13:52  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	remove outdated comment.

2003-09-26 03:50  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	updated

2003-09-25 16:27  takehiro

	* frontend/parse.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/set_get.h,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	- added --narrowen-stereo option
	- use narrowen stereo default when lower than 90kbps.

2003-09-25 15:54  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	added priority control option on MS-Windows.
	(request #649324 @ sf.net)

2003-09-25 13:21  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen by hand.

2003-09-25 13:21  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix typo

2003-09-25 13:15  takehiro

	* libmp3lame/i386/Makefile.in (takehiro-2002_05_07-experimental):

	fix automake bug by hand (work arround)

2003-09-24 23:18  takehiro

	* Makefile.in, aclocal.m4, config.guess, config.sub, configure,
	depcomp, install-sh, missing, mkinstalldirs, ACM/Makefile.in,
	ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in, Dll/Makefile.in,
	debian/Makefile.in, doc/Makefile.in, doc/html/Makefile.in,
	doc/man/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	frontend/rtp.c, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	regen with aclocl-1.7, automake-1.7, autoconf-2.57

2003-09-24 23:15  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fixed mingw build.
	- socket patch from leighsmith, patch ID #809315 @ sf.net

	socket function is not mandatory when mp3rtp is not built.
	- bug report from gadibergman, Bug ID #809678 @ sf.net

2003-09-23 18:29  takehiro

	* DEFINES (takehiro-2002_05_07-experimental):

	updated

2003-09-23 18:04  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	it sometime goes into infinite loop when imcomplete wave file...

2003-09-23 17:28  takehiro

	* libmp3lame/: encoder.c, quantize.c
	(takehiro-2002_05_07-experimental):

	added "narrow stereo image" function.
	I will add new "right" switch to enable it, but till then,
	use -X n (0<n<128) option to enable it.

	larger n makes narrowen the stereo image more.
	This helps quality at lower bitrate (arround 64kbps).
	My recomendation is "-b 64 -X 30".

2003-09-23 16:07  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	remove unused definition.

2003-09-23 15:56  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial coding clean up.

2003-09-23 15:44  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	new sfb21 treatment hack to make it faster.

2003-09-23 12:37  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	update.

2003-09-21 18:37  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	tuning CBR/ABR preset bit.

2003-09-21 16:16  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	bump up to alpha8.

2003-09-21 16:16  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen

2003-09-21 16:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	revert "bitrate cutdown" code in VBR_2nd()

2003-09-21 16:01  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix it sometimes uses range over sfb value.

2003-09-21 15:47  takehiro

	* libmp3lame/: tables.c, tables.h
	(takehiro-2002_05_07-experimental):

	remove unused definition and array object.

2003-09-21 15:36  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	remove redundant initialization
	added one more sanity check.

2003-09-21 10:29  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen (by hand :p)

2003-09-21 10:26  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	treat gcc 3.3.x same as 3.2.x

2003-09-12 13:00  bouvigne

	* libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/quantize_pvt.c, libmp3lame/set_get.c, include/lame.h,
	libmp3lame/set_get.h, libmp3lame/util.h, frontend/parse.c:

	--psymodel 1/2 (gpsycho is 1 and nspsytune is 2)

2003-08-31 15:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	it should not check sfb21 noise differently.

2003-08-31 09:39  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove "reduce bitrate" function from VBR_2nd_bitalloc,
	which is redundant (it will be done in the VBR_3rd_bitalloc).

2003-08-31 09:21  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix noise shaping stop criteria when we need sfb21 noise shaping.

2003-08-31 09:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added new macro "scalefactor()" to simplify the code.

2003-08-31 08:53  takehiro

	* mpglib/interface.c (takehiro-2002_05_07-experimental):

	fix null pointer access reported by Andreas Westfeld

2003-08-20 16:45  bouvigne

	* libmp3lame/lame.c:

	fixed CBR settings bug
	(introduced by me)

2003-08-20 16:16  bouvigne

	* libmp3lame/set_get.c:

	fixed an assertion failure on lame_get_interChRatio
	(introduced by me)

2003-08-17 18:09  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2003-08-17 18:07  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	sync with main branch (type handling and socket function detection)

2003-08-17 08:12  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	sync main branch (pipe input support)

2003-08-16 10:36  aleidinger

	* doc/html/history.html:

	add entry for the named pipe bug

2003-08-16 10:26  aleidinger

	* frontend/get_audio.c:

	Work around a bug which shows up if the input is a FIFO.

	Tested by:	Ville Herva <vherva@niksula.hut.fi>

2003-08-10 12:48  bouvigne

	* include/lame.h, libmp3lame/lame.c, libmp3lame/presets.c,
	libmp3lame/psymodel.h, libmp3lame/set_get.c, libmp3lame/set_get.h:

	use presets by default for abr/cbr

2003-08-10 10:11  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2003-08-10 10:09  takehiro

	* libmp3lame/: libmp3lame.dsp, libmp3lame_vc6.dsp
	(takehiro-2002_05_07-experimental):

	new interface to change internal flags

2003-08-10 10:06  takehiro

	* libmp3lame/Makefile.am (takehiro-2002_05_07-experimental):

	new interface to change internal flags.

2003-08-10 10:05  takehiro

	* libmp3lame/lame.c, libmp3lame/set_get.c, frontend/parse.c,
	include/lame.h, libmp3lame/set_get.h
	(takehiro-2002_05_07-experimental):

	sync with main branch and fix comments.
	- changed API name
	- hidden "internal" flags when stable release (when it will be...)

2003-08-10 10:03  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	fix comment.

2003-08-10 10:03  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix it may use i-stereo at sfb21.

2003-08-10 10:00  takehiro

	* debian/: control, copyright, lame.docs, lame.files, rules
	(takehiro-2002_05_07-experimental):

	sync with main branch, except changelog itself.

2003-08-09 18:55  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix for when there's no LIST chunk.

2003-08-09 12:54  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	fix warning one more.

2003-08-09 12:00  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	fix aliasing warning

2003-08-09 11:30  takehiro

	* libmp3lame/id3tag.c (takehiro-2002_05_07-experimental):

	added definition for MSVC (as Gabriel did in main branch)

2003-07-16 01:29  rbrito

	* debian/: changelog, control, copyright, lame.docs, lame.files,
	rules:

	Updated debian packaging.

2003-07-13 10:11  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	RIFF->ID3Tag conversion patch from Charlie Lenahan <CLenahan at fortresstech dot com>

2003-07-11 16:35  aleidinger

	* doc/html/id3.html, doc/man/lame.1, frontend/parse.c:

	Add --ignore-tag-errors, mostly submitted by Adam Luter
	<Adam.Luter@matchwave.com>.

2003-06-29 15:43  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	revert the latest psymodel update...

2003-06-15 16:52  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	trivial coding style update (comment style change, // ... -> /* ... */ )

2003-06-15 16:48  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	do not output unused information to avoid any confusion.

2003-06-15 15:28  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix almost all the VBR infinite loop problem (I hope)

	general code simplification

2003-06-14 17:52  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplified VBR code.

2003-06-14 17:36  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplify the VBR code.

	fix more infinite loop in VBR, but still ....

2003-06-14 14:34  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix method 2 of substep shaping.
	added VBR_3rd_bitalloc() to reduce bitrate little bit.

2003-06-14 14:33  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one more safer tonality estimation in lower frequency, especially for human voice.

2003-06-14 14:32  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial simplification

2003-06-14 09:32  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix compilation problem on MSVC reported by Yaroslav Efimov

2003-06-14 07:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix possible VBR infinite loop... but there are still problems.

2003-06-08 18:19  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix VBR code assumes noise<->scalefactor is a monotonic function.

	some trivial style update

2003-06-08 17:05  takehiro

	* include/lame.h, frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/set_get.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	remove nspsytune2

2003-06-08 16:58  takehiro

	* include/lame.h, frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	always use ATH adaptive adjustment

2003-06-08 16:56  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial clean up

2003-06-08 16:40  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	experimental LR-i check code (not enabled yet)

2003-06-04 17:47  takehiro

	* Dll/BladeMP3EncDLL.c (takehiro-2002_05_07-experimental):

	sync main branch

2003-06-04 17:42  takehiro

	* Dll/BladeMP3EncDLL.c:

	fix quality setting API(patch for BugID 746439 at sf.net, reported by mikokong).

2003-06-01 18:22  aleidinger

	* libmp3lame/Makefile.in:

	regen

2003-06-01 18:22  aleidinger

	* libmp3lame/Makefile.am:

	add new private header

2003-06-01 17:20  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/libmp3lame_vc6.dsp,
	libmp3lame/presets.c, libmp3lame/set_get.c, libmp3lame/set_get.h:

	private header for internal set/get interfaces

2003-06-01 16:12  bouvigne

	* libmp3lame/id3tag.c:

	let's use snprintf, with a define for msvc

2003-06-01 12:34  takehiro

	* libmp3lame/: lame.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	trivial simplification

2003-06-01 12:25  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	added --is-ratio switches to set the is-ratio.

	remove descriptions about -X,-Y and -Z.

2003-06-01 12:24  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added istereo-ratio to display.

2003-06-01 12:19  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	update TODOs and categorize them.

2003-06-01 09:16  takehiro

	* libmp3lame/: lame.c, quantize.c
	(takehiro-2002_05_07-experimental):

	tuning lower bitrate (arround 64kbps).
	- improve pe -> bit allocation
	- changed cutoff, short-threshold.

2003-06-01 09:14  bouvigne

	* libmp3lame/VbrTag.c:

	fix seek table for freeformat

	There is still something strange because with
	-b128 and
	-b128 --freeformat
	I do not get the same seek table

2003-06-01 09:06  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	scfsi debug.
	- it forgot to initialize scfsi flag when it changes "not istereo" frame to "istereo" frame.
	- when scfsi is not used at all, do not re-calculate the how many bits are needed to store the scalefactors.

2003-05-31 18:28  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	initialize gfc->l3_side.is_start_sfb_l/s in case not using istereo.

2003-05-31 18:19  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	do not do the istereo related processes when dual stereo mode.

2003-05-31 14:05  bouvigne

	* libmp3lame/id3tag.c:

	ID3 TAG of "Encoder name", backported from experimental branch.
	Btw snprintf does not exist under msvc, so I used sprintf.

2003-05-31 13:52  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	sync with the main branch (fix VBR tag when freeformat by Gabriel)

2003-05-31 13:30  takehiro

	* libmp3lame/id3tag.c (takehiro-2002_05_07-experimental):

	ID3 TAG of "Encoder name".
	This is based on the patch from danchr, at http://www.hydrogenaudio.org/index.php?act=ST&f=15&t=9858&

2003-05-31 13:16  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	do not use istereo when "analog-monaural".

2003-05-25 17:00  takehiro

	* libmp3lame/: encoder.c, psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	fix i-stereo frame timing delay.

	do not use i-stereo when completely mono.

2003-05-25 15:34  bouvigne

	* libmp3lame/VbrTag.c:

	corrected the bitrate index of LAME tag in case of freeformat,
	but the seek table is still wrong

2003-05-25 13:21  takehiro

	* Makefile.in, debian/Makefile.in
	(takehiro-2002_05_07-experimental):

	regen

2003-05-25 13:14  takehiro

	* Makefile.am, debian/Makefile.am
	(takehiro-2002_05_07-experimental):

	moved dist-hook, as is in the head branch.

2003-05-25 13:09  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix initialization of "istereo used band" when istereo is not used at all.

2003-05-25 13:04  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix istereo stereo image bug when mono.

2003-05-25 12:28  takehiro

	* include/lame.h, libmp3lame/lame.c, libmp3lame/psymodel.c,
	libmp3lame/set_get.c, libmp3lame/tables.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	psymodel for i-stereo.
	determine which sfb to use i-stereo by checking similarity of the masking/energy ratios.

2003-05-25 07:31  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimize CBR/VBR mode pe<->bit allocation

	trivial simplification arround VBR.

2003-05-25 03:25  takehiro

	* libmp3lame/: encoder.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	i-stereo improvement.
	- auto switching LR-i <=> MS-i
	- i-stereo aware pe calculation

2003-05-25 01:19  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	added i-stereo frame count display.

2003-05-25 00:59  takehiro

	* TODO (takehiro-2002_05_07-experimental):

	slightly updated about i-stereo.

2003-05-20 12:19  aleidinger

	* debian/Makefile.in, configure:

	regen

2003-05-20 12:17  aleidinger

	* aclocal.m4:

	remove gtk12-config

2003-05-20 12:14  aleidinger

	* Makefile.am, debian/Makefile.am:

	move the dist-hook into the directory where the action happens

2003-05-20 12:13  aleidinger

	* configure.in:

	some enhancements for compiler problems and detection of the right size of some types

2003-05-19 04:20  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2003-05-19 04:19  takehiro

	* Makefile.in, aclocal.m4, config.guess, config.sub, ltmain.sh,
	ACM/Makefile.in, ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in,
	Dll/Makefile.in, debian/Makefile.in, doc/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	libmp3lame/i386/Makefile.in, mac/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in (takehiro-2002_05_07-experimental):

	regen with libtool-1.4.2/automake-1.5 to fix nasm enabled build

2003-05-19 04:17  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix compilation problem on "old" compilers

2003-05-19 04:09  takehiro

	* .cvsignore (takehiro-2002_05_07-experimental):

	added stamp-h?, remove stamp-h1

2003-05-18 17:20  takehiro

	* libmp3lame/: bitstream.c, encoder.c, lame.c, lame_global_flags.h,
	psymodel.c, quantize.c, tables.c, takehiro.c, util.h, version.h
	(takehiro-2002_05_07-experimental):

	initial support of intensity stereo for lower bitrate
	it will be enabled when 64-112kbps by default.

	now bump up the alpha7.

2003-05-18 16:13  takehiro

	* libmp3lame/version.c (takehiro-2002_05_07-experimental):

	when NASM is not enabled, do not print message about "MMX" or "3dNow!"

2003-05-18 15:05  takehiro

	* Makefile.am:

	added chmod +x debian/rules when make dist.

2003-05-18 15:03  takehiro

	* Makefile.am, Makefile.in, misc/Makefile.am, misc/Makefile.in
	(takehiro-2002_05_07-experimental):

	moved lame.bat
	added "chmod +x debian/rules" when "make dist" to resolve BugID #578129

2003-05-18 14:15  takehiro

	* Dll/BladeMP3EncDLL.h:

	patch from sf.net, Dll compile with gcc.

2003-05-18 07:04  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix for the environment which "long" is 64bit.

2003-05-18 03:45  takehiro

	* frontend/parse.c, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	simplify the opening message

2003-05-18 02:35  takehiro

	* frontend/: main.h, parse.c (takehiro-2002_05_07-experimental):

	trivial change and fix warnings

2003-05-18 02:34  takehiro

	* config.guess (takehiro-2002_05_07-experimental):

	oops, I overwrote the older file. revert.

2003-05-18 02:31  takehiro

	* config.sub (takehiro-2002_05_07-experimental):

	oops, I overwrite the older file.

2003-05-18 02:27  takehiro

	* stamp-h.in (takehiro-2002_05_07-experimental):

	removed

2003-05-18 02:21  takehiro

	* USAGE (takehiro-2002_05_07-experimental):

	remove -d and --voice
	changed recommended setting

2003-05-17 18:49  takehiro

	* frontend/: main.c, mp3x.c, parse.c
	(takehiro-2002_05_07-experimental):

	simplify the startup messages
	fix typo in warning mesage

2003-05-17 18:35  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	remove all the presets

2003-05-17 17:55  takehiro

	* acconfig.h, ltconfig (takehiro-2002_05_07-experimental):

	removed

2003-05-17 17:51  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2003-05-17 17:50  takehiro

	* Makefile.in, aclocal.m4, config.guess, config.h.in, config.sub,
	configure.in, ltmain.sh, ACM/Makefile.in, Dll/Makefile.in,
	debian/Makefile.in, doc/Makefile.in, dshow/Makefile.in,
	frontend/Makefile.in, include/Makefile.in, libmp3lame/Makefile.in,
	ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in, mac/Makefile.in,
	misc/Makefile.in, mpglib/Makefile.in, doc/html/Makefile.in,
	doc/man/Makefile.in, libmp3lame/i386/Makefile.in
	(takehiro-2002_05_07-experimental):

	regen with autoconf-2.54, automake-1.6, libtool-1.4

2003-05-17 17:22  takehiro

	* Dll/BladeMP3EncDLL.h (takehiro-2002_05_07-experimental):

	BladeMP3EncDLL.h patch for GCC from sf.net

2003-05-15 17:04  takehiro

	* frontend/lametime.c (takehiro-2002_05_07-experimental):

	Fix for SunOS 4, reported by Ti Kan.

2003-05-15 17:02  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix for sunos 4.x, reported by Ti Kan.

2003-05-15 16:57  takehiro

	* configure.in, frontend/brhist.c
	(takehiro-2002_05_07-experimental):

	fix for BSDI, which does not have term.h (reported by Ti Kan)

2003-05-15 16:55  takehiro

	* lame.bat, misc/lame.bat (takehiro-2002_05_07-experimental):

	moved lame.bat into misc directory

2003-05-15 15:09  takehiro

	* libmp3lame/: psymodel.c, psymodel.h, tables.c
	(takehiro-2002_05_07-experimental):

	trivial clean up.

2003-05-15 15:08  takehiro

	* include/lame.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	remove set_preset_* functions public.

2003-05-15 15:07  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	new pseudo sfb21 ath handling code (of course, experimental)

2003-05-15 14:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	Partial fix of VBR code assuming the qunatizing noise always increase
	when the scalefactor increase. This makes reduce bitrate arround 40kbps
	with bloat_test.wav.

	This fix is not perfect, because it still assumes the qunatizing noise always
	decrease when the scalefactor decrease.

2003-05-15 12:48  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	update default short block threshold

2003-05-15 12:04  takehiro

	* libmp3lame/: psymodel.c, psymodel.h
	(takehiro-2002_05_07-experimental):

	tuning MSFIX value with creaking.wav
	simplified and ATH aware msfix() routine.

2003-05-11 15:03  bouvigne

	* libmp3lame/presets.c:

	updated low bitrate presets.
	Considering quality, we have:
	ns1 comp1 > ns1 comp3 >ns2 comp3 >ns2 comp1

2003-05-11 13:15  bouvigne

	* libmp3lame/lame.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	--sfscale, inhibited -Z

2003-05-11 11:33  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, lame.c
	(takehiro-2002_05_07-experimental):

	simplified calc_noise() and better_quant().

	update comments.

	tuning ABR/CBR 64/80/192/224 kbps.

2003-05-11 10:18  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	added comments on vbr code (from main branch).

	trivial simplification in find_scalefac()

	prepare for fixing VBR code assumes "quantize noise always decrease when
	scalefactor decrease".

2003-05-11 09:49  bouvigne

	* libmp3lame/lame.c, libmp3lame/quantize.c, libmp3lame/set_get.c,
	frontend/parse.c, include/lame.h, libmp3lame/util.h:

	--sbgain

2003-05-10 17:56  takehiro

	* testcase.mp3, frontend/parse.c, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	fix for -k option (reported by Robert. thanx)

2003-05-09 14:06  aleidinger

	* frontend/: main.c, lametime.c:

	Fix on SunOs 4, Submitted by: Ti Kan <ti@amb.org>

2003-05-09 13:44  aleidinger

	* frontend/brhist.c:

	fix on BSD/OS 3.x, Submitted by: Ti Kan <ti@amb.org>

2003-05-09 13:14  bouvigne

	* libmp3lame/quantize.c:

	re-enabling the psfb12 analog silence detection. This time, the coeffs should
	be correct.
	However, the coding gain is now quite small

2003-05-08 12:58  bouvigne

	* libmp3lame/quantize.c:

	I am disabling the code for psfb12 analog
	silence detection, as it produces some kind of
	dropouts. It probably means that there is a bug
	somewhere inside.

2003-05-04 15:36  bouvigne

	* libmp3lame/version.h:

	bump alpha

2003-05-04 15:35  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	working on presets

2003-05-03 14:34  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c:

	ability to set vbr smooth (for vbr-mtrh)

2003-05-02 17:38  bouvigne

	* frontend/parse.c:

	internal command line options only available in debug or in alpha.

	This way we should not be worried again by users using non docummented options:
	they will not be available for them

2003-05-02 16:18  bouvigne

	* libmp3lame/vbrquantize.c:

	comments based on some mails exchanged with Robert

2003-05-01 15:23  bouvigne

	* libmp3lame/lame.c:

	maskingadjust/maskingadjust_short available for vbr-mtrh

2003-04-27 15:18  bouvigne

	* libmp3lame/: encoder.h, l3side.h, lame.c, quantize.c,
	quantize_pvt.c, util.h:

	Analog silence detection in partitionned sfb21 or sfb12 for short blocks

2003-04-20 17:32  bouvigne

	* libmp3lame/presets.c:

	changed short block quantization comparison to method 0
	for abr/cbr on medium bitrates (because of spahm, fatboy and the likes) ,
	as suggested by Takehiro.

2003-04-20 17:03  bouvigne

	* libmp3lame/version.h:

	bump alpha

2003-04-20 16:56  bouvigne

	* libmp3lame/quantize.c:

	trivial coding change in psfb21_analogsilence

2003-04-20 16:25  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	bump up alpha version

2003-04-20 16:25  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	safer tonality estimation for lower frequency, for better human voice encoding.

	prevent frequent much MS/LR switching.

2003-04-20 16:22  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tuning ATH scaling.

2003-04-20 15:57  bouvigne

	* include/lame.h, frontend/parse.c, libmp3lame/presets.c:

	presets (testing)

2003-04-20 13:28  bouvigne

	* libmp3lame/: lame.c, util.c, util.h:

	simplified prototype of FindNearestBitrate

2003-04-20 12:58  bouvigne

	* libmp3lame/presets.c:

	preset insane is now aliased to preset 320

2003-04-20 12:53  bouvigne

	* include/lame.h, frontend/parse.c, libmp3lame/presets.c:

	removed some old experimental presets

2003-04-20 12:33  bouvigne

	* libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/presets.c,
	frontend/parse.c, libmp3lame/psymodel.c, libmp3lame/quantize.c,
	libmp3lame/set_get.c, libmp3lame/util.h, libmp3lame/vbrquantize.c:

	removed presetTune struct

2003-04-19 16:34  bouvigne

	* libmp3lame/presets.c:

	fixed medium bitrates cbr/abr presets

2003-04-19 10:19  bouvigne

	* TODO:

	updated the TODO file

2003-04-12 13:47  bouvigne

	* doc/html/: contributors.html, history.html:

	history

2003-04-12 10:20  bouvigne

	* libmp3lame/lame.c, include/lame.h, frontend/parse.c:

	enable fast replaygain analysis by default
	define DECODE_ON_THE_FLY if compiled with mpglib

2003-04-07 10:14  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	fix build problem

2003-04-07 00:57  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial simplification

2003-04-06 12:03  takehiro

	* libmp3lame/: lame.c, set_get.c
	(takehiro-2002_05_07-experimental):

	fix higher bitrate CBR/ABR preset
	first attempt of tuning VBR preset

	fix athaa_sensitivity display and code (there was some confusion arround dB/power)
	fix warning of some compare.

2003-04-06 12:00  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix masking handling code for pre-echo prevention works too much aggressively.

2003-04-06 11:59  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	tuning ATH value of MDCT region.

2003-04-05 17:56  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	added ATHlower to display when verbose mode.

2003-04-05 17:20  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	improve short block "pre-surge" masking control.
	and simplify the code.

2003-04-05 17:19  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix 1st frame psycho analysis.

2003-04-05 16:03  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	update lower bitrate ABR/CBR preset.
	remove outdated comments

2003-03-31 16:32  takehiro

	* libmp3lame/: psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	- remove long block pre-echo handling code (we don't need it when nspsytune).
	- fix the lowpass filter index to determine L/R channnel long/short block switching.
	- lower the lowpass filter index to determine long/short block.

2003-03-30 15:11  bouvigne

	* include/lame.h, frontend/parse.c, libmp3lame/presets.c:

	presets portable/portable1

2003-03-24 21:21  bouvigne

	* libmp3lame/version.h:

	bump alpha

2003-03-24 21:19  bouvigne

	* include/lame.h, frontend/parse.c, libmp3lame/presets.c:

	presets

2003-03-24 20:32  bouvigne

	* libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/util.h,
	include/lame.h, frontend/parse.c:

	maskingadjust/maskingadjustshort for vbr-rh

2003-03-18 15:56  takehiro

	* libmp3lame/: VbrTag.c, encoder.c, util.c
	(takehiro-2002_05_07-experimental):

	trivial coding change

2003-03-16 18:02  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	update comments and clean up.

2003-03-16 17:53  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	new bs.totbit overflow handling strategy

2003-03-16 17:53  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove quantize cmpare method 3 and 10.
	update comments of over_noise and tot_noise.

2003-03-16 17:51  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	trivial coding style update

2003-03-08 13:56  takehiro

	* libmp3lame/: util.c, lame.c (takehiro-2002_05_07-experimental):

	- fix to work --quantcomp/--shortthreshold(it was ignored and LAME uses always the default)
	- bit clean up resample.

2003-03-08 10:28  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplify the inc_subblock_gain() by using table.

2003-03-04 18:00  takehiro

	* libmp3lame/: bitstream.c, encoder.c, tables.c, tables.h,
	takehiro.c, util.h (takehiro-2002_05_07-experimental):

	large clean up arround bit stream code. much simple, faster and small.

	fix and optimize MPEG2/2.5 scalefactor value recoding code
	there's still some problem using table 1 and sometime makes invalid bitstream...

2003-03-03 18:54  takehiro

	* libmp3lame/: bitstream.c, tables.c, tables.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	MPEG2/2.5 scalefactor bit recording optimization.
	- now it try to use table 1
	- much simplified code.

2003-03-03 18:01  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix gr_info initilization when MPEG2/2.5, short blocks.

2003-03-03 17:59  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix best_huffman_divide() sometime fails the assertion.
	do not use "extra" preflag when MPEG2/2.5 (it fails to record scalefactors)
	simplify the scale_bitcount_lsf()

2003-03-03 17:13  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	large clean up and simplification.(result is not changed)

2003-03-03 17:08  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	general clean up and simplification.

2003-03-03 17:04  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial optimization (use shift instead of division)

2003-03-03 10:02  takehiro

	* libmp3lame/: util.h, tables.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	first attempt of block switching for not 44.1kHz.
	- use "variable" lowpass index for "constant" lowpass frequency.

2003-03-03 04:14  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	tuning long/short threshold for arround 128kbps.
	clean up scaling related code.

2003-03-03 04:12  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial optimization

2003-03-03 02:48  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	revert substep=2 tuning.

2003-03-02 18:08  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	comment style update.
	some code simplification

2003-03-02 17:56  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial style change

2003-03-02 17:53  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	all "cod_info" are changed "gi"
	precisely change the scalefactor when substep = 2
	simplify the pinfo calculation(for mp3x)

2003-03-02 17:50  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	all "cod_info" is changed to "gi"
	optimized best_huffman_divide() little.
	update comments.

2003-03-02 16:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	comment update

2003-03-02 16:40  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	tuning trancation threshold used in pseudo half step method.
	more simplication and comment updation.

2003-03-02 16:03  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	update comments and simplification.
	teration_finish_one() is moved from quantize.c to takehiro.c for better conjunction.

2003-03-02 16:01  takehiro

	* libmp3lame/: tables.c, machine.h, tables.h
	(takehiro-2002_05_07-experimental):

	remove IIPOW20() related macro/arrays, all of which are not used.

2003-03-02 15:08  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	more clean up and simplification.

2003-03-02 15:06  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix warning.

2003-03-02 15:05  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	fix prototype.

2003-03-02 14:53  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.h, takehiro.c,
	util.h (takehiro-2002_05_07-experimental):

	large simplification mainly arround scale_bitcount()

2003-03-02 11:39  takehiro

	* libmp3lame/: reservoir.c, reservoir.h
	(takehiro-2002_05_07-experimental):

	changed ResvAdjust() as macro.

2003-03-02 11:35  takehiro

	* libmp3lame/: VbrTag.c, id3tag.h, util.h
	(takehiro-2002_05_07-experimental):

	simplify the tag related header files.

2003-03-02 11:20  takehiro

	* libmp3lame/: tables.c, takehiro.c, version.c
	(takehiro-2002_05_07-experimental):

	build problem fix when NASM is not enabled

2003-03-02 11:19  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	one more initialization simplification.

2003-03-02 11:13  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	simplify the default setting choosing method.
	- use optimum_samplefreq() to determine the output sampling rate, as suggested
	by Gabriel.
	- use MMX_choose_table always if it uses NASM.

2003-02-27 17:57  bouvigne

	* libmp3lame/libmp3lame_vc6.dsp:

	fix MSVC build (replay gain)

2003-02-27 17:46  bouvigne

	* libmp3lame/: encoder.h, l3side.h, lame.c, quantize.c,
	quantize_pvt.c, quantize_pvt.h, util.c, util.h:

	analog silence detection in partitionned sfb21

2003-02-27 03:55  takehiro

	* libmp3lame/: lame.c, quantize.c
	(takehiro-2002_05_07-experimental):

	some substep=2 optimization.
	- only do substep-shaping in the last quantization step.

2003-02-27 03:45  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix amp_scalefac_bands loop exit condition.

2003-02-27 03:38  takehiro

	* libmp3lame/: psymodel.c, util.h, tables.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	optimized little on the case not NASM enabled.

2003-02-24 03:21  takehiro

	* include/lame.h, libmp3lame/lame.c, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	more ABR/CBR default mode setting (use ABR/CBR preset)

2003-02-23 18:32  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	sync with the mainline (average compression ratio of VBR mode).

2003-02-23 18:30  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix quantize_xrpow_ISO() as same as in quantize_xrpow()

2003-02-23 18:22  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix short block window ID initialization.

2003-02-23 17:16  takehiro

	* libmp3lame/: set_get.c, lame.c
	(takehiro-2002_05_07-experimental):

	always uses abr/cbr preset, when abr/cbr coding.
	The cutoff frequency is changed as is in the main branch.

2003-02-23 16:30  olcios

	* libmp3lame/lame.c:

	fixed bug with --resample and --replaygain (input data analysis)

2003-02-23 16:27  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplify amp_scalefac_bands()

2003-02-23 16:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	simplify inc_subblock_gain()

2003-02-23 16:07  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix sfb21 does not quantize if some case.

2003-02-23 10:29  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	general clean up and optimization.
	- amplify band selection cleanup
	- skip amplify-method 1 when the max_noise is already lesser than 1.0
	- clean up substep shaping in VBR mode

2003-02-22 19:06  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	new optimized noise shaping strategy.
	start with "sparse" noise_shaping_amp method and retry with the finer method,
	when we continuously failed.

	This makes CBR/ABR coding quite faster.

	comment style update.(// -> /* */)

2003-02-22 19:03  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	clean up init_gr_info

2003-02-22 17:20  takehiro

	* config.guess, config.sub (takehiro-2002_05_07-experimental):

	sync with the mainline.
	- update config files (by CISC)

2003-02-22 17:01  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix VBR code for new quantize strategy.

2003-02-22 02:21  olcios

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix,
	USAGE, configMS.h, frontend/parse.c, include/lame.h,
	libmp3lame/Makefile.am, libmp3lame/Makefile.in,
	libmp3lame/VbrTag.c, libmp3lame/bitstream.c,
	libmp3lame/gain_analysis.c, libmp3lame/gain_analysis.h,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/set_get.c, libmp3lame/util.h:

	ReplayGain analysis of a single file (RadioGain)

2003-02-21 15:54  cisc

	* config.guess, config.sub:

	Update to latest config files to support more hosts/targets.

2003-02-21 04:53  takehiro

	* libmp3lame/: machine.h, quantize.c, tables.c, tables.h,
	takehiro.c (takehiro-2002_05_07-experimental):

	new quantization strategy.
	- the code handling quantization factor moved to quantize_xrpow() and
	quantize_xrpow_ISO(). This is preparing for "quantizing only the scalefactor
	band whose q-factor is changed" and so on.
	- now xrpow[] is constant.

2003-02-21 04:50  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	clean up initialization

2003-02-21 01:36  takehiro

	* libmp3lame/: mpglib_interface.c, util.h
	(takehiro-2002_05_07-experimental):

	sync mainline.
	- changed comment style (// -> /* */) by Robert.
	- Extending mpglib by the option to return unclipped floating-point values of samples by olcios.

2003-02-20 23:13  takehiro

	* libmp3lame/: takehiro.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	optimized quantization
	- remove QUANTFAC() macro.
	- check the max value in quantization routine (loop hoisting)

2003-02-20 22:43  takehiro

	* mpglib/: common.c, decode_i386.c, decode_i386.h, huffman.h,
	interface.c, interface.h, l2tables.h, layer1.c, layer2.c, layer2.h,
	layer3.c, layer3.h (takehiro-2002_05_07-experimental):

	sync mainline.
	- changed comment style (// -> /* */) by Robert.
	- Extending mpglib by the option to return unclipped floating-point values of samples by olcios.

2003-02-19 19:46  olcios

	* libmp3lame/mpglib_interface.c, libmp3lame/util.h,
	mpglib/decode_i386.c, mpglib/decode_i386.h, mpglib/interface.c,
	mpglib/interface.h, mpglib/layer3.c, mpglib/layer3.h:

	Extending mpglib by the option to return unclipped floating-point values of samples.

2003-02-19 16:40  takehiro

	* libmp3lame/: quantize.c, set_get.c
	(takehiro-2002_05_07-experimental):

	ATH related tuning for ABR/CBR preset.

	ABR bit-allocation tuning on short blocks

2003-02-19 12:14  takehiro

	* libmp3lame/presets.c:

	fix comment style. ( // -> /* */ )

2003-02-19 12:10  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	cleanup and ABR 128-160kbps shortthreshold change.

2003-02-19 10:05  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix comments

2003-02-19 09:48  takehiro

	* libmp3lame/: encoder.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	remove PE FIR filter. It does not work now.

2003-02-18 14:49  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	on short blocks, use subblock gain first, instead of scalefac_scale

2003-02-18 14:46  takehiro

	* libmp3lame/: psymodel.c, quantize.c
	(takehiro-2002_05_07-experimental):

	update PE calculation and pe based bit allocation(CBR,ABR)
	do not spend too much on short blocks.

2003-02-18 14:41  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	remove SNR parameter (attack position aware masking calculation code will replace this).

2003-02-18 01:11  olcios

	* Makefile.DJGPP:

	Workaround for a problem with make clean, regarding long filenames on some systems.

2003-02-17 01:02  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix threshold at [SBMAX_s-1] of short blocks

2003-02-16 19:07  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one and one more brand-new S(L-R) channel short block switching strategy

2003-02-16 18:53  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up in bitpressure_strategy()

2003-02-16 18:53  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix overflow in pulse-like signal detection.

2003-02-16 18:46  bouvigne

	* libmp3lame/presets.c:

	cbr/abr presets (still not finished?)

2003-02-16 18:40  takehiro

	* libmp3lame/: psymodel.c, tables.c
	(takehiro-2002_05_07-experimental):

	ATH value scaling clean up and one more revert short block strategy...

2003-02-16 18:07  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	clean up arround initialization of short blocks.

2003-02-16 18:06  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	trivial clean up in inc_scalefac_scale()

2003-02-16 18:05  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	better verbose mode printing

2003-02-16 13:23  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	bump up alpha5

2003-02-16 13:22  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	update testcase

2003-02-16 13:20  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/psymodel.c, libmp3lame/set_get.c, libmp3lame/tables.c
	(takehiro-2002_05_07-experimental):

	ATH related code clean up (always use ATH type 4).

2003-02-16 13:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	better noise estimation

2003-02-16 13:14  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	optimized calc_xmin()

2003-02-16 08:38  takehiro

	* libmp3lame/psymodel.c:

	PE calculation improvement (backported from experimental branch).
	Better pe calculation for nspsytune. This brings
	- better MS/LR switching
	- better reservoir handling (brings better ABR/CBR result)

	I hope the trouble on "SeriousTrouble.wav" is partially fixed (not perfect ?).

2003-02-16 08:25  takehiro

	* libmp3lame/quantize_pvt.h:

	fix build problem (calc_xmin() prototype fix)

2003-02-16 08:22  takehiro

	* libmp3lame/quantize.c:

	fix one more subblock_gain handling code.

2003-02-15 14:07  bouvigne

	* libmp3lame/quantize.c:

	init max_nonzero_coeff to 575 instead of 0

2003-02-14 17:41  bouvigne

	* libmp3lame/: l3side.h, quantize.c, quantize_pvt.c, takehiro.c:

	do not calc noise in upper 0 part

2003-02-10 03:26  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix long->short masking threshold conversion (still experimental).
	revert S(L-R) channel blocktype switching strategy.
	1st attempt of short block pre-echo prevention code(lessen masking before the surge on shortblocks, for preecho prevention).

2003-02-10 03:21  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	verbose mode:added if it uses subblock gain or not.

2003-02-09 18:01  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	one more tuning short block noise calculation
	- max_noise handling fix.

	changed quantcomp_s and quamtcomp
	- use quantcomp_s only for short blocks. (do not use for start/end)

2003-02-09 17:43  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	reduce memory copy in best_huffman_divide()

2003-02-09 16:46  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	oops, fix short block noise calculation...

2003-02-09 16:41  takehiro

	* frontend/gtkanal.c, libmp3lame/lame-analysis.h,
	libmp3lame/psymodel.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	changed mp3x "surge intensity" display.

	fix psymodel mis-enables the short blocks when MS stereo.

	changed short blcok setting strategy on the S(L-R) channel.
	Although this brings better LR/MS handling for fatboy.wav et.al., this is not true idea but work arround. we should get better ns_msfix().

	simplify the surge detection in psymodel.c

	added comments on psymodel.c for mp3x display and the window position.

2003-02-09 16:36  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	trivial simplification

2003-02-09 16:35  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	new calc noise for short blocks.
	it calculates the sum of noise in 3 subblocks at same frequency region.

	I hope this makes --quantcomp hack obsolete.

2003-02-09 15:19  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	sync main: comments update by Mark.

2003-02-09 12:36  bouvigne

	* libmp3lame/quantize_pvt.c:

	revert speedup

2003-02-09 01:25  markt

	* include/lame.h:

	  added a comment about reading the file API

2003-02-08 17:46  bouvigne

	* libmp3lame/: presets.c, version.h:

	presets

2003-02-08 13:53  bouvigne

	* libmp3lame/quantize_pvt.c:

	small speedup

2003-02-08 09:51  takehiro

	* frontend/main.c:

	trivial simplification

2003-02-08 07:22  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	sync main line: comments about lame_init()

2003-02-07 18:17  bouvigne

	* DEFINES:

	KLEMM_44

2003-02-06 20:04  markt

	* include/lame.h:

	updated comments about lame_init() from Kendrick Hamilton

2003-02-06 06:29  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix analog silence detection

2003-02-05 09:27  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen

2003-02-05 09:26  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix subband filtering (always mono...)

2003-02-04 18:27  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix --keeptag option

2003-02-04 17:16  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	oops, trivial mistake...

2003-02-04 17:11  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	some tuning arround attack threshold. not so far from good...

2003-02-04 17:10  takehiro

	* libmp3lame/: psymodel.c, psymodel.h
	(takehiro-2002_05_07-experimental):

	update comment and remove unused lines.

2003-02-04 17:01  takehiro

	* testcase.mp3, libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	libmp3lame/tables.c, libmp3lame/util.h
	(takehiro-2002_05_07-experimental):

	use subband filter sample to determine block type.
	it still remains parameter tuning, but it works.

2003-02-04 16:11  takehiro

	* libmp3lame/: encoder.c, newmdct.c, newmdct.h, psymodel.c,
	psymodel.h, tables.c, tables.h, util.h
	(takehiro-2002_05_07-experimental):

	prepare for using subband filtered samples to determine block switching.
	This will archive faster, and better block switching.

	And using this, we can get more precise short block threshold calculation, I hope.

2003-02-04 16:00  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix comment and trivial optimization.

2003-02-04 15:59  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	regen

2003-02-04 15:59  takehiro

	* configure (takehiro-2002_05_07-experimental):

	to avoid confusion, make version 4.00

2003-02-04 15:01  takehiro

	* frontend/: brhist.c, console.c, gtkanal.c, main.c, parse.c,
	rtp.c, timestatus.c (takehiro-2002_05_07-experimental):

	sync with main
	- comment fix // -> /* */
	- nogap related updates

2003-02-04 13:18  takehiro

	* libmp3lame/lame.c, libmp3lame/util.h, include/lame.h
	(takehiro-2002_05_07-experimental):

	sync main.
	- remove coding_t
	- update comment

2003-02-03 18:41  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	remove unused code

2003-02-03 18:40  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	sync with the head.

2003-02-03 18:29  takehiro

	* frontend/: get_audio.c, main.h, parse.c
	(takehiro-2002_05_07-experimental):

	added --keeptag option and clean up tag copy code.
	currently it works only with ID3v1.

2003-02-02 18:51  bouvigne

	* libmp3lame/version.h:

	bump alpha

2003-02-02 18:50  bouvigne

	* libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	include/lame.h, libmp3lame/presets.c, libmp3lame/set_get.c,
	frontend/parse.c:

	preset medium

2003-02-02 17:30  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	keep id3tag when reencoding mp3(experimental).
	1. it sometimes mis-recognize the tag. (but this is the same behavior of madplay)
	2. we should add some option to enable/disable this function.

	after 2 is solved, I will backport it to the head branch.

2003-02-02 17:15  takehiro

	* frontend/: get_audio.c, gtkanal.c
	(takehiro-2002_05_07-experimental):

	trivial comment/style update

2003-02-02 17:10  bouvigne

	* libmp3lame/: lame.c, util.c, util.h:

	removed KLEMM_44

2003-02-02 15:50  bouvigne

	* libmp3lame/: lame.c, util.h:

	removed useless structure (coding_t)

2003-02-02 14:45  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	presets: standard should be fine, working on medium

2003-02-02 10:15  bouvigne

	* libmp3lame/psymodel.c:

	comments regarding TMN and NMT (thank you Takehiro)

2003-02-01 21:59  takehiro

	* libmp3lame/: encoder.c, lame.c, newmdct.c, util.h
	(takehiro-2002_05_07-experimental):

	prepare for subband filter output to determine long/short block switching.
	- subband filtering in next frame.
	- encode delay setting

2003-02-01 20:06  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	precise error message about nspsytune2

2003-02-01 11:49  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	clean up and optimization.

2003-01-30 12:13  takehiro

	* frontend/get_audio.c:

	bit better mp3 input file sync. but we need one more for Chris.mp3....

2003-01-30 08:48  markt

	* libmp3lame/: encoder.c, lame.c:



	Formula for the amount of data that had to be in the buffer
	before it could be encoded was incorrect.  Old formula
	(for the polyphase filterbank) was:

	old formula:  286+576*(1+gfc->mode_gr) = 2014  (MPEG1)

	Correct formula is:  512+framesize -32 = 1632

	Best way to see this is to go through window_subband() in newmdct.c
	It access samples x[32*i] through x[510+32*i]  for i=0..17.

	So our old condition was too conservative.

	However, the FFT still requires 1904 samples, so the
	net change is just to lower the requirement from 2014 to 1904.

2003-01-28 03:12  takehiro

	* libmp3lame/lame-analysis.h (takehiro-2002_05_07-experimental):

	fix build problem on not HAVE_GTK environment

2003-01-28 00:29  markt

	* libmp3lame/lame.c:

	short blocks are coupled, even in regular stereo mode.
	This is to fix bugs reported in several different hardware decoders.
	see comments in lame.c

2003-01-27 12:22  takehiro

	* libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	added comments ...

2003-01-27 11:39  takehiro

	* libmp3lame/VbrTag.c:

	fix warning(added return value)

2003-01-26 17:37  takehiro

	* frontend/get_audio.c:

	added ID3tag v2 skipping function.

2003-01-26 12:37  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	tuned long block PE calculation parameter.

2003-01-26 12:09  bouvigne

	* libmp3lame/version.h:

	bumped alpha

2003-01-26 12:08  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	presets (under testing)

2003-01-26 12:02  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	tuned short block PE calculation parameter.

2003-01-26 11:31  bouvigne

	* libmp3lame/lame.c:

	verbose

2003-01-26 10:04  takehiro

	* libmp3lame/: takehiro.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	fix wrong "const" declaration.

2003-01-25 11:02  bouvigne

	* libmp3lame/: lame.c, quantize.c:

	changed -q mapping

2003-01-24 19:26  bouvigne

	* doc/html/history.html:

	history

2003-01-22 17:15  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix best_huffman_divide MPEG2 short block treatment.
	This is the same bug in count_bits().

2003-01-22 15:38  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove inner loop iteration limit (age) and some simple optimization.

2003-01-21 02:45  takehiro

	* frontend/: parse.c (takehiro-2002_05_07-experimental), parse.c:

	added \n in --preset help

2003-01-20 18:09  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	presets (under testing)

2003-01-19 15:55  bouvigne

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c:

	presets (under testing)

2003-01-19 09:13  takehiro

	* libmp3lame/: encoder.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	fix fatal bit-counting bug in MPEG2/2.5 short block.

2003-01-19 06:30  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	oops, type mismatch...

2003-01-18 14:44  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	added new API, lame_set_use_subblockgain() to set if it uses subblock gain or not.

2003-01-18 14:42  takehiro

	* frontend/parse.c, libmp3lame/quantize.c, libmp3lame/set_get.c,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	added "--sfscale" and "--sbgain" options.
	This is replacement of old ambiguous "-Z" option.

2003-01-13 16:34  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	use --preset insane when --preset 320

2003-01-13 13:19  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	10th quantcomp method, based on 3rd method, but uses over_noise instead of tot_noise.

2003-01-13 13:11  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix fatal bug which happens when the last partition is wider than the last scalefactor band.

2003-01-13 11:46  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	fix "off by one" in short block masking calculation.

2003-01-13 11:45  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	use automatic resample even when ABR.

2003-01-13 11:34  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	changed DEBUGF -> printf (to fix debug build).
	vorbis removing related fix.

2003-01-13 08:53  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	oops... fix auto short block switching threshold adjustment.

2003-01-13 08:43  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	oops... fix --quantcomp option.

2003-01-13 00:49  glessard

	* frontend/: get_audio.c, main.c, main.h, parse.c:

	NOGAP-related changes.
	- added '-T' option to force VBR/INFO tag inclusion.
	- moved a VBR/INFO tag inclusion decision to parse.c, eliminating the use
	  of a global variable across modules.
	- fixed reading of multiple little-endian AIFF-C files in get_audio.c. For
	  those files, 'swapbytes' was getting toggled for each file opened in the
	  sequence, so only every other output file was correct.

2003-01-12 15:18  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	added --quantcomp option.

2003-01-12 12:37  takehiro

	* libmp3lame/: VbrTag.c, lame_global_flags.h, util.c
	(takehiro-2002_05_07-experimental):

	sync with the head arround VbrTag.

2003-01-12 12:35  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	ABR/CBR preset sync with the head branch.

2003-01-12 12:33  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial cleanup

2003-01-11 18:40  bouvigne

	* libmp3lame/presets.c:

	low bitrates presets

2003-01-11 17:56  markt

	* libmp3lame/: VbrTag.c, lame_global_flags.h, util.c:

	reorganized VBR tag initialization code so that it
	could be reset/initialized several times
	(for use when encoding in nogap mode)

2003-01-11 17:42  markt

	* libmp3lame/lame_global_flags.h:

	removed comment within comment delimiter

2003-01-11 17:41  markt

	* include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/lame_global_flags.h:

	cleaned up some comments about VBR tags being written
	to the mp3 file after internal data structures are free
	(this has not been true for a long time)

	na

2003-01-11 15:43  bouvigne

	* libmp3lame/presets.c:

	low bitrates presets

2003-01-11 13:05  takehiro

	* libmp3lame/: encoder.c, quantize.c, quantize.h
	(takehiro-2002_05_07-experimental):

	remove an unused argument of VBR_iteration()

2003-01-11 12:55  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix mono ABR/VBR encoding

2003-01-11 12:46  takehiro

	* libmp3lame/lame.c:

	fix ath curve initialization.

2003-01-11 12:25  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix config print code

2003-01-11 11:10  takehiro

	* frontend/rtp.c (takehiro-2002_05_07-experimental):

	sync with the head branch
	- Include alloca.h if neccessary. (by Alex)

2003-01-11 11:09  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	sync with the head branch
	- GB's Ability to change ath4 shape independantly from vbr_q

2003-01-11 11:08  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	sync with the head branch (GB's change, "Add the Info frame to the number of frames reported by the Info/vbr tag")

2003-01-11 11:07  takehiro

	* USAGE (takehiro-2002_05_07-experimental):

	update bit.

2003-01-11 11:06  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	use "safe" way of short block long->short threshold conversion
	better ns_msfix by using the fatc that noise in sfb couldn't exceed its energy.
	do not use ns_msfix when we used msfix.
	do not long block msfix when the block IS short.

2003-01-11 04:16  markt

	* frontend/main.c, libmp3lame/VbrTag.c:

	in nogap mode, with VBR tags, we were calling init_bitstream()
	(which resets VBR tag data) before writing the VBR tag data.
	This is now fixed, but there is still a bug when initializing the
	VBR data for the 2nd (or more) encoding in the nogap series.

2003-01-10 21:22  markt

	* frontend/parse.c:

	forgot a \n in the --longhelp documentation

2003-01-10 20:18  markt

	* USAGE:

	note that --voice option is obsolete

2003-01-10 20:12  markt

	* frontend/: main.c, main.h, parse.c:

	added the "--nogaptags" option.

	this will allow VBR tags even for gapless encoding.
	The default behavoir is to disable tags for gapless encoding.

2003-01-10 20:07  markt

	* frontend/parse.c, libmp3lame/VbrTag.c:

	Updated the TOC calculation in the VBR tag to also count
	the size of the VBR tag itself.

	This is to make the VBR tag consistent with the recent change
	in the VBR frame count (changed so that it also counts the
	VBR tag as a frame)

2003-01-10 19:06  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	fix usage message arround ns(-bass|-alto|-treble|-sfb21|msfix).

2003-01-10 18:58  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	trivial cleanup (when JOINT_STEREO and no-psymodel, it is always MS stereo)

2003-01-10 18:57  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix some initilization when ABR.
	(It seems ATH-adjust type 3 does not works fine with ABR mode ...)

2003-01-05 16:49  takehiro

	* libmp3lame/version.c (takehiro-2002_05_07-experimental):

	fix compiling error(oops, trivial mistake...)

2003-01-05 16:36  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	- use ns-(bass|alto|treble|sfb21) in psymodel. And now ATH values are not
	affected by these values.

	- sfb21 aware pe(perceptual entropy) calculation. I hope it brings
	better LR/MS switching, but CBR/ABR is now not good as it was because of this.
	I'm afraid it needs overhaul....

	- analog silence detection code is moved to pecalc_[ls] functions.

2003-01-05 14:56  takehiro

	* libmp3lame/version.c (takehiro-2002_05_07-experimental):

	removed unused code

2003-01-05 08:15  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	one more fix for inc_subblock_gain().
	and some clean up.

2003-01-05 08:14  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	pe calculation of over 16kHz region.

2003-01-05 07:22  takehiro

	* libmp3lame/: lame-analysis.h, quantize.h
	(takehiro-2002_05_07-experimental):

	move set_frame_pinfo() definition to fix mp3x built

2003-01-05 07:21  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	remove unused code to fix mp3x built

2003-01-05 04:28  takehiro

	* DEFINES (takehiro-2002_05_07-experimental):

	completely updated (from Alex's comment).

2003-01-05 04:11  takehiro

	* libmp3lame/: bitstream.c, encoder.c, quantize.c, reservoir.c,
	reservoir.h (takehiro-2002_05_07-experimental):

	- general clean up mainly arround reservoir.
	- use faster and not exact quantizing method for the 1st step of VBR.
	  (It estimates scalefactor step roughly and not needed exactness)

2003-01-05 03:36  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	remove u_char definition (sync head branch)

2003-01-02 18:42  bouvigne

	* libmp3lame/psymodel.c:

	In psymodel_init set blocktype_old to NORM_TYPE because the VBR header is long blocks. This might be the problem encountered in some WMP 6.4

2003-01-02 18:37  bouvigne

	* libmp3lame/VbrTag.c:

	Add the Info frame to the number of frames reported by the Info/vbr tag

2003-01-02 18:30  bouvigne

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h,
	vbrquantize.c:

	reduced 63 warnings to 55 under visual c++. Those were mainly differences between function prototypes in declarations and implementations.

2003-01-02 18:27  bouvigne

	* libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/util.c, libmp3lame/util.h, frontend/parse.c,
	include/lame.h:

	Ability to change ath4 shape independantly from vbr_q

2003-01-01 16:14  aleidinger

	* libmp3lame/machine.h:

	Removed u_char typedefs, u_char is not used in the tree (according to grep -r u_char).

2003-01-01 16:12  aleidinger

	* frontend/rtp.c:

	Include alloca.h if neccessary.

	Noticed by:	Tomi Vainio <Tomi.Vainio@Sun.COM>

2002-12-31 14:00  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix,
	libmp3lame/Makefile.am, libmp3lame/Makefile.in,
	libmp3lame/libmp3lame.dsp, libmp3lame/libmp3lame_vc6.dsp
	(takehiro-2002_05_07-experimental):

	vbrquantize.[ch] and quantize_pvt.c is merged into quantize.c

2002-12-31 13:58  takehiro

	* libmp3lame/: bitstream.c, encoder.c, lame.c, lame_global_flags.h,
	reservoir.c, tables.c, util.c, util.h, version.h
	(takehiro-2002_05_07-experimental):

	general cleanup
		gfp->VBR_mean_bitrate_kbps and gfp->brate is merged.

		init_bit_stream_w is moved to lame.c from bitstream.c

		FindNearestBitrate(), map2MP3Frequency(), SmpFrqIndex()
		are moved to lame.c from util.c

		fix VBR lowest/highest bitrate in mono-mode

		now alpha 4

2002-12-31 13:56  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c, vbrquantize.h,
	quantize.h, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	removed analog silence related code in calc_xmin().

	ABR/CBR code integration.
	caller of init_outer_loop() and calc_xmin() is moved to outer_loop()

	off by one fix of global_gain (from the mainline), in outer_loop()

	new vbr code. but still needs more fix.
	remove unused code in VBR_prepare()

	vbrquantize.[ch] and quantize_pvt.c is merged into quantize.c

	one more inc_subblock_gain() fix.

2002-12-31 13:53  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	some cleanup arround pointer.

	analog silence detection in psymodel.c.

	skip short block FFT calculation of joint stereo, if it is not needed.

2002-12-29 16:48  takehiro

	* frontend/main.c, include/lame.h, libmp3lame/VbrTag.c,
	libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c,
	libmp3lame/set_get.c, libmp3lame/tables.c
	(takehiro-2002_05_07-experimental):

	cleanups
	- all vbr modes are into one.
	- more initilization code organization

	experimental tuning of short block switching threshold in ABR presets.

2002-12-29 16:44  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	update mainly due to long->short threshold convertion

2002-12-29 09:09  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	follow new APIs

2002-12-29 08:57  takehiro

	* libmp3lame/: VbrTag.c, bitstream.c, encoder.c, lame.c,
	lame_global_flags.h, machine.h, psymodel.c, psymodel.h, tables.c,
	tables.h, util.c, util.h, version.h
	(takehiro-2002_05_07-experimental):

	general cleanups
	- removed KLEMM_44 (I plan to replace the resampling code with ssrc)
	- VBR/CBR/ABR related initialization cleanup
	- moved initialization related code in lame.c/util.c -> tables.c
	- most of "preset" settings are defaulted.

	experimenal tuning
	- substep method and use_scalefac_scale setting are removed
	  from -q option mapping

2002-12-29 08:51  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	- simplify/removed not needed VBR code.
	  *** There is still problem which it assumes the quantization noise is
	  *** monotone function of the scalefactor(quantization factor).

2002-12-29 08:49  takehiro

	* libmp3lame/: lame-analysis.h, quantize.c, quantize_pvt.c,
	quantize_pvt.h, takehiro.c (takehiro-2002_05_07-experimental):

	- use athAdjust() always (in quantize.c)
	- removed unused quantcomp_method

2002-12-29 08:43  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	* follow API changes.
	* clean up options.
	added options
	 --shortthreshold
	removed options
	 --r3mix, --phone, --voice, --radio, --tape, --cd, --studio,
	 --cwlimit, --nspsytune,
	 --vbr-old, --vbr-new, --vbr-mrth
	 --short
	changed options
	 --allshort, --noshort (implemented by shortthreshold API)

2002-12-29 08:40  takehiro

	* libmp3lame/Makefile.am, libmp3lame/Makefile.in,
	libmp3lame/libmp3lame_vc6.dsp, libmp3lame/presets.c,
	libmp3lame/set_get.c, Makefile.DJGPP, Makefile.MSVC, Makefile.unix
	(takehiro-2002_05_07-experimental):

	presets.c is merged into set_get.c
	API change
	- CHANGED: expX -> "quantocomp_method"
	- CHANGED: expZ -> "use_large_scalefac"
	- REMOVED: cwlimit related APIs
	- REMOVED: short blocks on/off/forced APIs
	- NEW: short blocks switching threshold API

2002-12-27 04:42  takehiro

	* libmp3lame/psymodel.c:

	use ATH value as short block masking lower limit.

2002-12-27 04:21  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/set_get.c,
	libmp3lame/version.h:

	new option --shortthreshold and bump up version number(alpha 8)
	and new psymodel version(0.90) for ATHadjust aware psymodel

2002-12-27 04:17  takehiro

	* libmp3lame/psymodel.c:

	fix assertion failure (oops, my mistake in ATH handling change)

2002-12-26 05:43  takehiro

	* libmp3lame/: lame.c, psymodel.c, psymodel.h:

	cleanup psymodel initialization preparing for --shortthreshold option.

2002-12-25 12:13  takehiro

	* libmp3lame/: psymodel.c, quantize.c, set_get.c, util.h,
	vbrquantize.c:

	ATH handling fix and simplification.
	- use ATH adjust in ns_msfix(), mask_add(), and masking lower limit calculation.
	- all ATH adjust related thresholding(ns_msfix, quantcompare and scalefac_scale) is removed.

2002-12-21 07:12  takehiro

	* libmp3lame/: psymodel.c, quantize.c, quantize_pvt.c, tables.c
	(takehiro-2002_05_07-experimental):

	masking_lower related fix for shortblock ATH handling and clean up.

2002-12-21 07:10  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	trivial style change

2002-12-21 05:52  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization (when joint stereo, it is always STEREO and channels_out = 2)

2002-12-21 05:51  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix it uses LR threshold for MS when -m f

2002-12-21 05:45  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	zero prevention (adding 1e-37) is not needed.

2002-12-21 04:55  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix
	(takehiro-2002_05_07-experimental):

	fix for removing vorbis support

2002-12-21 04:53  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	short block ATH scaling fix.

2002-12-18 16:29  takehiro

	* libmp3lame/libmp3lame_vc6.dsp:

	removed tools.h

2002-12-18 16:27  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, debugscalefac.c, tools.c,
	tools.h:

	remove unused files and regen Makefile

2002-12-16 19:02  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix inc_subblock_gain() to properly handle sfb12 (16kHz over region) MDCT coefs.

2002-12-16 18:46  takehiro

	* libmp3lame/quantize.c:

	oops, I checked in the wrong version...

2002-12-16 18:45  takehiro

	* libmp3lame/quantize.c:

	fix inc_subblock_gain() to properly handle sfb12 (16kHz over region) MDCT coefs.

2002-12-16 18:14  takehiro

	* libmp3lame/: psymodel.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	initial attempt to long->short masking threshold conversion
	fix FFT routine selection code.

	adjust masking threshold scaling for VBR.

	fix ATH handling for long block masking threshold.

2002-12-16 18:10  takehiro

	* libmp3lame/: encoder.c, lame-analysis.h
	(takehiro-2002_05_07-experimental):

	mp3x displays MS/LR masking pe difference

2002-12-15 17:46  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	cleanup related removing vbr-old

2002-12-15 17:39  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	cleanup related removing vbr-old

2002-12-15 17:37  takehiro

	* libmp3lame/lame_global_flags.h
	(takehiro-2002_05_07-experimental):

	remove an unused variable

2002-12-15 17:36  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix short block scaling for ATH handling

2002-12-15 16:25  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix fatal short block ATH handling...

2002-12-15 12:56  bouvigne

	* libmp3lame/lame.c, frontend/parse.c:

	warning about alpha versions

2002-12-15 11:59  takehiro

	* ACM/ACMStream.cpp:

	fix access violation when LAME failed to initilize.
	I hope this fixes BUG ID 646894 (at sf.net).

2002-12-15 11:11  takehiro

	* libmp3lame/lame.c:

	fix warning (reported at sf.net by krick.)

2002-12-15 11:10  takehiro

	* libmp3lame/: util.h, takehiro.c:

	fix warning (reported at sf.net by krick.

2002-12-15 10:07  takehiro

	* libmp3lame/: presets.c, quantize.c
	(takehiro-2002_05_07-experimental):

	remove vbr-old and its presets

2002-12-15 09:47  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	adjust masking threshold for new mask_add() strategy.

2002-12-15 09:11  takehiro

	* libmp3lame/lame.c:

	fix -q0 convined with --substep x option.

2002-12-15 08:56  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix:

	fix for vorbis support remove (I hope)

2002-12-14 19:19  robert

	* ChangeLog, Makefile.MSVC, lame.bat, libmp3lame/encoder.c,
	libmp3lame/lame.c, libmp3lame/quantize.c, libmp3lame/util.c,
	misc/lame4dos.bat, misc/mlame:

	removed my email address

2002-12-14 18:56  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix for ATH handling and short block VBR threshold.

2002-12-14 17:38  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	more fix for msfix and its comment.

2002-12-14 11:08  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix better ns_msfix (and better MS/LR switching).

2002-12-14 08:01  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix msfix for symmetric L/R treatment.

2002-12-13 17:48  takehiro

	* libmp3lame/quantize.c:

	off by one fix for global_gain.

2002-12-13 17:42  takehiro

	* libmp3lame/: encoder.h, psymodel.c, quantize.c, set_get.c,
	tables.c, util.h, vbrquantize.c (takehiro-2002_05_07-experimental):

	ATH adjustment related code cleanup (for mostly preset).
	and possible fix for "global_gain > 255" (backport from mainline).

2002-12-13 16:58  takehiro

	* configure, frontend/main.h, libmp3lame/Makefile.in:

	remove vorbis support and regen.

2002-12-13 16:54  takehiro

	* configure.in, config.h.in, frontend/get_audio.c, frontend/main.c,
	frontend/parse.c, libmp3lame/Makefile.am, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/vorbis_interface.c:

	remove vorbis support.

2002-12-13 14:34  takehiro

	* libmp3lame/lame.c:

	fix for 64bit environment, reported by Tomi Vainio <Tomi.Vainio@Sun.COM>

2002-12-09 19:00  bouvigne

	* libmp3lame/: quantize.c, version.h:

	fixed the quant_comp problem (probably introduced by me)
	so bump the alpha version number

2002-12-08 17:40  takehiro

	* libmp3lame/version.h:

	now 3.94 alpha 6
	- changed default block switching threshold
	- fixed mpglib crash.

2002-12-08 17:35  takehiro

	* libmp3lame/psymodel.c:

	changed long/short block switching threshold.

2002-12-08 17:23  takehiro

	* testcase.mp3:

	new testcase for the new default cutoff frequency.

2002-12-08 17:07  takehiro

	* mpglib/interface.c:

	null pointer check patch from Peter Pawlowski <peter at blorp dot com>, to prevent the random crash.

2002-12-08 17:02  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.am,
	Makefile.in, Makefile.unix, configMS.h, configure, configure.in,
	testcase.mp3, frontend/brhist.c, frontend/brhist.h,
	frontend/console.c, frontend/console.h, frontend/get_audio.c,
	frontend/get_audio.h, frontend/gpkplotting.h, frontend/gtkanal.c,
	frontend/gtkanal.h, frontend/lametime.c, frontend/lametime.h,
	frontend/main.c, frontend/main.h, frontend/parse.c,
	frontend/parse.h, frontend/portableio.h, frontend/rtp.c,
	frontend/rtp.h, frontend/timestatus.c, frontend/timestatus.h,
	include/lame.h, libmp3lame/Makefile.am, libmp3lame/Makefile.in,
	libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	libmp3lame/bitstream.h, libmp3lame/encoder.c, libmp3lame/encoder.h,
	libmp3lame/fft.c, libmp3lame/fft.h, libmp3lame/gain_analysis.c,
	libmp3lame/gain_analysis.h, libmp3lame/id3tag.h,
	libmp3lame/l3side.h, libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/libmp3lame.dsp,
	libmp3lame/machine.h, libmp3lame/mpglib_interface.c,
	libmp3lame/newmdct.c, libmp3lame/newmdct.h, libmp3lame/presets.c,
	libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/reservoir.c, libmp3lame/reservoir.h,
	libmp3lame/set_get.c, libmp3lame/tables.c, libmp3lame/tables.h,
	libmp3lame/takehiro.c, libmp3lame/util.c, libmp3lame/util.h,
	libmp3lame/vbrquantize.c, libmp3lame/vbrquantize.h,
	libmp3lame/version.c, libmp3lame/version.h,
	libmp3lame/vorbis_interface.c, libmp3lame/i386/Makefile.am,
	libmp3lame/i386/Makefile.in, mpglib/common.c, mpglib/common.h,
	mpglib/dct64_i386.h, mpglib/decode_i386.h, mpglib/huffman.h,
	mpglib/interface.c, mpglib/interface.h, mpglib/l2tables.h,
	mpglib/layer1.c, mpglib/layer1.h, mpglib/layer2.c, mpglib/layer2.h,
	mpglib/layer3.c, mpglib/layer3.h, mpglib/mpg123.h, mpglib/mpglib.h,
	mpglib/tabinit.h:

	overwrite by takehiro_stable branch.

2002-12-08 16:59  takehiro

	* mac/.cvsignore:

	added

2002-12-02 20:26  bouvigne

	* libmp3lame/lame.c, libmp3lame/lame_global_flags.h,
	libmp3lame/presets.c, libmp3lame/quantize.c, libmp3lame/set_get.c,
	libmp3lame/util.h, libmp3lame/vbrquantize.c, include/lame.h,
	frontend/parse.c (takehiro-stable-2002_10_15):

	quant_comp and quant_comp_short

2002-12-01 17:47  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	now alpha4
	- fix -q0 and -q1
	- -X and -Z option update

	I think we should "-X1,0" as default for ABR/CBR/VBR-old, including all presets. (except fast presets)
	please test and tell your result.

2002-12-01 17:43  takehiro

	* frontend/parse.c, libmp3lame/lame.c, libmp3lame/quantize.c
	(takehiro-stable-2002_10_15):

	added "-Z -1" to enable scalefactor scale only(disable subblock gain)

2002-12-01 16:32  aleidinger

	* ChangeLog:

	update for 3.93.1

2002-12-01 16:18  aleidinger

	* configure:

	regen

2002-12-01 16:15  aleidinger

	* configure.in:

	change version to 3.93.1

2002-12-01 16:12  aleidinger

	* configure:

	regen

2002-12-01 16:10  aleidinger

	* doc/html/history.html:

	sync with webpages

2002-12-01 16:06  aleidinger

	* configure.in:

	Check for socket() in libsocket if it isn't in libc so rtp can get compiled
	on Solaris.

	Noticed by:	"Niki W. Waibel" <niki.waibel@gmx.net>

	While I'm here, bail out if some other functions aren't there.

2002-12-01 15:42  takehiro

	* libmp3lame/lame.c (takehiro-stable-2002_10_15):

	fix -q0 and -q1. This makes -q0 very very slow.

2002-12-01 15:36  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/quantize.c,
	libmp3lame/set_get.c, libmp3lame/vbrquantize.c
	(takehiro-stable-2002_10_15):

	now you can specify the method how to compare the quantization
	for long/short block independently by -X option.(-X n,m)

2002-12-01 13:18  takehiro

	* libmp3lame/set_get.c (takehiro-stable-2002_10_15):

	fix comment

2002-11-30 18:18  bouvigne

	* libmp3lame/version.h:

	version

2002-11-29 17:07  bouvigne

	* Dll/BladeMP3EncDLL.def:

	dll exports

2002-11-28 21:05  bouvigne

	* doc/html/: history.html, index.html:

	docs

2002-11-28 18:06  bouvigne

	* libmp3lame/version.h:

	go back to 3.93

2002-11-28 18:04  bouvigne

	* libmp3lame/lame.c:

	revert back q0 to q1 state (due to reports about quality problems)

2002-11-26 15:45  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	alpha4 solves the fatal error in outer_loop(). it should not select the
	data whose global_gain is greater than 255.

2002-11-25 18:00  bouvigne

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	sync presets with the executable front-end and libmp3lame

2002-11-25 01:36  takehiro

	* libmp3lame/: Makefile.am, Makefile.in
	(takehiro-stable-2002_10_15):

	fix build problem

2002-11-24 18:37  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	Fix not to select the data whose global_gain is greater than 255.
	and inner_loop() manual inlining.
	This fix is based on the R.A.F.'s bug report at HA. Thanx R.A.F.

2002-11-23 18:54  bouvigne

	* libmp3lame/psymodel.c:

	quick fix of nspsytune

2002-11-17 16:39  takehiro

	* libmp3lame/.indent.pro (takehiro-stable-2002_10_15):

	I forgot to sync this with the head branch.

2002-11-17 16:34  takehiro

	* Makefile.in, configure, Dll/Makefile.in, libmp3lame/Makefile.in
	(takehiro-stable-2002_10_15):

	regen (by hand :p)

2002-11-17 16:33  takehiro

	* ChangeLog, ChangeLog.header, Makefile.am, configure.in,
	Dll/Makefile.am, libmp3lame/Makefile.am
	(takehiro-stable-2002_10_15):

	sync with head branch (releasing 3.93 related things).

2002-11-17 15:59  takehiro

	* doc/html/history.html (takehiro-stable-2002_10_15):

	copy from webpage/history.html

2002-11-17 11:11  aleidinger

	* configure.in, libmp3lame/version.h:

	We are now at 3.94alpha...

2002-11-17 10:41  aleidinger

	* doc/html/history.html:

	Copy history from webpage.

2002-11-17 10:29  aleidinger

	* ChangeLog:

	ChangeLog for 3.93.

2002-11-17 10:25  aleidinger

	* Dll/Makefile.in, Makefile.in:

	regen

2002-11-17 10:24  aleidinger

	* Makefile.am:

	Add lame.dsw.

2002-11-17 10:23  aleidinger

	* Dll/Makefile.am:

	Oops... add missing backslash.

2002-11-17 10:18  aleidinger

	* Dll/Makefile.in, libmp3lame/Makefile.in:

	regen

2002-11-17 10:16  aleidinger

	* libmp3lame/Makefile.am:

	Add gain_analysis.[ch] to the distributed files.

2002-11-17 10:11  aleidinger

	* Dll/Makefile.am:

	Add some missing files.

2002-11-17 10:09  aleidinger

	* configure:

	gtk12-config -> gtk-config

2002-11-17 10:05  aleidinger

	* testcase.mp3:

	"Official" testcase.mp3 for this release.

2002-11-17 09:51  aleidinger

	* ChangeLog.header:

	Add some information about branches.

2002-11-17 09:46  aleidinger

	* libmp3lame/version.h:

	We are at 3.93-RELEASE now...

2002-11-17 09:45  aleidinger

	* doc/man/lame.1, frontend/parse.c:

	Warn about fast presets.

2002-11-16 13:07  takehiro

	* configure (takehiro-2002_05_07-experimental):

	remove vorbis related things

2002-11-16 12:44  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	removed vorbis related thing

2002-11-16 10:07  bouvigne

	* doc/html/presets.html:

	warning about fast presets

2002-11-13 20:56  bouvigne

	* libmp3lame/: lame.c, presets.c, util.c, util.h
	(takehiro-stable-2002_10_15):

	change of the default lowpass values (will break testcases)

2002-11-13 20:24  bouvigne

	* libmp3lame/: lame.c, presets.c:

	rollback of lowpass change before release

2002-11-10 12:41  takehiro

	* libmp3lame/: encoder.c, psymodel.c, quantize.c
	(takehiro-2002_05_07-experimental):

	prepare for intensity-stereo.

2002-11-10 12:40  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	some trivial optimizations and make some functions static.

2002-11-10 12:39  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	trivial macro fix

2002-11-10 12:38  takehiro

	* libmp3lame/newmdct.c (takehiro-2002_05_07-experimental):

	optimize subband filter (lowpass/highpass).

2002-11-10 12:36  takehiro

	* libmp3lame/i386/: choose_table.nas, fft3dn.nas
	(takehiro-2002_05_07-experimental):

	align -> loopalign
	better labeling

2002-11-10 08:24  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	- more db2pow() macro use
	- remove traditional code(which do nothing)

2002-11-10 08:23  takehiro

	* libmp3lame/psymodel.h (takehiro-2002_05_07-experimental):

	fix warning

2002-11-10 07:55  takehiro

	* frontend/main.c, frontend/parse.c, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/set_get.c,
	libmp3lame/util.h, libmp3lame/vorbis_interface.c
	(takehiro-2002_05_07-experimental):

	remove vorbis support, which is too much outdated.

2002-11-10 07:53  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial optimization

2002-11-09 18:45  takehiro

	* libmp3lame/: psymodel.c, tables.c
	(takehiro-2002_05_07-experimental):

	- optimize ATH handling in mask_add() by changing ATH.cb[] scaling.
	- more faster long block masking threshold calculation.

2002-11-09 18:43  takehiro

	* libmp3lame/: encoder.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	cleanup START/STOP type bit calculation

2002-11-09 18:42  takehiro

	* libmp3lame/i386/: choose_table.nas, nasm.h
	(takehiro-2002_05_07-experimental):

	some sync with GOGO.

2002-11-09 12:34  takehiro

	* libmp3lame/: encoder.c, machine.h, quantize.c, set_get.c,
	tables.c (takehiro-2002_05_07-experimental):

	clean up decibel -> power conversion

2002-11-09 12:33  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	clean up FFT related code.
	more acculate condition check whether we need short block masking calculation.
	FIR filter loop unrolling

2002-11-07 18:47  bouvigne

	* libmp3lame/: lame.c, presets.c, util.c, util.h:

	change of the default lowpass values (will break testcases)

2002-11-04 16:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	optimize long block masking ratio calculation (partition -> scalefactor band transformation)

2002-11-04 16:49  takehiro

	* testcase.mp3, libmp3lame/psymodel.c
	(takehiro-2002_05_07-experimental):

	fix short block masking calcultion(patition to scalefactor band transformation)
	and trivial cleanups, as is always :)

2002-11-04 16:00  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix mp3x FFT display.

2002-11-04 15:56  takehiro

	* testcase.mp3, libmp3lame/encoder.c, libmp3lame/psymodel.c,
	libmp3lame/reservoir.c, libmp3lame/version.h
	(takehiro-2002_05_07-experimental):

	now here goes alpha 2.
	- some trivial optimizaions and cleanups on psymodel.
	- cleanup mp3x arround

2002-11-04 13:53  takehiro

	* libmp3lame/: VbrTag.h, encoder.c, lame-analysis.h, machine.h,
	psymodel.c, psymodel.h, quantize.c, quantize.h, quantize_pvt.c,
	quantize_pvt.h, set_get.c, tables.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	large cleanup mainly arround psymodel (continue)
	- removed all temporary masking related code, because now I found all the
	temporal masking code is completely messed up.

	- do not calculate short block masking ratio when it is not needed.

	- mp3x FFT energy display fix.

	- better perceptual entropy calculation, by using ATH.

	- some include file clean up.

	- some trivial code cleanup arround quantize/bit counting.

2002-11-04 13:49  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix -q 4 setting.

2002-11-04 13:48  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	fix FFT energy display.

2002-11-03 17:56  takehiro

	* testcase.mp3 (takehiro-2002_05_07-experimental):

	regen with new psymodel, which increases encode delay.

2002-11-03 17:30  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, encoder.c, encoder.h,
	l3side.h, lame-analysis.h, lame.c, lame_global_flags.h, newmdct.c,
	psymodel.c, psymodel.h, quantize.c, quantize_pvt.h, set_get.c,
	tables.c, takehiro.c, util.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	large cleanup, mainly on PSYMODEL calculation.
	- it calculates masking ratio/pe/tot_energy/block_type/frame_type next FRAME,
	not next GRANULE. it increases the encoding delay, but code is very simple.

	- "allow different block_type in each channel (L/R)" could be archived even
	when joint stereo.

	- l3side.h is merged into util.h

	- MPEG2/2.5, mp3x's display may corrupt (not tested much).

2002-11-03 17:23  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	trivial

2002-11-03 17:22  takehiro

	* frontend/: gpkplotting.c, gpkplotting.h, gtkanal.c
	(takehiro-2002_05_07-experimental):

	fix for mp3x MDCT original value display

2002-11-03 17:00  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	fix abr preset

2002-11-03 16:55  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	fix for not --enable-all-float

2002-11-02 17:47  takehiro

	* libmp3lame/: lame.c, util.h (takehiro-2002_05_07-experimental):

	trivial cleanup

2002-11-02 17:30  takehiro

	* libmp3lame/: encoder.c, lame.c, presets.c, psymodel.c,
	quantize.c, quantize_pvt.h, set_get.c, tables.c, util.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	cleanup arround preset.
	- merged adaptive ATH and msfix parameter into "normal" setting.
	- simplified how to compare the quantization/scalefactor.

2002-11-02 17:26  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	remove unused prototype.

2002-11-02 15:50  takehiro

	* libmp3lame/: encoder.c, set_get.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	remove meaningless variables in preset modes.

2002-11-02 12:26  takehiro

	* libmp3lame/: VbrTag.c, lame.c, presets.c, quantize.c, tables.c,
	util.c, util.h, vbrquantize.c (takehiro-2002_05_07-experimental):

	- -q option remapping.
	  new  very old(-3.92)    old(3.93)
	   9    8,9                8,9
	   8    7                  7
	   7    5,6                5,6
	 5,6    2,3,4              3,4
	   4    2 + --substep 5    3 + --substep 5
	   3    2 + --substep 7    3 + --substep 7
	   2    cannot emulate     2 + --substep 7
	   1    cannot emulate     1 + --substep 7
	   0    cannot emulate     0 + --substep 7

	- fast_log2() optimization and cleanup.

2002-11-02 12:18  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	ATH adjustment aware masking calculation in mask_add() and ms_fix().

2002-10-31 14:56  takehiro

	* libmp3lame/tables.c (takehiro-2002_05_07-experimental):

	trivial cleanup

2002-10-31 14:27  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	some precision fix(maybe)

2002-10-31 14:26  takehiro

	* doc/html/presets.html (takehiro-2002_05_07-experimental):

	sync with mainline and added some DM presets.

2002-10-28 11:25  takehiro

	* libmp3lame/: encoder.c, psymodel.h, psymodel.c
	(takehiro-2002_05_07-experimental):

	now psymodel never return error.

2002-10-28 11:15  takehiro

	* testcase.mp3, libmp3lame/bitstream.c, libmp3lame/encoder.c,
	libmp3lame/l3side.h, libmp3lame/lame.c, libmp3lame/machine.h,
	libmp3lame/newmdct.c, libmp3lame/psymodel.c, libmp3lame/psymodel.h,
	libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/reservoir.c, libmp3lame/tables.c, libmp3lame/tables.h,
	libmp3lame/takehiro.c, libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h (takehiro-2002_05_07-experimental):

	changed FLOAT8 -> FLOAT (except one subband filter coefs, which is defined
	as "double" in spec).

2002-10-28 11:12  takehiro

	* mpglib/layer3.c (takehiro-2002_05_07-experimental):

	fix mpglib crash bug, from Mathew Hendry.

2002-10-28 11:09  takehiro

	* frontend/portableio.h (takehiro-2002_05_07-experimental):

	remove cvs log.

2002-10-28 10:43  takehiro

	* libmp3lame/: encoder.c, psymodel.c, psymodel.h, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	remove unused variables

2002-10-28 10:01  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix long/short typo.

2002-10-28 10:00  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	added new preset definition

2002-10-27 14:37  aleidinger

	* configure:

	regen

2002-10-27 14:36  aleidinger

	* configure.in:

	Forced commit: last commit was
 - remove -funroll-loops as suggested in the nearby comment
Noticed by: takehiro

2002-10-27 14:32  aleidinger

	* configure.in:

	remove options as suggested in the nearby comment; Noticed by: takehiro

2002-10-27 13:38  takehiro

	* libmp3lame/: encoder.c, lame.c, lame_global_flags.h, machine.h,
	newmdct.c, newmdct.h, presets.c, psymodel.c, psymodel.h,
	quantize.c, set_get.c, tables.c, util.h
	(takehiro-2002_05_07-experimental):

	large update.
	- sync mainline,
	  * side channel sparsing
	  * new presets, dm-radio and so on.
	  * blocktype histgram
	  * fix arround FLOAT_MAX
	  * tuning substep noise shaping start frequency

	- large code simplification
	  * cod_info initialization code is moved to encoder.c
	  * faster psymodel calculation.

2002-10-27 13:33  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	sync mainline
	- fix arround sfb21 and smoothing method 2

2002-10-27 13:32  takehiro

	* libmp3lame/version.h (takehiro-2002_05_07-experimental):

	To avoid confusing, named it as lame4.0

2002-10-27 13:30  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, main.h, mp3rtp.c,
	mp3x.c, parse.c, parse.h, timestatus.h
	(takehiro-2002_05_07-experimental):

	sync mainline
	- fix arround PATHNAMELEN
	- new presets
	- fix warnings
	- fix --silent option
	- new option "side channel sparsing"

2002-10-27 13:29  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	- sync mainline (block type histgram, build fix for cygwin)

2002-10-27 13:26  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2002-10-27 13:26  takehiro

	* configure.in, doc/html/Makefile.am, doc/html/Makefile.in,
	doc/html/contributors.html, doc/html/index.html, doc/man/lame.1
	(takehiro-2002_05_07-experimental):

	sync mainline

2002-10-27 12:19  robert

	* frontend/portableio.h (takehiro-stable-2002_10_15):

	do we need logging of cvs commits in source files?
	small fixes in comments due to cvs log entries

2002-10-27 08:17  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	bump up version number. alpha3 contains
	- tuning substep noise shpaing (by me, Takehiro)
	- added side channel sparsing (by Robert)

2002-10-26 20:41  robert

	* configMS.h, frontend/amiga_mpega.c, frontend/brhist.c,
	frontend/brhist.h, frontend/console.c, frontend/console.h,
	frontend/get_audio.c, frontend/get_audio.h, frontend/gpkplotting.c,
	frontend/gpkplotting.h, frontend/gtkanal.c, frontend/gtkanal.h,
	frontend/lametime.c, frontend/lametime.h, frontend/main.c,
	frontend/main.h, frontend/mp3rtp.c, frontend/mp3x.c,
	frontend/parse.c, frontend/parse.h, frontend/portableio.c,
	frontend/portableio.h, frontend/rtp.c, frontend/rtp.h,
	frontend/timestatus.c, frontend/timestatus.h, include/lame.h,
	libmp3lame/VbrTag.c, libmp3lame/VbrTag.h, libmp3lame/bitstream.c,
	libmp3lame/bitstream.h, libmp3lame/debugscalefac.c,
	libmp3lame/encoder.c, libmp3lame/encoder.h, libmp3lame/fft.c,
	libmp3lame/fft.h, libmp3lame/gain_analysis.c,
	libmp3lame/gain_analysis.h, libmp3lame/id3tag.c,
	libmp3lame/id3tag.h, libmp3lame/l3side.h,
	libmp3lame/lame-analysis.h, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/machine.h,
	libmp3lame/mpglib_interface.c, libmp3lame/newmdct.c,
	libmp3lame/newmdct.h, libmp3lame/presets.c, libmp3lame/psymodel.c,
	libmp3lame/psymodel.h, libmp3lame/quantize.c,
	libmp3lame/quantize.h, libmp3lame/quantize_pvt.c,
	libmp3lame/quantize_pvt.h, libmp3lame/reservoir.c,
	libmp3lame/reservoir.h, libmp3lame/set_get.c, libmp3lame/tables.c,
	libmp3lame/tables.h, libmp3lame/takehiro.c, libmp3lame/util.c,
	libmp3lame/util.h, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h, libmp3lame/version.c,
	libmp3lame/version.h, libmp3lame/vorbis_interface.c,
	mpglib/common.c, mpglib/common.h, mpglib/dct64_i386.c,
	mpglib/dct64_i386.h, mpglib/decode_i386.c, mpglib/decode_i386.h,
	mpglib/huffman.h, mpglib/interface.c, mpglib/interface.h,
	mpglib/l2tables.h, mpglib/layer1.c, mpglib/layer1.h,
	mpglib/layer2.c, mpglib/layer2.h, mpglib/layer3.c, mpglib/layer3.h,
	mpglib/mpg123.h, mpglib/mpglib.h, mpglib/tabinit.c,
	mpglib/tabinit.h (takehiro-stable-2002_10_15):

	changed C++ comments into C style comments for
	configMS.h
	include/*.h
	frontend/*.[ch]
	mpglib/*.[ch]
	libmp3lame/*.[ch]

2002-10-26 18:53  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2002-10-26 18:52  takehiro

	* libmp3lame/: Makefile.am, debugscalefac.c
	(takehiro-2002_05_07-experimental):

	remove unused debugscalefac.c

2002-10-26 18:51  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	fix build problem

2002-10-26 16:48  takehiro

	* libmp3lame/presets.c (takehiro-stable-2002_10_15):

	added interchannel masking to dm-radio-fast preset, too.

2002-10-26 16:47  takehiro

	* libmp3lame/presets.c (takehiro-stable-2002_10_15):

	lower bitrate adjustment and added inter-channel masking for dm-radio preset.

2002-10-26 16:32  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	tuned substep-noise-shaping start frequency of short block (--substep 5).

2002-10-26 12:31  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	fix for not C99 C compiler

2002-10-26 12:29  takehiro

	* configure (takehiro-stable-2002_10_15):

	regen

2002-10-26 12:29  takehiro

	* configure.in (takehiro-stable-2002_10_15):

	sync with mainline and added fix for "-funroll-loops" bug on gcc3.0.*

2002-10-26 12:20  takehiro

	* frontend/parse.c (takehiro-stable-2002_10_15):

	sync mainline... --silent + input from stdin fix.

2002-10-24 00:04  robert

	* libmp3lame/: vbrquantize.c (takehiro-stable-2002_10_15),
	vbrquantize.c:

	bug fix in vbr-new
	possible division by zero

2002-10-23 23:43  robert

	* frontend/parse.c, libmp3lame/lame.c,
	libmp3lame/lame_global_flags.h, libmp3lame/quantize.c,
	libmp3lame/set_get.c, libmp3lame/util.h
	(takehiro-stable-2002_10_15):

	added mid/side channel sparsing
	--ms-sparsing n | n=0 disable / n=1 mode 1 / n=2 mode 2
	--ms-sparse_low x | default 9 dB
	--ms-sparse_high x | default 3 dB

2002-10-21 01:27  markt

	* frontend/parse.c:

	truely silent when input is stdin patch committed

2002-10-20 15:38  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix possible float exception

2002-10-20 15:36  takehiro

	* libmp3lame/version.h (takehiro-stable-2002_10_15):

	bump up the alpha2

2002-10-20 15:35  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix minor boundary check and remove unused variable.

2002-10-20 13:42  takehiro

	* doc/: html/Makefile.am, html/Makefile.in, html/contributors.html,
	html/index.html, html/presets.html, man/lame.1
	(takehiro-stable-2002_10_15):

	sync with mainline

2002-10-20 13:31  takehiro

	* libmp3lame/quantize.c (takehiro-stable-2002_10_15):

	work arround of --substep for Tom's Diner.

2002-10-20 13:09  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	faster mask_add()

2002-10-20 12:31  takehiro

	* libmp3lame/: psymodel.c, quantize_pvt.c, util.h
	(takehiro-stable-2002_10_15):

	more optimized usage of FAST_LOG().

2002-10-20 11:39  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/psymodel.c,
	libmp3lame/set_get.c (takehiro-stable-2002_10_15):

	removed mixed block related switches, which is "not" as stable as releasing.
	fix block type decision code when LR/MS change occurs.

2002-10-20 08:41  takehiro

	* libmp3lame/machine.h (takehiro-stable-2002_10_15):

	float max should be arround 1e38 or so.

2002-10-20 08:39  takehiro

	* include/lame.h, libmp3lame/set_get.c
	(takehiro-stable-2002_10_15):

	re-introduce the padding related functions/definitions for backward compatibility.

2002-10-20 08:38  takehiro

	* frontend/: get_audio.c, get_audio.h, main.c, main.h, mp3rtp.c,
	mp3x.c, parse.c, parse.h, timestatus.h
	(takehiro-stable-2002_10_15):

	sync mainline.
	- PATHLEN related fix.
	- reduce warning.

2002-10-20 08:37  takehiro

	* frontend/brhist.c (takehiro-stable-2002_10_15):

	fix for cygwin build.

2002-10-20 07:34  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	improve attack detection and added release detection for L/S switching.

2002-10-20 07:27  takehiro

	* libmp3lame/psymodel.c (takehiro-stable-2002_10_15):

	fix warning.

2002-10-20 07:21  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/presets.c
	(takehiro-stable-2002_10_15):

	added some presetes for syncing DM series.
	fix --preset medium to use -q3, not -q2.

2002-10-20 07:18  takehiro

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	sync mainline. XXL is defaulted.

2002-10-19 02:11  robert

	* frontend/brhist.c:

	little bit prettier printing of block types stats

2002-10-19 02:10  robert

	* frontend/brhist.c (takehiro-stable-2002_10_15):

	little bit prettier printing of block type stats

2002-10-18 23:54  robert

	* frontend/brhist.c, frontend/parse.c, include/lame.h,
	libmp3lame/encoder.c, libmp3lame/lame.c, libmp3lame/util.h
	(takehiro-stable-2002_10_15):

	merger from main branch:
	simple statistics of block types used (seeing with --brief / --verbose)

2002-10-18 22:54  robert

	* frontend/brhist.c, frontend/parse.c, include/lame.h,
	libmp3lame/lame.c, libmp3lame/util.c, libmp3lame/util.h:

	added some simple statistics about block types used:
	added lame_block_type_hist() and lame_bitrate_block_type_hist() to API
	using new switch --brief will show one line of percentage types used
	using switch --verbose will show in more detail used block types

2002-10-17 17:05  bouvigne

	* frontend/parse.c:

	removed some unused functions

2002-10-17 13:03  aleidinger

	* include/lame.h:

	correct comment about *_bWriteVbrTag()

2002-10-16 21:13  robert

	* libmp3lame/vbrquantize.c:

	fixing compiler warnings (unused code removed), some clean up

2002-10-16 18:01  bouvigne

	* frontend/get_audio.c, frontend/get_audio.h, frontend/parse.c,
	frontend/parse.h, frontend/timestatus.h, include/lame.h,
	libmp3lame/set_get.c, libmp3lame/takehiro.c:

	minor code cleanups in order to reduce warnings

2002-10-15 22:45  robert

	* frontend/main.h, libmp3lame/machine.h
	(takehiro-stable-2002_10_15):

	fixing Win32 issues

2002-10-15 22:02  robert

	* libmp3lame/: encoder.c, version.h (takehiro-stable-2002_10_15):

	Takehiro I hope you don't mind, but I bump the version to 94 alpha 1
	to avoid confusions if binaries are shown up at HA

2002-10-15 21:29  robert

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	fix for --vbr-new -Y crash
	we have to calc xr34 for the whole range, for sfb21 too

2002-10-15 19:16  robert

	* Makefile.unix, libmp3lame/psymodel.c, libmp3lame/util.h:

	reenentrant fix for loudness approx.

2002-10-15 17:07  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix short block with -X 0(vbr smooth method 1), especially for --r3mix.

2002-10-15 16:35  takehiro

	* libmp3lame/vbrquantize.c (takehiro-stable-2002_10_15):

	fix short block with -X 0(vbr smooth method 1), especially for --r3mix.

2002-10-15 15:39  takehiro

	* frontend/main.h, libmp3lame/lame.c
	(takehiro-2002_05_07-experimental):

	fix for no-GTK, and on windows (same as what I've done mainline).

2002-10-15 15:37  takehiro

	* frontend/main.h (takehiro-stable-2002_10_15):

	ooops, I missed "n".

2002-10-15 15:35  takehiro

	* libmp3lame/lame.c (takehiro-stable-2002_10_15):

	fix for no-GTK environment.

2002-10-15 15:30  takehiro

	* libmp3lame/machine.h (takehiro-2002_05_07-experimental):

	fix arround FLT_MAX/FLOAT_MAX (I hope)

2002-10-15 15:24  aleidinger

	* configure.in:

	different way of specifying the gcc version in the sparc section, the did not worked because autoconf does some nasty things with [ and ]

2002-10-15 11:30  aleidinger

	* doc/man/lame.1:

	catch up with HTML docs

2002-10-15 09:54  aleidinger

	* doc/html/Makefile.in:

	regen

2002-10-15 09:54  aleidinger

	* doc/html/Makefile.am:

	add presets.html

2002-10-15 09:53  aleidinger

	* doc/html/presets.html:

	typo fix

2002-10-15 09:50  aleidinger

	* configure:

	regen

2002-10-15 09:49  aleidinger

	* configure.in:

	Use sparc optimization on gcc 3.[123456].

	Submitted by:	"Spud McDuck" <dontspamonme@excite.com>

2002-10-15 09:33  aleidinger

	* frontend/: brhist.c, main.c, main.h, mp3rtp.c, mp3x.c, parse.c:

	PATH_MAX is in POSIX.1 (does not include the trailing NUL, so add +1), not MAXPATHLEN

2002-10-14 20:06  bouvigne

	* doc/html/: contributors.html, index.html, presets.html:

	html docs

2002-10-14 16:28  takehiro

	* testcase.mp3 (takehiro-stable-2002_10_15):

	update testcase.

2002-10-14 16:25  takehiro

	* libmp3lame/: psymodel.c, util.h (takehiro-stable-2002_10_15):

	reenentrant fix for loudness approx.

2002-10-14 16:06  takehiro

	* Makefile.B32, Makefile.DJGPP, libmp3lame/libmp3lame.dsp
	(takehiro-stable-2002_10_15):

	build environment related file update.
	I could not test them, but I hope it works.

2002-10-14 15:53  takehiro

	* frontend/parse.c (takehiro-2002_05_07-experimental):

	obsoleted --cwlimit option.

2002-10-14 15:53  takehiro

	* Makefile.B32, Makefile.DJGPP, Makefile.MSVC, Makefile.unix
	(takehiro-2002_05_07-experimental):

	update Makefiles sync with Makefile.am

2002-10-13 20:35  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, encoder.c, fft.c, fft.h,
	lame.c, lame_global_flags.h, libmp3lame.dsp, libmp3lame_vc6.dsp,
	psymodel.c, psymodel.h, quantize.c, quantize_pvt.c, quantize_pvt.h,
	set_get.c, tables.c, tables.h, takehiro.c, util.c, util.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	bunch of cleanup for next generation LAME :)
	- goodbye gpsycho. only nspsy is supported.
	- functions related the initilization are moved to tables.c
	- some functions in quantize_pvt.c are moved to quantize.c
	- functions in fft.c moved to psymodel.c and fft.[ch] are removed
	- fix ATH-adjust to reentrant.

2002-10-13 17:30  takehiro

	* libmp3lame/: VbrTag.c, lame.c, lame_global_flags.h, set_get.c
	(takehiro-2002_05_07-experimental):

	sync the head. record preset parameter in LAME tag.

2002-10-13 15:52  takehiro

	* frontend/main.h (takehiro-2002_05_07-experimental):

	sync with the head branch.

2002-10-13 15:48  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c, set_get.c,
	util.h (takehiro-2002_05_07-experimental):

	- tuned impulse like signal detection of threshold calculation.

	- block switching tuning, for impulse like signal by using maximum of filtered
	signal, not by sum of its energy.

	- MP3X: print block switching factor(attack_intensity) instead of mx,
	  for nspsytune mode.

	- small optimization for ns_firfilter

	- prepare for faster nspsy. calculate the blocktype first, and after it,
	  only calculate the threshold for that blocktype.

	- clean up nspsy variables (remove unused variables).

	- calc_noise optimization for nspsy.

2002-10-13 11:36  robert

	* Makefile.MSVC, Makefile.unix (takehiro-2002_05_07-experimental):

	removed scalar.obj from targets

2002-10-13 08:10  takehiro

	* libmp3lame/: encoder.c, lame.c
	(takehiro-2002_05_07-experimental):

	oops, I mis-check in th one older version ;(

2002-10-13 07:58  takehiro

	* libmp3lame/: encoder.c, lame.c, quantize.c, quantize_pvt.c,
	quantize_pvt.h, tables.h (takehiro-2002_05_07-experimental):

	trivial changes.
	- cleanup initilization code.
	- better conjunctions of functions.

2002-10-09 17:27  takehiro

	* libmp3lame/encoder.c, libmp3lame/lame.c, frontend/parse.c,
	include/lame.h, libmp3lame/lame_global_flags.h,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	large cleanup arround padding
	- padding mode is always set by suitable one.
	- gfp->padding_type and the functions to set/get it are removed.

	unused function optimum_samplefreq() is removed.

2002-10-09 17:24  takehiro

	* libmp3lame/i386/: Makefile.am, Makefile.in, scalar.nas
	(takehiro-2002_05_07-experimental):

	remove scalar.nas

2002-10-09 17:22  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2002-10-09 17:22  takehiro

	* configure.in (takehiro-2002_05_07-experimental):

	fix extopt for gcc 3.1/3.2

2002-10-08 19:30  bouvigne

	* libmp3lame/: VbrTag.c, lame.c, lame_global_flags.h, set_get.c:

	preset info stored into Info tag

2002-10-08 17:43  bouvigne

	* frontend/main.h:

	win32 build fix

2002-10-08 13:59  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2002-10-08 13:59  takehiro

	* libmp3lame/: Makefile.am, tools.c, tools.h, util.c
	(takehiro-2002_05_07-experimental):

	removed unused tools.[hc]

2002-10-08 13:38  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen once more :(

2002-10-08 13:35  takehiro

	* configure (takehiro-2002_05_07-experimental):

	regen

2002-10-08 13:34  takehiro

	* ltconfig, acinclude.m4, configure.in
	(takehiro-2002_05_07-experimental):

	sync the head branch.
	fix gcc options for gcc3.1 after and 3.0.x

2002-10-08 13:30  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2002-10-08 13:19  takehiro

	* frontend/: main.c, main.h, mp3rtp.c, mp3x.c, parse.c
	(takehiro-2002_05_07-experimental):

	sync the head branch.
	- MAXPATHLEN related fix.
	- sizeof(short) related fix.

2002-10-08 13:18  takehiro

	* libmp3lame/lameerror.h, include/lame.h, libmp3lame/Makefile.am
	(takehiro-2002_05_07-experimental):

	moved error code definitions into lame.h

2002-10-08 12:58  takehiro

	* frontend/main.c:

	sync my branch: fix warning of ReportLameTagProgress() definition

2002-10-08 12:51  takehiro

	* libmp3lame/VbrTag.c (takehiro-2002_05_07-experimental):

	remove unneeded include

2002-10-08 12:50  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix NO_PAD

2002-10-08 09:09  aleidinger

	* configure:

	regen

2002-10-08 08:59  aleidinger

	* ChangeLog:

	update with uptodate data

2002-10-08 08:57  aleidinger

	* ChangeLog.header:

	add info how to show the branches in the ChangeLog

2002-10-08 08:53  aleidinger

	* libmp3lame/version.h:

	bump alpha version

2002-10-08 08:51  aleidinger

	* configure.in:

	replace the -pipe hack for mips-sgi-irix with a test for GNU ld
	(sorry, I forgot who submitted it)

2002-10-08 08:50  aleidinger

	* acinclude.m4:

	actually commit the generated file with the alignment fix for 64 bit architectures

2002-10-08 08:50  aleidinger

	* ltconfig:

	improved "deplibs_check_method" for freebsd-elf

2002-10-08 08:44  aleidinger

	* frontend/: main.c, main.h, mp3rtp.c, mp3x.c, parse.c:

	- spell MAX_NAME_LEN the POSIX way (MAXPATHLEN) and make sure we have
	  a fallback if it doesn't get defined (please test this on Windows)
	- fix for sizeof(short int) != sizeof(int) in mp3rtp.c

	Patches based upon bugreport from Greg Lehey <grog@freebsd.org> and fixes
	in the FreeBSD ports collection from Mikhail Teterin <mi@freebsd.org>.

2002-10-07 16:47  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	fix warnings

2002-10-07 16:46  takehiro

	* frontend/main.c (takehiro-2002_05_07-experimental):

	fix warning

2002-10-07 14:24  takehiro

	* libmp3lame/: lame.c, psymodel.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	more nspsytune optimization.

	- use FAST_LOG10 instead of log. this may change the result little bit,
	but I think that is rare case and no problem about the quality.

	- presetTune.athadjust_msfix is moved to nsPsy.athadjust_msfix

	- nsPsy.safejoint is removed.

2002-10-07 13:41  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	more cleanup of perceptual entropy calculation.
	- it calculates only one of the long/short block pe,
	  after the block type is detemined.

2002-10-07 13:38  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix warning

2002-10-07 12:49  takehiro

	* libmp3lame/: psymodel.c, quantize_pvt.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	trivial code optimizations, no result changes.
	- gfp->ATHlower is now stored the number multiplied by -0.1.

	- nspsytune optimization
	  * precalculate the 1.0/numlines_l[]
	  * cleanup perceptual entropy storing method and loop hoisting.
	  * unrolling tonality calculation loop.

2002-10-07 09:13  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	oops, fix build when BRHIST is enabled.

2002-10-07 09:11  takehiro

	* frontend/brhist.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/util.h (takehiro-2002_05_07-experimental):

	clean up bitrate histgram.
	And do not compile the brhist-related code when "./configure --without-brhist"

2002-10-07 09:09  takehiro

	* frontend/get_audio.c (takehiro-2002_05_07-experimental):

	fix warning

2002-10-07 08:57  takehiro

	* libmp3lame/: encoder.c, fft.c, presets.c, psymodel.c, set_get.c,
	util.c, util.h, vbrquantize.c (takehiro-2002_05_07-experimental):

	small code cleanups. all of them does not change the result.
	- better conjunctions.
	  * updateStats() is moved from util.c to encoder.c
	  * select_kth_int() is moved from util.c to vbrquantize.c
	- fft window function table is moved from gfc to static variable in fft.c.
	  once apon a time, the window function is differed from nspsy/gpsy, so the
	  table should be stored separetedly for each encoding entity. but now, it
	  is unified and we can unify the table function.
	- presetTune.attackthre and presetTune.attackthre_s are moved to nsPsy.

2002-10-06 18:14  takehiro

	* libmp3lame/: psymodel.c, quantize.c, util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	preset clean up.
	- use the current block_type itself to determine the quantization result
	comparing method.
	- remove presetTune.quantcomp_current.
	- changed presetTune.attackthresh and presetTune.attackthresh_s type (int -> FLOAT).

	I think the 1st one is BUG of preset, affected all preset modes.
	It determines how to compare the quantized spectrums by the blocktype of 1st
	granule of the next frames, last channel (R or S), for all the channel and
	all the granule.

2002-10-06 18:06  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	due to the nspsy long/short switching mode fix, attack threshold should be
	tuned again.I used awe32, fatboy, DEATH2, and other "normal" samples to
	determine the threshold.

	now awe32 is not killer sample of --preset standard, I think.
	# but the bitrate is increased, of course.

	and it seems vangelis1.wav needs some more tuning, but I am so sleeeeeeepy.

2002-10-06 16:46  takehiro

	* libmp3lame/: encoder.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	- make adjust_ATH() static and cleanup
	  (include Gabriel's clean up in the head branch)
	- padding code clean up
	- block type code cleanup
	- ATH related initialization code is moved to psymodel.c

2002-10-06 16:43  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	sync with the head branch (Gabriel's code cleanup... remove "historical" code)

2002-10-06 16:40  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	sync with head.(code cleanup by Gabriel)

2002-09-30 16:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	moved substep shaping position. bit slower but better quality for higher bitrate (especially for the case 320kbps is not enough).

2002-09-30 16:57  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix substep 2, 3, 6, and 7. (working area allocation)

2002-09-30 16:49  bouvigne

	* libmp3lame/: encoder.c, quantize.c, util.c:

	some code cleanups

2002-09-30 16:28  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix mdct filter coefs, for -k option(thanx reporting, Robert).

2002-09-29 15:38  takehiro

	* frontend/brhist.c (takehiro-2002_05_07-experimental):

	fix cygwin build

2002-09-29 06:02  takehiro

	* libmp3lame/reservoir.c (takehiro-2002_05_07-experimental):

	sync with the head branch.
	- bit reservoir handling of freeformat.

2002-09-28 16:12  takehiro

	* libmp3lame/: util.h, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	small optimizations for --vbr-new
	- gfc->VBR->scratch is moved to the local variable.
	- remove quality mapping(directly switch statement)
	- code clean up.

2002-09-28 13:27  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	- sync --vbr-new with the head branch.
	- better substep shaping for --vbr-new.
	- the meaning of best huffman coding with --vbr-new is bit different from
	that of head tree.

2002-09-28 10:36  takehiro

	* frontend/get_audio.c, frontend/parse.c, include/lame.h
	(takehiro-2002_05_07-experimental):

	fix warnings.

2002-09-28 10:36  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	make select_kth() static function.

2002-09-28 10:26  takehiro

	* Makefile.DJGPP, Makefile.MSVC, Makefile.am, Makefile.in,
	README.DJGPP, configure, configure.in, testcase.mp3,
	ACM/ACMStream.cpp, ACM/Makefile.in, ACM/ADbg/Makefile.in,
	ACM/tinyxml/Makefile.in, Dll/BladeMP3EncDLL.c,
	Dll/BladeMP3EncDLL.def, Dll/BladeMP3EncDLL.h, Dll/Example.cpp,
	Dll/Example_vc6.dsp, Dll/Example_vc6.dsw, Dll/LameDLLInterface.htm,
	Dll/LameDll_vc6.dsp, Dll/Makefile.in, debian/Makefile.in,
	debian/changelog, debian/rules, doc/Makefile.in,
	doc/html/Makefile.in, doc/html/contributors.html,
	doc/html/history.html, doc/html/index.html, doc/html/switchs.html,
	doc/man/Makefile.in, doc/man/lame.1, dshow/Encoder.cpp,
	dshow/Makefile.in, frontend/get_audio.c, frontend/parse.c,
	include/Makefile.in, include/lame.h, libmp3lame/Makefile.am,
	libmp3lame/Makefile.in, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/presets.c, libmp3lame/set_get.c, libmp3lame/util.h,
	libmp3lame/i386/Makefile.in, misc/Makefile.in, mpglib/Makefile.in
	(takehiro-2002_05_07-experimental):

	large sync with the head branch. almost all the code is now synced with the head.

2002-09-28 09:30  takehiro

	* libmp3lame/VbrTag.c:

	remove some #include (these header files are included from VbrTag.h.)

2002-09-28 09:23  takehiro

	* libmp3lame/: encoder.c, lame.c, psymodel.c
	(takehiro-2002_05_07-experimental):

	fix all known problems on my tree (I hope).
	- fix mishandling of long/short block type when storing pe[].
	- fix psymodel initialization (array index initialization), which fixes
	  floating exception in psymodel.c.
	- one more preecho prevention code fix.
	- sync with my psymodel patch in the head branch

	and small improvement.
	- implement better block type restriction
	(when MS, both channels should be same block type, but when LR, it is not needed).
	- faster FIR filter for pe[] adjustment in encoder.c.

2002-09-28 09:16  takehiro

	* libmp3lame/bitstream.c (takehiro-2002_05_07-experimental):

	zeroed all ancillary area, when the debug mode.

2002-09-23 07:00  bouvigne

	* include/lame.h:

	presets (sorry, this part was missing)

2002-09-22 16:53  bouvigne

	* frontend/parse.c, libmp3lame/presets.c:

	presets

2002-09-21 00:31  markt

	* libmp3lame/quantize_pvt.c:

	fixed bug which was causing the calc_noise assert failure.

2002-09-19 20:39  robert

	* libmp3lame/: encoder.c, lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	merger from mainline:
	undo of broken VBR min fill patch
	padding code clean up

2002-09-16 16:28  takehiro

	* configure, configure.in:

	we don't want to run the X :)

2002-09-16 07:43  takehiro

	* frontend/: brhist.c, console.c
	(takehiro-2002_05_07-experimental):

	sync with head branch.
	- Mark's compilation fix.
	- Alex's warning fix on 64bit environment.

2002-09-16 07:25  takehiro

	* aclocal.m4 (takehiro-2002_05_07-experimental):

	sync with the head branch.
	- prevent unaligned access on some 64 bit arches, by Alexander (and Ti.)

2002-09-15 17:47  bouvigne

	* libmp3lame/: reservoir.c, set_get.c:

	Relax of freeformat reservoir after discussion with Robert

2002-09-13 20:04  markt

	* frontend/brhist.c:

	This code:

	#if defined(HAVE_TERMCAP_H)
	# include <termcap.h>
	#elif defined(HAVE_NCURSES_TERMCAP_H)
	# include <ncurses/termcap.h>
	#endif

	changed to:

	#if defined(HAVE_NCURSES_TERMCAP_H)
	# include <ncurses/termcap.h>
	#elif defined(HAVE_TERMCAP_H)
	# include <termcap.h>
	#endif

	because on my system, both TERMCAP and NCURSES_TERMCAP were
	defined by configure, but term.h and termcap.h have conflicts,
	whileterm.h and ncurses/termcap.h works fine.

2002-09-09 21:43  robert

	* frontend/parse.c, libmp3lame/encoder.c, libmp3lame/lame.c,
	libmp3lame/psymodel.c:

	lame.c, encoder.c: fix padding oddities
	psymodel.c: fix nspsy code for all/no short blocks
	parse.c: -d now obsolete

2002-09-08 06:36  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one more sync with head branch (ms energy ratio).

2002-09-07 12:39  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	sync with the head branch psymodel fix.

2002-09-06 11:11  aleidinger

	* configure:

	regen

2002-09-06 10:53  aleidinger

	* configure.in:

	- no opts if non empty cflags and no expopt
	- accumulate-outgoing-args is x86 only
	  Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>
	- IRIX-gcc doesn't like '-pipe'
	  Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>

2002-09-06 09:24  aleidinger

	* frontend/: brhist.c, console.c:

	try to include the right headers for the tgetstr prototype;
	should fix problems on 64bit arches
	Noticed by:	Atro Tossavainen <atossava@cc.helsinki.fi>
			Ti Kan <ti@amb.org>
	Tested by:	Ti Kan <ti@amb.org>

2002-09-06 09:22  aleidinger

	* aclocal.m4:

	prevent unaligned access on some 64 bit arches
	Noticed by:	Ti Kan <ti@amb.org>
	Tested by:	Ti Kan <ti@amb.org>

2002-09-05 16:53  bouvigne

	* libmp3lame/: reservoir.c, set_get.c:

	free format fix

2002-09-03 11:34  aleidinger

	* frontend/parse.c:

	1 argument too much for fprintf

2002-09-03 11:18  aleidinger

	* doc/man/lame.1:

	add --noasm

2002-09-02 12:02  takehiro

	* doc/html/history.html:

	added my psymodel change, and so on.

2002-09-02 11:56  takehiro

	* testcase.mp3:

	regen with the latest LAME after psymodel was fixed.
	This is produced by the LAME with ./configure --enable-nasm --enable-debug --enable-mp3x, compiled gcc 3.1.1, on linux2.4.19, glibc2.2.2, Duron 1GHz(3DNow! is enabled).

2002-09-02 11:51  takehiro

	* libmp3lame/lame.c:

	fix for Tru64 UNIX build, reported by Ti Kan.

2002-09-01 16:08  bouvigne

	* doc/html/contributors.html, doc/html/history.html,
	doc/html/index.html, doc/html/switchs.html, frontend/parse.c:

	docs

2002-09-01 16:03  takehiro

	* libmp3lame/psymodel.c:

	fix small psymodel bugs since long time ago(some of them are since 3.70 era...)
	- highpass filter of MS energy calculation to neglect the DC.
	- always do the Robert's short block pre-echo prevention and
	  fix its initialization (the fix is only for nspsy).
	- fix energy and threshold of DC and the highest freq. element are halven.
	- fix nspsytune FIR filter length

2002-08-30 20:52  robert

	* Makefile.MSVC:

	MSVC: fix "-GX" typo
	ICL: allow special compiles for PII and PIII

2002-08-27 22:43  rbrito

	* debian/: changelog, rules:

	Update Debian packaging. More changes to come.

2002-08-26 20:38  robert

	* libmp3lame/: lame.c, quantize.c, util.h:

	undo of VBR bitres min fill patch

2002-08-25 20:17  bouvigne

	* frontend/parse.c:

	merge of alt presets

2002-08-25 15:09  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	do substep noise shaping in ABR mode, including bitrate compensation.

2002-08-25 15:08  takehiro

	* libmp3lame/util.c (takehiro-2002_05_07-experimental):

	trivial coding optimization of fast_log2

2002-08-25 15:08  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	revert some FAST_LOG usage. It sometime happens SIGFPE(overflow).

2002-08-25 10:54  takehiro

	* libmp3lame/: quantize.c, reservoir.c
	(takehiro-2002_05_07-experimental):

	Tuning the bit reservoir filling rate when substep noise shaping method 1,
	and do not substep noise shaping if the bit reservoir is almost full.

2002-08-24 19:20  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	minor fix for global_gain limitation.

2002-08-24 17:28  takehiro

	* libmp3lame/: VbrTag.c, lame.c (takehiro-2002_05_07-experimental):

	sync main tree.
	- portability fix for sunos 4.x by Alexander Leidinger.

2002-08-24 17:25  takehiro

	* libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	quick fix of warning.

2002-08-24 17:23  takehiro

	* libmp3lame/: quantize.c, set_get.c
	(takehiro-2002_05_07-experimental):

	do not do the substep noise shaping when the block type is SHORT,
	because it seems short block threshold calculation is very buggy
	(both of ns/gpsycho).

	new option: --substep 4,5,6,7
	  force substep shaping even on the SHORT block.

2002-08-24 17:12  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	use FAST_LOG() more.
	minimize the ns_hpfsmpl[] array.
	better ns_hpfsmpl[] calculation.

2002-08-24 17:10  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	use of FAST_LOG() more for faster encoding

2002-08-24 17:09  takehiro

	* libmp3lame/presets.c (takehiro-2002_05_07-experimental):

	I forgot to change the default quality setting of abr mode,
	when I remap the quality <-> actual setting.

2002-08-24 16:08  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	revert some GTK change to fix the mp3x spectrum display of short block.

2002-08-20 16:59  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	fix mp3x spectrum display

2002-08-20 16:51  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	fix mp3x pe[] display.

2002-08-20 16:28  takehiro

	* libmp3lame/encoder.c:

	fix mp3x spectrum display

2002-08-20 16:09  takehiro

	* libmp3lame/lame.c (takehiro-2002_05_07-experimental):

	fix SIGFPE (divided by 0) of filter init.

2002-08-20 13:03  takehiro

	* libmp3lame/: lame.c, newmdct.c, util.h
	(takehiro-2002_05_07-experimental):

	cleanup polyphase filtering.
	- highpass/lowpass coefs. are integrated into one array.
	- reordered gfc members to get better cache performance.
	- remove gfc->is_mpeg1

2002-08-20 12:59  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	remove gfc->is_mpeg1

2002-08-20 12:58  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	cleanup arround cw_lower_index

2002-08-20 12:58  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove some debug code.
	remove gfc->is_mpeg1

2002-08-20 12:45  takehiro

	* libmp3lame/: bitstream.c, tables.c, tables.h
	(takehiro-2002_05_07-experimental):

	moved scfsi_band[] into tables.c

2002-08-19 15:09  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	better preflag use by using "all zero" band.
	this breaks testcase little bit(make test).

2002-08-19 04:57  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	psymodel.c cleanup (2)
	- remove some constants (bu_?, npart_?_orig, SNR_s, w1_?, w2_?) from gfc.
	- do always short block preecho prevention. this makes some breaks for
	  testcase(make test).
	- do always normalize the s3_ss by SNR_s[] for faster calculation for gpsycho.
	- optimize tonality computation for gpsycho.
	- FFT/energy computation code of [g|ns]psy are integrated.
	- GTK code cleanup
	- make a new constants bm_?, band middle position table in gfc.
	- cleranup table initialization code.

2002-08-19 04:47  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	trivial cleanup arround joint stereo/GTK code

2002-08-17 16:41  takehiro

	* libmp3lame/: psymodel.c, util.h
	(takehiro-2002_05_07-experimental):

	more psymodel cleanup.
	- GTK compilation fix
	- fix mistake of wsamp_l and wsamp_L
	- little block_type_set() cleanup
	- gfc->energy[] and energy_s[] are removed.

2002-08-17 16:37  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	trivial

2002-08-17 07:09  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	divide psymodel.c into manageable pieces (1)
	and some optimization/simplification.

2002-08-14 04:02  takehiro

	* libmp3lame/encoder.c (takehiro-2002_05_07-experimental):

	small fixes.
	- variable type change of PE calculation.
	- make it allow the mixed block limitation of MP3
	- cleanup the block type code.

2002-08-14 03:59  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	ci to avoid losing works.
	- short block detection cleanup and bug fix, for nspsytune (1st attempt)
	- preliminal mixed block detection code.

2002-08-14 03:57  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	optimize calc_xmin() and changed ATH normalization for it.

2002-08-08 09:03  aleidinger

	* Makefile.in:

	regen

2002-08-08 09:00  aleidinger

	* Makefile.am:

	Add lame.spec to the distribution tarball, as suggested in bug #580586

2002-08-08 08:48  aleidinger

	* README.DJGPP, Makefile.DJGPP:

	Fix from Peder Hedlund, see bug #590981.

2002-08-05 18:04  afaber

	* Dll/BladeMP3EncDLL.c:

	Fixed crashing problem when the INFO TAG was written while it should not

2002-08-02 20:53  afaber

	* Dll/BladeMP3EncDLL.c:

	Some code clarifications (remarks from Martin Ruckert)

2002-08-02 20:52  afaber

	* Dll/LameDLLInterface.htm:

	Small textual changes (remarks from Martin Ruckert)

2002-07-30 20:24  aleidinger

	* frontend/get_audio.c, libmp3lame/VbrTag.c, libmp3lame/lame.c:

	Portability fixes for SunOS 4.x.

2002-07-30 08:28  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	merge short/long block code (preparing mixed block support)

2002-07-28 09:56  takehiro

	* Makefile.am, Makefile.in, aclocal.m4, config.h.in, configure,
	configure.in, libmp3lame/VbrTag.h
	(takehiro-2002_05_07-experimental):

	more sync. arround configure stuff.

2002-07-28 09:52  takehiro

	* mac/.cvsignore (takehiro-2002_05_07-experimental):

	ignore Makefile et al.

2002-07-28 09:24  takehiro

	* frontend/get_audio.c, include/lame.h,
	libmp3lame/mpglib_interface.c (takehiro-2002_05_07-experimental):

	syncing.
	- fix mpeg decoding memory leak.
	- lame.h comment fix.

2002-07-28 09:18  takehiro

	* include/lame.h:

	fix unclosed comment
	fix typo

2002-07-28 09:08  takehiro

	* libmp3lame/: presets.c, set_get.c
	(takehiro-2002_05_07-experimental):

	more sync with main tree about preset API.

2002-07-28 09:07  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	fix warning

2002-07-28 09:06  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	simplify the code.
	disabled substep method 2 and 3 for vbr-new (forced to change method 1)

2002-07-28 06:59  rbrito

	* debian/changelog:

	Updating debian/changelog's reported version.

2002-07-27 10:35  afaber

	* Dll/: Example.cpp, Example_vc6.dsp, Example_vc6.dsw:

	Added example VC6 project files, updated Example.cpp file

2002-07-27 07:41  takehiro

	* API, DEFINES, INSTALL, Makefile.am, Makefile.unix, lame.spec.in,
	ltmain.sh (takehiro-2002_05_07-experimental):

	sync with main tree. no effects the quality.

2002-07-27 07:39  takehiro

	* frontend/: Makefile.in, timestatus.c
	(takehiro-2002_05_07-experimental):

	sync with main tree. time status rollback and newly regened Makefile.in

2002-07-27 07:03  takehiro

	* include/lame.h (takehiro-2002_05_07-experimental):

	sync with main tree. changed comment style, // to /*  */

2002-07-27 06:59  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	fix cygwin/vc compilation problem.
	some speed improvement for --substep.

2002-07-27 06:54  takehiro

	* libmp3lame/presets.c (takehiro-2002_05_07-experimental):

	sync with main tree.

2002-07-26 22:27  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.def, BladeMP3EncDLL.h:

	changes to support encoding of multiple streams

2002-07-26 18:56  markt

	* frontend/get_audio.c, include/lame.h,
	libmp3lame/mpglib_interface.c:

	memory leak in multiple decodes fixed.

2002-07-26 08:18  takehiro

	* mac/: LAME Carbon Debug.pch, LAME Carbon Final.pch, LAME Classic
	Debug.pch, LAME Classic Final.pch, LAME_Carbon_Debug.pch,
	LAME_Carbon_Final.pch, LAME_Classic_Debug.pch,
	LAME_Classic_Final.pch, Makefile.am
	(takehiro-2002_05_07-experimental):

	sync with main tree. (changed file name)

2002-07-21 22:11  takehiro

	* libmp3lame/: Makefile.am, quantize.c
	(takehiro-2002_05_07-experimental):

	fix and cleanup of "pseudo substep" method 1 and 3.
	revert Robert's change of VBR bitresevoir handling code.

2002-07-21 15:15  aleidinger

	* include/lame.h:

	ANSIfy comments. Requested by Ti Kan <ti@amb.org> for xmcd

2002-07-21 12:17  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, set_get.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	implement pseudo substep noise shaping method 1 and 3.
	- it reduces about 3% of bitrate without losing any quality (theoretically),
	  for vbr mode.
	- fix "off by one" bug of IPOW[]
	- fix comment and substep method range check in set_get.c

	WARNING:there's some bug in the combination of --vbr-new and --substep.

2002-07-21 12:11  takehiro

	* libmp3lame/: lame.c, util.c (takehiro-2002_05_07-experimental):

	sync with main tree: scaling bug fix.

2002-07-21 12:10  takehiro

	* mac/: Makefile.am, Makefile.in
	(takehiro-2002_05_07-experimental):

	sync with main tree: added Makefile.*

2002-07-21 12:09  takehiro

	* libmp3lame/util.h (takehiro-2002_05_07-experimental):

	sync with main tree: use FASTLOG as defaulted.

2002-07-19 17:20  afaber

	* Dll/LameDll_vc6.dsp:

	added ,HAVE_NASM,MMX_choose_table defines to project file,
	since beGetBersion did not report that the DLL was compiled with
	MMX enabled

2002-07-15 21:22  markt

	* libmp3lame/: util.c, util.h:

	enabled domd's fast_log code

2002-07-15 00:52  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	one more fix for pe[] calculation of nspsytune.

2002-07-14 10:41  takehiro

	* frontend/gtkanal.c (takehiro-2002_05_07-experimental):

	fix mp3x "bit assumption(of frame)" display imcompatibility of main tree.

2002-07-14 10:36  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x "bit assumption" display imcompatibility of main tree.

2002-07-14 10:19  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	fix enbug of pe[] calculation for nspsytune.
	prepare for nspsytune cleanup.

2002-07-13 08:10  aleidinger

	* configure, libmp3lame/Makefile.in:

	regen

2002-07-13 08:09  aleidinger

	* configure.in:

	Some fixes in the compiler options, removed superfluous BeOS section.

2002-07-13 08:08  aleidinger

	* libmp3lame/Makefile.am:

	Fixes for BeOS (and perhaps other arches) to allow the build of a
	shared lib.

	Submitted by:	Andrew Bachmann <shatty@myrealbox.com>

2002-07-05 15:17  afaber

	* Dll/LameDLLInterface.htm:

	fixe a couple of typos'

2002-07-03 22:28  afaber

	* Dll/BladeMP3EncDLL.c:

	fixed minor problems with the ALT-PRESET CBR/ABR modes

2002-07-03 21:14  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	avoid crash in beWriteVbrTag when gfp is not allocated, fixed return value of beWriteVbrTag in *.h file

2002-06-29 12:29  aleidinger

	* libmp3lame/: lame.c, util.c:

	Patch from Simon Blandford <ome@simonb.org.uk>:
	---snip---
	The problem:
	When in MONO mode, LAME merges the two channels before the left/right
	scaling. The left scale acts on the remaining signal and the right scale
	is ignored.

	The solution:
	The scaling operation is simply moved before the channel merge
	operation. Also, all these operations are moved before the re-sample
	operation otherwise the signal would have be re-sampled on two channels
	even in MONO mode which would be a waste of CPU time.
	---snip---

2002-06-23 16:07  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x display of threshold level (blue/green bar in FFT window).
	use FAST_LOG10 in klemm's penalties() function.
	trivial fix of max_noise initialization (do not effect anything but for the consistency of comment).

2002-06-23 16:04  takehiro

	* libmp3lame/Makefile.in (takehiro-2002_05_07-experimental):

	regen

2002-06-23 14:40  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix max_noise initilization
	and trivial coding style change

2002-06-23 12:56  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	fix mp3x display of max_noise, tot_noise, over_noise

2002-06-23 12:56  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	trivial

2002-06-23 08:30  takehiro

	* libmp3lame/: lame.c, psymodel.c, quantize_pvt.c, util.c, util.h
	(takehiro-2002_05_07-experimental):

	more faster pe[] calculation on nspsy.

	sync with main tree:
	- domd's faster LOG and psymodel_ns optimization

2002-06-23 06:19  takehiro

	* include/lame.h, libmp3lame/set_get.c
	(takehiro-2002_05_07-experimental):

	sync with main tree.
	- fixed return type of lame_get_interChRation()

2002-06-23 05:53  takehiro

	* libmp3lame/: Makefile.am, Makefile.in, libmp3lame_vc6.dsp, pcm.c,
	pcm.h (takehiro-2002_05_07-experimental):

	sync with main tree.
	- remove pcm.[ch]

2002-06-17 17:19  domd

	* DEFINES:

	added USE_FAST_LOG define

2002-06-16 20:16  domd

	* libmp3lame/psymodel.c:

	optimizations on mask_add and L3psycho_anal_ns

2002-06-16 20:14  domd

	* libmp3lame/quantize_pvt.c:

	optimization : use of FAST_LOG10 macro in calc_noise

2002-06-16 20:13  domd

	* libmp3lame/: lame.c, util.c, util.h:

	added the FAST_LOG10 and FAST_LOG  macros

2002-06-15 17:56  markt

	* Dll/BladeMP3EncDLL.c:

	added missing ")"

2002-06-12 18:41  markt

	* dshow/Encoder.cpp:

	directshow, like ACM, cannot support INFO tag.
	INFO tag disabled in dshow code.

2002-06-12 18:36  markt

	* ACM/ACMStream.cpp:

	added note about INFO tag not possible when using ACM codec,
	since ACM has no mechanism to rewind output stream when
	encoding is finished.

2002-06-12 18:27  markt

	* API, Dll/BladeMP3EncDLL.c, Dll/Example.cpp,
	Dll/LameDLLInterface.htm:

	updated documentation (API and DLL)
	to clarify that INFO tag must be written
	unless explicitly disabled.

2002-06-11 09:21  aleidinger

	* configure:

	gtk-config fix (oops... sorry)

2002-06-09 16:01  takehiro

	* include/lame.h, libmp3lame/set_get.c:

	fix return type of lame_get_interChRatio()

2002-06-04 19:16  bouvigne

	* libmp3lame/psymodel.c:

	merged little part of Dom's speed optimization

2002-06-04 15:04  aleidinger

	* configure:

	regen

2002-06-04 15:03  aleidinger

	* configure.in:

	-maccumulate-outgoing-args is x86 only

	Reported by: "Spud McDuck" <dontspamonme@excite.com>

2002-06-02 19:09  aleidinger

	* configure:

	regen

2002-06-02 19:08  aleidinger

	* config.h.in, configure.in:

	damn autoconf, hopefully this version works as intended

2002-06-02 17:02  aleidinger

	* configure:

	regen

2002-06-02 17:00  aleidinger

	* configure.in:

	use "else if ... fi" instead of "elif ..."

2002-06-02 17:00  aleidinger

	* libmp3lame/Makefile.in:

	regen (removal of pcm.[ch])

2002-06-02 14:50  robert

	* libmp3lame/: Makefile.in, libmp3lame_vc6.dsp:

	moved unused code pcm.[ch] into the Attic
	interested parties will find it there

2002-06-02 14:45  robert

	* libmp3lame/: Makefile.am, pcm.c, pcm.h:

	moved unused code pcm.[ch] into the Attic
	interested parties will find it there

2002-06-02 14:20  aleidinger

	* configure:

	regen + perl -pi -e 's:--no-verify::' configure

	Does anyone know how to do this with autoconf directly?

2002-06-02 14:17  aleidinger

	* aclocal.m4:

	undo last commit, wrong file and wrong commit message

2002-06-02 14:16  aleidinger

	* acconfig.h:

	not needed anymore

2002-06-02 14:15  aleidinger

	* Makefile.in:

	regen after removal of aclocal.m4

2002-06-02 14:13  aleidinger

	* config.h.in:

	regen

2002-06-02 14:13  aleidinger

	* configure.in:

	- redo {,u}int{8,16,32,64}_t stuff with new autoconf 2.53 macros
	- fix code which sets experimental options
	  Thanks to: Akos Maroy <darkeye@tyrell.hu>
	- fix GCC_version for 3.1
	  Thanks to: Akos Maroy <darkeye@tyrell.hu>
	- further autoconf 2.53 updates
	- minor fixes

2002-06-02 14:10  aleidinger

	* aclocal.m4:

	is not needed anymore

2002-06-02 12:21  aleidinger

	* aclocal.m4:

	update to autoconf 2.53

2002-06-02 12:17  aleidinger

	* libmp3lame/: VbrTag.c, VbrTag.h, pcm.c, pcm.h, util.h:

	add some includes

2002-05-28 08:28  aleidinger

	* configure:

	regen

2002-05-28 08:24  aleidinger

	* ACM/Makefile.in, Dll/Makefile.in, debian/Makefile.in,
	doc/Makefile.in, dshow/Makefile.in, frontend/Makefile.in,
	include/Makefile.in, libmp3lame/Makefile.in, misc/Makefile.in,
	mpglib/Makefile.in, ACM/ADbg/Makefile.in, ACM/tinyxml/Makefile.in,
	doc/html/Makefile.in, doc/man/Makefile.in,
	libmp3lame/i386/Makefile.in:

	regen

2002-05-28 08:07  aleidinger

	* configure.in:

	- update to autoconf 2.53
	- add ultrasparc detection and compiler switches in case of gcc 3.1

2002-05-28 08:04  aleidinger

	* Makefile.in:

	regen

2002-05-28 08:04  aleidinger

	* Makefile.am:

	add mac subdir

2002-05-28 08:03  aleidinger

	* mac/Makefile.in:

	generated Makefile.in

2002-05-28 07:52  aleidinger

	* mac/Makefile.am:

	add automake clue

2002-05-28 07:48  aleidinger

	* mac/: LAME Carbon Debug.pch, LAME Carbon Final.pch, LAME Classic
	Debug.pch, LAME Classic Final.pch, LAME_Carbon_Debug.pch,
	LAME_Carbon_Final.pch, LAME_Classic_Debug.pch,
	LAME_Classic_Final.pch:

	rename files because of automake (space to underscore conversation)

2002-05-26 15:52  takehiro

	* libmp3lame/: lame.c, quantize.c, takehiro.c, util.h
	(takehiro-2002_05_07-experimental):

	sync with main tree, except arround vbrquantize.c.
	- it calls best_huffman_divide() twice.
	- *_block_sf() are out of sync.

2002-05-25 23:30  markt

	* libmp3lame/lame.c:

	fixed a mono encoding bug found by Justin Schoeman

	For single channel input, the 2nd channel was still required
	to exit and have as much data as the 1st channel becaus of
	memcpy's (even though this data was never used)

2002-05-24 17:28  markt

	* Dll/BladeMP3EncDLL.c, libmp3lame/lame.c:

	removed all references to "sample_t" from the DLL.

	someone put in a call to lame_encode_buffer_sample_t
	(not a public interface to libmp3lame)
	when they should have used lame_encode_buffer_float(),
	since they were assuming 'sample_t' was a float.

2002-05-20 22:21  robert

	* libmp3lame/: lame.c, quantize.c, util.h:

	VBR bitreservoir minimum filling depending on back pointer from largest frame allowed

2002-05-20 18:22  robert

	* Makefile.unix, libmp3lame/lame.c, libmp3lame/quantize.c,
	libmp3lame/vbrquantize.c:

	Makefile.unix:
	-malign-double  enabled, helps memcpy

	lame.c:
	new experimental -X{5,9} settings for --vbr-new

	quantize.c:
	build up bit reservoir for VBR, allows to limit max frame size with -Bxxx
	without a too large quality impact

	vbrquantize.c:
	fixing sfb21 issues: -Y did not show the wanted effect
	xxx_block_xr34: replaced copy loop by memcpy, not faster but makes things
	more obvious
	some very minor speed ups

2002-05-19 22:11  markt

	* frontend/timestatus.c:

	initialize ellapsed time counter to 0.

2002-05-19 22:03  robert

	* libmp3lame/: quantize.c, vbrquantize.c:

	avoid calling best_huffman_divide twice for vbr-new

2002-05-19 16:43  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/encoder.c,
	libmp3lame/lame_global_flags.h, libmp3lame/presets.c,
	libmp3lame/set_get.c (takehiro-2002_05_07-experimental):

	experimental mixed block support.
	"--mixedblock" option to use it.

	currently, it uses mixed blocks on all short/start/end blocks.

	this is very bad idea. we need a proper psymodel.
	till we make it, this option is used only for the testing purpose.

2002-05-19 16:38  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	trivial optimization arround nspsytune

2002-05-19 15:13  takehiro

	* libmp3lame/psymodel.c (takehiro-2002_05_07-experimental):

	merged little part of Dom's speed optimization.

2002-05-18 17:39  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	preparing for mixed block of bitpressure_strategy()

2002-05-18 17:33  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	remove magic numbers and prepare for mixed block.

2002-05-18 16:54  takehiro

	* libmp3lame/: machine.h, newmdct.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	fully cosmetic... changed INLINE -> inline

2002-05-18 16:53  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	prepare for the substep noise shaping method 1 and 3.

2002-05-18 16:15  takehiro

	* libmp3lame/: quantize.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	trivial optimizations

2002-05-18 16:08  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	clean up table initialization and bit size optimization.
	- remove magic number "128". (and changed 116)
	- we don't need to prepare the both of adj43[] and adj43asm[].
	prepare only one of them, if we use asm code or not.

2002-05-18 16:00  takehiro

	* libmp3lame/: bitstream.c, takehiro.c
	(takehiro-2002_05_07-experimental):

	use scfsi more.
	if all quantized value is 0, we can use scalefactor with not only 0 but
	also any number and in such a situation, we can use the scfsi.

2002-05-18 15:09  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	don't compile some code if analyzer is not needed.

2002-05-18 15:07  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c, quantize_pvt.h,
	vbrquantize.c (takehiro-2002_05_07-experimental):

	optimization arround vbr_new with the new data structure.
	- merged short_block_xr34() and long_block_xr34() into block_xr34() and clean up
	- changed IIPOW20[] and remove some condition code.

2002-05-18 13:59  takehiro

	* libmp3lame/: quantize.c, set_get.c, util.h
	(takehiro-2002_05_07-experimental):

	arroud substep noise shaping.
	- prepare for "method 3".
	- start with "pseudo half shaped" state, if we use the method 2 or 3.

2002-05-18 13:50  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, set_get.c
	(takehiro-2002_05_07-experimental):

	simple calc_noise() optimization (remove one log())
	fix quatn_compare() when alt-preset.

2002-05-18 12:11  takehiro

	* libmp3lame/quantize_pvt.c (takehiro-2002_05_07-experimental):

	oops, fix calc_noise() bugfix :)

2002-05-18 12:10  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	trivial optimization by loop unrolling

2002-05-18 11:38  takehiro

	* libmp3lame/: machine.h, quantize.c, quantize_pvt.c,
	quantize_pvt.h (takehiro-2002_05_07-experimental):

	quick fix for "calc_noise_bug" reported by Mark.

2002-05-18 11:09  takehiro

	* libmp3lame/: lame.c, presets.c, set_get.c
	(takehiro-2002_05_07-experimental):

	changed alt-preset-* and comments to follow the change of quality setting.

2002-05-18 11:07  takehiro

	* libmp3lame/: machine.h, quantize.c
	(takehiro-2002_05_07-experimental):

	fix floating exception when global_gain > 255u.
	it frequently happens when best_huffman == 2

2002-05-18 10:25  takehiro

	* libmp3lame/: lame-analysis.h, lame.c, quantize.c, util.h
	(takehiro-2002_05_07-experimental):

	sync with main tree.
	- uped READ_AHEAD from 10 to 40 for the frame analyzer (By Mark)
	- removed warning when using -Y (By Robert)
	- removed unused bitpressure strategie 2 (VBR) (By Robert)

2002-05-14 21:32  robert

	* libmp3lame/: lame.c, quantize.c, util.h, vbrquantize.c,
	vbrquantize.h:

	removed warning when using -Y
	removed unused bitpressure strategie 2 (VBR)

2002-05-14 21:02  robert

	* libmp3lame/.indent.pro:

	changing max line length from 80 to 100 chars

2002-05-14 16:23  markt

	* frontend/timestatus.c:

	added comment about clock rollover check

2002-05-14 16:19  markt

	* frontend/: lametime.c, timestatus.c:

	put in rollover check in frontend cpu/wall clock timing routines.

	didn't we used to have this?

	user reported (on a 35min encode) that the output of clock()
	(of type clock_t) was rolling over and becoming negative.
	On his system, clock_t is a signed 32 bit int.

2002-05-12 18:47  markt

	* INSTALL:

	removed info about vorbis encoding from INSTALL

2002-05-12 18:01  markt

	* ltmain.sh:

	applied patch to ltmain.sh
	from sourceforge.net bug report. it passes LDFLAGS on to the
	linker?

	*** ltmain.sh.org	Sun Oct 22 14:06:32 2000
	--- ltmain.sh	Sun Apr 28 11:56:54 2002
	***************
	*** 818,824 ****
	      convenience=
	      old_convenience=
	      deplibs=
	!     linkopts=

	      if test -n "$shlibpath_var"; then
	        # get the directories listed in $shlibpath_var
	--- 818,824 ----
	      convenience=
	      old_convenience=
	      deplibs=
	!     linkopts="$LDFLAGS"

	      if test -n "$shlibpath_var"; then
	        # get the directories listed in $shlibpath_var

2002-05-12 17:20  markt

	* include/lame.h, libmp3lame/lame-analysis.h:

	added documentation to lame.h for lame_decode* functions

	uped READ_AHEAD from 10 to 40 for the frame analyzer

2002-05-12 13:52  takehiro

	* libmp3lame/: bitstream.c, l3side.h, quantize.c, quantize_pvt.c,
	quantize_pvt.h, takehiro.c, util.h, vbrquantize.c, vbrquantize.h
	(takehiro-2002_05_07-experimental):

	big data structure update (2)
	- this is very alpha. check is not done yet, but I should have sleep tonight :p
	- "make test" runs fine. but mp3x, vbr-new needs more test. abr mode aborts floating exception.
	- almost all the structured data, like l3_xmin, scalefac, distort, ... are now simple FLOAT8/integer array.
	- calc_noise() and so on is very simple code and very fast, because we can handle the long/short block by same code,
	- new member "window" and "width" are added to gr_info.

2002-05-12 09:30  takehiro

	* libmp3lame/quantize.c:

	fix inc_scalefac_scale() ignoring preflag.

2002-05-12 08:29  takehiro

	* Makefile.in (takehiro-2002_05_07-experimental):

	regen(forgot to check in)

2002-05-12 08:02  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	trivial cleanup

2002-05-12 08:02  takehiro

	* libmp3lame/reservoir.c (takehiro-2002_05_07-experimental):

	because #define NORES is not working as it was, I remove it.

2002-05-12 07:48  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	fix mp3x scalefactor display when scfsi used and cleanup on set_pinfo().
	fix warning arround calc_klemm_noise().

2002-05-12 07:30  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h
	(takehiro-2002_05_07-experimental):

	noise calculation cleanup.
	- delayed calculation of klemm_noise and it is shared to store in max_noise.
	- max_noise, tot_noise and over_noise are now "B" order, not "dB".

2002-05-11 18:49  markt

	* lame.spec.in:

	new lame.spec.in file from Yosi.

2002-05-11 18:29  markt

	* libmp3lame/: quantize.c, quantize_pvt.c:

	applied Takehiro's bug fix for single channel bit reservoir usage
	for pre-echo control.

2002-05-11 18:28  takehiro

	* Makefile.am, libmp3lame/bitstream.c, libmp3lame/lame.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c,
	libmp3lame/takehiro.c, libmp3lame/vbrquantize.c
	(takehiro-2002_05_07-experimental):

	not testing much, but I think now best_huffman_divide==2 works.
	- default quality setting is changed to 3, and "make test" is done with that.
	- quality setting 0,1, and 2 with CBR/ABR/VBR-old mode uses best_huffman_divide==2.
	- best_scalefac_store() is not called in inner loop.
	- "lame -q 2 foo.wav foo.mp3" runs about half or more slower speed than that of "lame -q 3 ..."

2002-05-11 17:26  takehiro

	* libmp3lame/: quantize_pvt.c, quantize_pvt.h, takehiro.c
	(takehiro-2002_05_07-experimental):

	combination of small patches mainly to get more tight coupling/inlining
	optimization.
	- in quantize_pvt.c, some functions are now static.
	- some "char" type table is now "int"
	- quantize_xrpow*() are moved from quantize_pvt.c to takehiro.c, and they are static function.
	- slen1_tab[] and slen2_tab[] are moved to takehiro.c

2002-05-11 16:42  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	oops, checked in the older one. fix CBR bit allocation.

2002-05-11 16:28  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h,
	reservoir.c, reservoir.h (takehiro-2002_05_07-experimental):

	fix --vbr-old for newer resovoir handling code.
	now it produces bit-by-bit identical from the main branch with my "limited test".

2002-05-11 14:39  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	sync with main tree
	- Robert's modification, 'more time consuming strategy to handle the case when more bits used than available'

2002-05-11 14:12  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	fix vbr-new arround bin_search_stepsize().
	it ignores part2_length to calculate cod_info->part2_3_length.

	consider part2_length inside of bin_search_stepsize(), not caller side.

2002-05-11 13:49  takehiro

	* libmp3lame/vbrquantize.c (takehiro-2002_05_07-experimental):

	fix for vbr-new to work with new bin_search_stepsize()

2002-05-09 23:25  robert

	* libmp3lame/vbrquantize.c:

	vbr-new:
	more time consuming strategy to handle the case when more bits used than available

2002-05-08 22:28  takehiro

	* libmp3lame/quantize_pvt.h (takehiro-2002_05_07-experimental):

	oops I missed the merging.

2002-05-08 22:27  takehiro

	* libmp3lame/: lame.c, quantize.c, quantize_pvt.h, util.h
	(takehiro-2002_05_07-experimental):

	bin_stepsearch() hack.
	separete stepsize for each channel that we will use next frame
	little bit faster.

2002-05-08 21:30  takehiro

	* libmp3lame/takehiro.c (takehiro-2002_05_07-experimental):

	fix warning

2002-05-08 21:07  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, vbrquantize.c
	(takehiro-2002_05_07-experimental):

	sync with robert's latest patch on mainline.
	- allow best huffman divide to be used in vbr-new
	- moved ms_convert()

2002-05-08 21:00  takehiro

	* libmp3lame/quantize.c (takehiro-2002_05_07-experimental):

	monoraul bitallocation patch.

	thanx Robert to revert. and sorry for the trouble.
	I made my own branch and check the code on this.
	if I get the "bit-by-bit identical" output, I will merge the branch.
	I will follow the main line changes as possible.

	till then, bye for now. see you later, at the merging time.

2002-05-07 23:08  robert

	* libmp3lame/: quantize_pvt.h, vbrquantize.c:

	allow best huffman divide to be used in vbr-new

2002-05-07 21:24  robert

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	moved the tiny function ms_convert from quantize_pvt.c to quantize.c--the
	only client for it--giving a little speed increase

2002-05-07 21:11  robert

	* libmp3lame/: quantize.c, quantize_pvt.h, vbrquantize.c:

	better decoupling of vbrquantize.c and quantice.c

2002-05-07 20:21  robert

	* libmp3lame/: bitstream.h, quantize_pvt.h, reservoir.h, util.h:

	sorry Takehiro, we are back to the last known working version from Sunday
	13:35 UTC now

2002-05-07 20:15  robert

	* libmp3lame/: bitstream.c, encoder.c, quantize.c, quantize_pvt.c,
	reservoir.c, takehiro.c, util.c, vbrquantize.c:

	sorry Takehiro, we are back to the last known working version from Sunday
	13:35 UTC now

2002-05-06 16:03  takehiro

	* libmp3lame/quantize.c:

	fix for new reservoir handling code with my ABR patch.
	we don't need the totbits, because the reservoir size is reduced in
	ResvAdjust() in gr/ch loop and reservoir handler uses it.

2002-05-06 15:49  takehiro

	* ACM/: .cvsignore, ADbg/.cvsignore, tinyxml/.cvsignore:

	added cvsignore to ignore Makefile, etc.

2002-05-06 15:30  takehiro

	* include/lame.h, libmp3lame/bitstream.c, libmp3lame/encoder.c,
	libmp3lame/quantize.c, libmp3lame/reservoir.c:

	cleanup. remove a compiling problem and some warnings.

2002-05-05 18:34  takehiro

	* libmp3lame/quantize.c:

	one more outer_loop() fix for VBR.

2002-05-05 18:18  takehiro

	* libmp3lame/quantize.c:

	outer_loop() fix for vbr_rh and vbr_mtrh

2002-05-05 17:37  takehiro

	* libmp3lame/quantize_pvt.c:

	update comment

2002-05-05 17:17  takehiro

	* libmp3lame/: bitstream.c, bitstream.h, encoder.c, quantize.c,
	reservoir.c, util.c, util.h:

	cleanup arround getframebits().

2002-05-05 16:50  takehiro

	* libmp3lame/: quantize.c, reservoir.c:

	fix NORES_TEST. and works not only for CBR (don't tell me that's useful :p)

2002-05-05 16:40  takehiro

	* libmp3lame/: quantize.c, reservoir.c, reservoir.h:

	oops, I mis-checked in the old files. this is real one.

2002-05-05 16:29  takehiro

	* libmp3lame/: quantize_pvt.c, reservoir.c, reservoir.h:

	clean up arround reservoir.

2002-05-05 15:47  takehiro

	* libmp3lame/: quantize.c, reservoir.c, reservoir.h:

	trivial cleanup of arround resvoir.

2002-05-05 15:34  takehiro

	* libmp3lame/quantize.c:

	cleanup arround inc_scalefac_scale() with new cod_info strcture.

2002-05-05 14:35  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c, quantize_pvt.h:

	cleanup arround calc_noise() with new cod_info strcture.

2002-05-05 13:59  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h, takehiro.c,
	vbrquantize.c:

	more cleanup of new cod_info structure, arround count_bits()

2002-05-05 13:48  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.h:

	inner_loop() is now static function.

2002-05-05 13:43  takehiro

	* libmp3lame/: quantize.c, vbrquantize.c:

	changed outer_loop() algorithm. it needs lesser copy and runs faster.
	- try with new scalefactor combination on work area, and if we get the better result, copy it to the returning area.
	- make bin_search_StepSize() return the global_gain which assures targ_bits > found_bits.

2002-05-05 13:33  robert

	* libmp3lame/: quantize.c, vbrquantize.c, vbrquantize.h:

	some clean-up in parameter passings due to recent change in cod_info structure

2002-05-05 13:01  robert

	* libmp3lame/: encoder.c, quantize.c, quantize.h, vbrquantize.c,
	vbrquantize.h:

	removed again some unused code I thought that was removed some long time ago

2002-05-05 11:58  takehiro

	* libmp3lame/: bitstream.c, encoder.c, l3side.h, quantize.c:

	bit cleanup. removed window_switching_flag in l3side.

2002-05-05 11:53  takehiro

	* libmp3lame/: quantize.c, quantize.h, vbrquantize.c:

	To fix it does not call the "freorder" and to support for mixed block,
	the vbrquantize.c uses init_outer_loop()/init_xrpow() in quantize.c to
	initializatoin. this may fix the MPEG2 problem (but not tested).

2002-05-04 22:49  markt

	* configure, testcase.mp3:

	updated testcase.mp3

2002-05-04 15:48  takehiro

	* libmp3lame/: encoder.c, quantize.c, util.c, util.h:

	clean up and speed up (optimize for new data structure).
	- devided init_outer_loop() into init_outer_loop() and init_xrpow(). This makes it easy to use GOGO-no-coda's xrpow calculation routine.
	# thanx Robert, your fix makes me aware my mistake in VBR mode.

	- restoring duplicated data of VBR loop are removed.

	more mixed_block prepare. freorder() in util.c and its caller in encoder.c are moved into init_outer_loop() in quantize_pvt.c

2002-05-04 15:36  takehiro

	* libmp3lame/quantize.c:

	trivial optimization

2002-05-04 14:54  takehiro

	* libmp3lame/: bitstream.c, quantize.c, quantize_pvt.c,
	vbrquantize.c:

	the signess process of l3_enc[] are moved from quantize*.c to bistream.c. bit faster, much simpler.

2002-05-04 13:58  takehiro

	* libmp3lame/quantize_pvt.c:

	removed unused variables.

2002-05-04 13:55  takehiro

	* libmp3lame/: quantize.c, quantize_pvt.c:

	removed log calculation of klemm_noise in main loop

2002-05-04 09:30  afaber

	* ChangeLog, Dll/BladeMP3EncDLL.c, Dll/BladeMP3EncDLL.h:

	Added quality setting to lame_enc.dll interface

2002-04-30 22:20  robert

	* libmp3lame/version.h:

	3.93 alpha 1 -> 3.93 alpha 2

2002-04-30 22:00  robert

	* libmp3lame/: quantize.c, quantize_pvt.c:

	fixing latest floating point exceptions I got for some days
	within the calc noise routine

2002-04-28 08:15  takehiro

	* libmp3lame/quantize_pvt.c:

	Mark, because max_noise is initialized with 1E-20 and refreshes Max(max_noise, sfb_noise), so it will never lesser than 1e-20.

2002-04-27 21:15  takehiro

	* libmp3lame/takehiro.c:

	bit faster best_huffman_divide().
	- use the pointer to the structure, not structure itself.

2002-04-27 20:58  takehiro

	* configure, libmp3lame/bitstream.c, libmp3lame/bitstream.h,
	libmp3lame/encoder.c, libmp3lame/l3side.h, libmp3lame/newmdct.c,
	libmp3lame/newmdct.h, libmp3lame/quantize.c, libmp3lame/quantize.h,
	libmp3lame/quantize_pvt.c, libmp3lame/quantize_pvt.h,
	libmp3lame/takehiro.c, libmp3lame/vbrquantize.c,
	libmp3lame/vbrquantize.h:

	large data structure update (1)
	- mdct values (xr), encoded values (l3_enc), and scalefactors (scalefac) are in the gr_info structure.
	- it runs faster.
	- reduce stack size but require large III_side_info_t and lame_global_flags.

2002-04-27 20:41  takehiro

	* libmp3lame/machine.h:

	fix --enable-all-float. when it enabled, FLOAT8_MAX should be FLT_MAX about 1e37, not 1e99.

2002-04-27 18:24  takehiro

	* libmp3lame/bitstream.c:

	trivial

2002-04-24 11:10  aleidinger

	* Makefile.unix:

	add a mingw comment from Hubert Hanghofer

2002-04-22 17:51  markt

	* libmp3lame/quantize_pvt.c:

	Takehiro, when you changed this code:

	    res->max_noise   = 10.*log10(Max(1e-20,max_noise ));
	    res->klemm_noise = 10.*log10(Max(1e-20,klemm_noise));

	to:

	    res->max_noise   = 10.*log10(max_noise);
	    res->klemm_noise = 10.*log10(klemm_noise);

	I started getting FPE (I always compile with --enable-debug
	which aborts on FPE).  I went ahead and changed it back- it should
	have little effect.

2002-04-21 20:31  afaber

	* Dll/BladeMP3EncDLL.c:

	Added additional debug flags

2002-04-21 18:10  takehiro

	* libmp3lame/l3side.h:

	remove unused definition

2002-04-21 18:05  takehiro

	* libmp3lame/lame.c:

	fix typo

2002-04-21 17:33  takehiro

	* libmp3lame/lame.c:

	trivial(reduce magic number)

2002-04-21 17:03  afaber

	* Dll/BladeMP3EncDLL.c:

	Avoid the VBR Tag space was written when VBR method was disabled
	(caused empty frame in fornt of MPEG stream for certain CBR settings)

2002-04-21 16:56  takehiro

	* frontend/parse.c, include/lame.h, libmp3lame/bitstream.c,
	libmp3lame/quantize.c, libmp3lame/set_get.c, libmp3lame/takehiro.c,
	libmp3lame/util.h:

	new option, --substep, pseudo substep noise shaping now works.
	- new set_get function, lame_set_substep(), lame_get_substep()
	- final fix of "do substep" region of selected scalefactor.
	- noise_shaping_amp == 3 is removed and the method of how to use substep is selecte by the new member "substep" in structure "lame_internal_flags".

2002-04-21 13:57  takehiro

	* libmp3lame/bitstream.c:

	trivial optimization: gfp/gfc cleanup

2002-04-20 22:31  robert

	* Makefile.unix:

	[no log message]

2002-04-20 20:40  takehiro

	* libmp3lame/: bitstream.c, encoder.c, l3side.h, newmdct.c,
	quantize.c, quantize_pvt.c, takehiro.c, vbrquantize.c:

	simplify the structure.
	l3_side->gr[gr].ch[ch].tt is now known as l3_side->tt[gr][ch].

2002-04-20 20:31  takehiro

	* libmp3lame/l3side.h:

	fix misleading indent

2002-04-20 20:28  takehiro

	* libmp3lame/takehiro.c:

	prepare for mixed block support: count_bits() and best_scalefac_store().
	fix bug of noise_shaping_amp==3 on a long block.

2002-04-20 20:17  takehiro

	* libmp3lame/quantize.c:

	more mixed_block preparation: inc_scalefac_scale(), amp_scalefac_bands()

2002-04-20 20:16  takehiro

	* libmp3lame/quantize_pvt.c:

	for better mixed_blcok support, make calc_xmin() use cod_info->sfb_lmax, etc.

2002-04-20 19:54  takehiro

	* libmp3lame/quantize.c:

	fix mixed mode (long block max sfb)

2002-04-20 19:50  takehiro

	* libmp3lame/: l3side.h, quantize.c, quantize_pvt.c:

	more generalized mixed_block support and considering in MPEG2/2.5
	- added new members to cod_info. psy_lmax and psy_smax.

2002-04-20 19:39  takehiro

	* libmp3lame/quantize.c:

	we don't need two elements of l3_xmin.

2002-04-20 19:34  takehiro

	* libmp3lame/quantize_pvt.c:

	- calc_xmin() supports mixed_block noise calculation.
	- mixed_block parameter(long block end point and short block start point) fix for calc_noise()

2002-04-20 18:51  takehiro

	* libmp3lame/quantize_pvt.c:

	calc_noise() supports mixed_block noise calculation.

2002-04-20 18:40  takehiro

	* libmp3lame/quantize_pvt.c:

	remove out-of-date comments

2002-04-20 18:37  takehiro

	* libmp3lame/: machine.h, quantize_pvt.c:

	first step of clean up calc_noise() for preparing mixed block support.
	- removed unused variables
	- make the two loops (long and short) same structure.

2002-04-20 11:49  robux4

	* ACM/lameACM.dsp:

	Added the preset to compile the project (not used... yet)

2002-04-19 14:51  bouvigne

	* Dll/BladeMP3EncDLL.c:

	Now the dll should properly applying mono and resampling settings even if presets are used

2002-04-19 11:23  bouvigne

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.h:

	alt-presets now used from inside libmp3lame

2002-04-17 22:13  robert

	* Makefile.unix:

	missing presets.c added

2002-04-17 08:11  aleidinger

	* configure:

	regen

2002-04-17 08:08  aleidinger

	* configure.in:

	bump version

2002-04-16 19:47  markt

	* testcase.mp3:

	updated testcases (just because CVS version bumped up to 3.93alpha)

2002-04-15 18:36  markt

	* libmp3lame/version.h:

	updated version to 3.93 alpha 1

2002-04-15 16:42  bouvigne

	* frontend/parse.c, libmp3lame/presets.c:

	abr presets now into libmp3lame

2002-04-15 11:51  bouvigne

	* frontend/parse.c:

	--cbr

2002-04-15 11:42  bouvigne

	* libmp3lame/lame.c:

	3dnow identification

2002-04-15 08:16  aleidinger

	* Makefile.in, configure:

	regen

2002-04-15 06:58  markt

	* Makefile.in, configure, debian/Makefile.in:

	got automake 1.5 and ran it:

2002-04-15 06:57  markt

	* debian/Makefile.am:

	updated debian/Makefile.am but my version of automake
	is too old:

	debian/Makefile.am:5: require version 1.5, but have 1.4-p5

2002-04-15 06:47  markt

	* testcase.mp3, doc/html/history.html, libmp3lame/version.h:

	bumped up version number to 3.92 for release

2002-04-15 06:46  markt

	* ChangeLog:

	ran cvs2cl.pl

2002-04-14 12:21  afaber

	* Dll/: BladeMP3EncDLL.c, BladeMP3EncDLL.def, BladeMP3EncDLL.h:

